#ifndef api_target_explain_pres_h
#define api_target_explain_pres_h

#include "api_common_includes.h"



void zraw_fill_DbvExplainRecord(DbvExplainRecord *psExplainRecord);
void
zraw_print_structure_menu();
int get_menu_choice(void);
void do_chosen_option(int choice, DbvExplainRecord *psExplainRecord);
void zraw_setup_DbvTargetInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvTargetInfo(DbvTargetInfo *psTargetInfo);
DbvCommonInfo *	
zraw_fill_DbvCommonInfo(void);
DbvGeneralizedTime
zraw_fill_DbvGeneralizedTime(char *s);
DbvInternationalString *
zraw_fill_DbvInternationalString(char *s);
DbvOtherInformation ** 
zraw_fill_DbvOtherInformation_list(void);
void 
zraw_fill_DbvOtherInformation_char(DbvOtherInformation *psOtherInformation);
void 
zraw_fill_DbvOtherInformation_bin(DbvOtherInformation *psOtherInformation);
void 
zraw_fill_DbvOtherInformation_ext(DbvOtherInformation *psOtherInformation);
void 
zraw_fill_DbvOtherInformation_obj(DbvOtherInformation *psOtherInformation);
DbvHumanString **
zraw_fill_DbvHumanString_list(void);
DbvIconObject **
zraw_fill_DbvIconObject_list(void);
void 
zraw_fill_DbvBodyType(DbvBodyType *psBodyType, DbvBodyTypeType eBodyTypeType);
Ulong *
zraw_fill_Ulong(void);
DbvIntUnit *
zraw_fill_DbvIntUnit(void);
DbvContactInfo *
zraw_fill_DbvContactInfo(void);
DbvInternationalString **
zraw_fill_DbvInternationalString_list(void);
DbvDatabaseList **
zraw_fill_DbvDatabaseList(void);
DbvNetworkAddress **
zraw_fill_dbv_networkaddr(void);
DbvNetworkAddress *
zraw_fill_dbv_internet_networkaddr(void);
DbvNetworkAddress *
zraw_fill_dbv_osi_networkaddr(void);
DbvNetworkAddress *
zraw_fill_dbv_other_networkaddr(void);
DbvAccessInfo *
zraw_fill_DbvAccessInfo(void);
DbvQueryTypeDetails **
zraw_fill_DbvQueryTypeDetails(void);
DbvPrivateCapabilities *
zraw_fill_DbvPrivateCapabilities(void);
DbvOperators **
zraw_fill_DbvOperators_list(void);
DbvSearchKey **
zraw_fill_DbvSearchKey_list(void);
DbvHumanStringSeq **
zraw_fill_DbvHumanStringSeq_list(void);
DbvRpnCapabilities *
zraw_fill_DbvRpnCapabilities(void);
Ulong **
zraw_fill_Ulong_list(void);
DbvProximitySupport *
zraw_fill_DbvProximitySupport_list(void);
DbvUnitsSupported **
zraw_fill_DbvUnitsSupported_list(void);
DbvPrivate *
zraw_fill_DbvPrivate(void);
DbvIso8777Capabilities *
zraw_fill_DbvIso8777Capabilities(void);
DbvObjectIdentifier *
zraw_fill_DbvObjectIdentifier_list(void);
DbvAccessRestrictions **
zraw_fill_DbvAccessRestrictions_list(void);
DbvCosts *
zraw_fill_DbvCosts(void);
DbvCharge *
zraw_fill_DbvCharge(void);
DbvUnit *
zraw_fill_DbvUnit(void);
DbvStringOrNumeric *
zraw_fill_DbvStringOrNumeric(DbvStringOrNumericType eStringOrNumeric);
DbvOtherCharge **
zraw_fill_DbvOtherCharge_list(void);
void zraw_setup_DbvDatabaseInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvDatabaseInfo(DbvDatabaseInfo *psDatabaseInfo);
DbvDataBaseInfoSeq **
zraw_fill_DbvDataBaseInfoSeq_list(void);
DbvRecordCount *
zraw_fill_DbvRecordCount(void);
DbvBool *
zraw_fill_DbvBool(void);
void zraw_setup_DbvSchemaInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvSchemaInfo(DbvSchemaInfo *psSchemaInfo);
DbvObjectIdentifier 
zraw_fill_DbvObjectIdentifier(void);
DbvTagTypeMapping **
zraw_fill_DbvTagTypeMapping_list(void);
DbvElementInfo **
zraw_fill_DbvElementInfo_list(void);
DbvPath **
zraw_fill_DbvPath_list(void);
DbvElementDataType *
zraw_fill_DbvElementDataType(DbvElementDataTypeType eElementDataTypeType);
void zraw_setup_DbvTagSetInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvTagSetInfo(DbvTagSetInfo *psTagSetInfo);
DbvElements **
zraw_fill_DbvElements_list(void);
DbvPrimitiveDataType *
zraw_fill_DbvPrimitiveDataType(void);
void zraw_setup_DbvRecordSyntaxInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvRecordSyntaxInfo(DbvRecordSyntaxInfo *psRecordSyntaxInfo);
void zraw_setup_DbvAttributeSetInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvAttributeSetInfo(DbvAttributeSetInfo *psAttributeSetInfo);
DbvAttributeType **
zraw_fill_DbvAttributeType_list(void);
DbvAttributeDescription **
zraw_fill_DbvAttributeDescription_list(void);
DbvStringOrNumeric **
zraw_fill_DbvStringOrNumeric_list(void);
void zraw_setup_DbvTermListInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvTermListInfo(DbvTermListInfo *psTermListInfo);
DbvTermList **
zraw_fill_DbvTermList_list(void);
DbvSearchCost *
zraw_fill_DbvSearchCost(void);
void zraw_setup_DbvExtendedServicesInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvExtendedServicesInfo(DbvExtendedServicesInfo *psExtendedServicesInfo);
DbvASN1External *
zraw_fill_DbvASN1External(void);
void zraw_setup_DbvAttributeDetails(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvAttributeDetails(DbvAttributeDetails *psAttributeDetails);
DbvAttributesBySet **
zraw_fill_DbvAttributesBySet_list(void);
DbvAttributesByType **
zraw_fill_DbvAttributesByType(void);
DbvOmittedAttributeInterpretation *
zraw_fill_DbvOmittedAttributeInterpretation(void);
DbvAttributeValues **
zraw_fill_DbvAttributeValues_list(void);
DbvAttributeCombinations *
zraw_fill_DbvAttributeCombinations(void);
DbvAttributeCombination **
zraw_fill_DbvAttributeCombination_list(void);
DbvAttributeOccurrence **
zraw_fill_DbvAttributeOccurrence_list(void);
void
zraw_fill_DbvAttributeOccurrence(DbvAttributeOccurrenceChoice *psAttributeValues, DbvAttributeOccurrenceChoiceType eAttributeOccurrenceChoiceType);
void zraw_setup_DbvTermListDetails(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvTermListDetails(DbvTermListDetails *psTermListDetails);
DbvScanInfo *
zraw_fill_DbvScanInfo(void);
DbvTerm **
zraw_fill_DbvTerm_list(void);
DbvTerm *
zraw_fill_DbvTerm(DbvTermType eTermType);
void zraw_setup_DbvElementSetDetails(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvElementSetDetails(DbvElementSetDetails *psElementSetDetails);
DbvDetailsPerElement **
zraw_fill_DbvDetailsPerElement_list(void);
DbvRecordTag *
zraw_fill_DbvRecordTag(void);
DbvPathA **
zraw_fill_DbvPathA_list(void);
void zraw_setup_DbvRetrievalRecordDetails(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvRetrievalRecordDetails(DbvRetrievalRecordDetails *psRetrievalRecordDetails);
void zraw_setup_DbvSortDetails(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvSortDetails(DbvSortDetails *psSortDetails);
DbvSortKeys **
zraw_fill_DbvSortKeys_list(void);
DbvSpecification **
zraw_fill_DbvSpecification_list(void);
DbvSpecification *
zraw_fill_DbvSpecification(DbvElementSpecType eElementSpecType);
DbvElementSpec *  
zraw_fill_DbvElementSpec(DbvElementSpecType eElementSpecType);
DbvSortType *
zraw_fill_DbvSortType(DbvSortTypeType eSortTypeType);
DbvCaseSensitivity *
zraw_fill_DbvCaseSensitivity(void);
void zraw_setup_DbvProcessingInformation(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvProcessingInformation(DbvProcessingInformation *psProcessing);
void zraw_setup_DbvVariantSetInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvVariantSetInfo(DbvVariantSetInfo *psVariants);
DbvVariantClass **
zraw_fill_DbvVariantClass_list(void);
DbvVariantTypes **
zraw_fill_DbvVariantTypes_list(void);
DbvVariantValue *
zraw_fill_DbvVariantValue(void);
DbvValueSet *
zraw_fill_DbvValueSet(void);
DbvValueRange *
zraw_fill_DbvValueRange(void);
DbvValueDescription *
zraw_fill_DbvValueDescription(DbvValueDescriptionType eValueDescriptionType);
DbvOctetString *
zraw_fill_DbvOctetString(void);
DbvValueDescription **
zraw_fill_DbvValueDescription_list(void);
void zraw_setup_DbvUnitInfo(DbvExplainRecord *psExplainRecord);
void zraw_fill_DbvUnitInfo(DbvUnitInfo *psUnits);
DbvUnitType **
zraw_fill_DbvUnitType_list(void);
DbvUnits **
zraw_fill_DbvUnits(void);
void 
zraw_setup_DbvCategoryList(DbvExplainRecord *psExplainRecord);
void 
zraw_fill_DbvCategoryList(DbvCategoryList *psCategoryList);
DbvCategoryInfo **
zraw_fill_DbvCategoryInfo_list(void);



#endif
