/*  Module Name: @(#)free_code.h	7.4
    Version: 4/21/97
    Author: 
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef free_code_h
#define free_code_h

#include "z3950_includes.h"


int 
SIFreeDbvOriginData (DbvOriginData ** ppsOriginData);
int 
SIFreeDbvTargetData (DbvTargetData ** ppsTargetData);
int 
SIFreeDbvInitializeReq (DbvInitializeReq ** ppsInitializeReq);
int 
SIFreeDbvSearchReq (DbvSearchReq ** ppsSearchReq);
int 
SIFreeDbvPresentReq (DbvPresentReq ** ppsPresentReq);
int 
SIFreeDbvDeleteResultSetReq (DbvDeleteResultSetReq ** ppsDeleteResultSetReq);
int 
SIFreeDbvScanReq (DbvScanReq ** ppsScanReq);
int 
SIFreeDbvResourceReportReq (DbvResourceReportReq ** ppsResourceReportReq);
int 
SIFreeDbvSortReq (DbvSortReq ** ppsSortReq);
int 
SIFreeDbvExtendedServicesReq (DbvExtendedServicesReq ** ppsExtendedServicesReq);
int 
SIFreeDbvCloseReq (DbvCloseReq ** ppsCloseReq);
int 
SIFreeDbvOctetString (DbvOctetString ** ppsOctetString);
int 
SIFreeDbvAccessControlRsp (DbvAccessControlRsp ** ppsAccessControlRsp);
int 
SIFreeDbvResourceControlRsp (DbvResourceControlRsp ** ppsResourceControlRsp);
int 
SIFreeDbvTriggerResourceControlReq (DbvTriggerResourceControlReq ** ppsTriggerResourceControlReq);
int 
SIFreeDbvInitializeRsp (DbvInitializeRsp ** ppsInitializeRsp);
int 
SIFreeDbvSearchRsp (DbvSearchRsp ** ppsSearchRsp);
int 
SIFreeDbvPresentRsp (DbvPresentRsp ** ppsPresentRsp);
int 
SIFreeDbvDeleteResultSetRsp (DbvDeleteResultSetRsp ** ppsDeleteResultSetRsp);
int 
SIFreeDbvScanRsp (DbvScanRsp ** ppsScanRsp);
int 
SIFreeDbvResourceReportRsp (DbvResourceReportRsp ** ppsResourceReportRsp);
int 
SIFreeDbvSegmentReq (DbvSegmentReq ** ppsSegmentReq);
int 
SIFreeDbvSortRsp (DbvSortRsp ** ppsSortRsp);
int 
SIFreeDbvExtendedServicesRsp (DbvExtendedServicesRsp ** ppsExtendedServicesRsp);
int 
SIFreeDbvAccessControlReq (DbvAccessControlReq ** ppsAccessControlReq);
int 
SIFreeDbvResourceControlReq (DbvResourceControlReq ** ppsResourceControlReq);
void 
FreeDbvOriginData (DbvOriginData * psOriginData);
void 
FreeDbvTargetData (DbvTargetData * psTargetData);
void 
FreeDbvInitializeRsp (DbvInitializeRsp * psInitializeRsp);
void 
FreeDbvInitializeReq (DbvInitializeReq * psInitializeReq);
void 
FreeDbvOctetString (DbvOctetString * psOctetString);
void 
Free_compulsory_DbvOctetString (DbvOctetString * psOctetString);
void 
FreeDbvProtocolVersion (DbvProtocolVersion pcProtocolVersion);
void 
FreeDbvOptions (DbvOptions pcOptions);
void 
FreeDbvInternationalString (DbvInternationalString * psInternationalString);
void 
FreeDbvObjectIdentifier (DbvObjectIdentifier pcObjectIdentifier);
void 
FreeDbvOtherInformation (DbvOtherInformation * psOtherInformation);
void 
FreeDbvInfoCategory (DbvInfoCategory * psInfoCategory);
void 
FreeDbvIdPassword (DbvIdPassword * psIdPassword);
void 
FreeDbvAuthentication (DbvAuthentication * psAuthentication);
void 
Free_compulsory_DbvAdditionalInfo (DbvAdditionalInfo * psAdditionalInfo);
void 
Free_compulsory_DbvAttributeValue (DbvAttributeValue * psAttributeValue);
void 
Free_compulsory_DbvHoldingsAndCircData (DbvHoldingsAndCircData
					* psHoldingsAndCircData);
void 
Free_compulsory_DbvInternationalString (DbvInternationalString
					* psInternationalString);
void 
Free_compulsory_DbvOriginPartToKeep (DbvOriginPartToKeep
				     * psOriginPartToKeep);
void 
Free_compulsory_DbvTerm (DbvTerm * psTerm);
void 
Free_compulsory_DbvUnit (DbvUnit * psUnit);
void 
Free_compulsory_DbvUpdateTargetPart (DbvUpdateTargetPart
				     * psUpdateTargetPart);
void 
Free_compulsory_DbvSpecification (DbvSpecification * psSpecification);
void 
Free_compulsory_DbvEsIoTargetPart (DbvEsIoTargetPart * psEsIoTargetPart);
void 
Free_compulsory_DbvIllString (DbvIllString * psIllString);
void 
Free_compulsory_DbvDateTime (DbvDateTime * psDateTime);
void 
Free_compulsory_DbvUserOrProviderErrorReport (
		 DbvUserOrProviderErrorReport * psUserOrProviderErrorReport);
void 
Free_compulsory_DbvHistoryReport (DbvHistoryReport * psHistoryReport);
void 
Free_compulsory_DbvItemId (DbvItemId * psItemId);
void 
Free_compulsory_DbvElDeliveryDetails (
				 DbvElDeliveryDetails * psElDeliveryDetails);
void 
Free_compulsory_DbvSystemId (DbvSystemId * psSystemId);
void 
Free_compulsory_DbvTransactionId (DbvTransactionId * psTransactionId);
void 
Free_compulsory_DbvServiceDateTime (DbvServiceDateTime * psServiceDateTime);
void 
Free_compulsory_DbvEsIoPaymentMethod (
				 DbvEsIoPaymentMethod * psEsIoPaymentMethod);
void 
Free_compulsory_DbvEsIoOriginPartNotToKeep (
		     DbvEsIoOriginPartNotToKeep * psEsIoOriginPartNotToKeep);
void 
Free_compulsory_DbvCharge (DbvCharge * psCharge);
void 
Free_compulsory_DbvBodyType (DbvBodyType * psBodyType);
void 
Free_compulsory_DbvAttributeOccurrenceChoice (
		 DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);



void 
Free_compulsory_DbvSecurityChallengeReq (DbvSecurityChallengeReq * psSecurityChallengeReq);
void 
Free_compulsory_DbvPromptId (DbvPromptId * psPromptId);
void 
Free_compulsory_DbvPromptResponse (DbvPromptResponse * psPromptResponse);
void 
FreeN_DbvAttributeElement (DbvAttributeElement ** ppsAttributeElement);
void 
FreeN_DbvAttributesPlusTerm (DbvAttributesPlusTerm
			     ** ppsAttributesPlusTerm);
void 
FreeN_DbvCircRecord (DbvCircRecord ** ppsCircRecord);
void 
FreeN_DbvDiagRec (DbvDiagRec ** ppsDiagRec);
void 
FreeN_DbvElementSetsDbSpecific (DbvElementSetsDbSpecific
				** ppsElementSetsDbSpecific);
void 
FreeN_DbvEntry (DbvEntry ** ppsEntry);
void 
FreeN_DbvEstimate1 (DbvEstimate1 ** ppsEstimate1);
void 
FreeN_DbvEstimate2 (DbvEstimate2 ** ppsEstimate2);
void 
FreeN_DbvFormatSpec (DbvFormatSpec ** ppsFormatSpec);
void 
FreeN_DbvHoldingsRecord (DbvHoldingsRecord ** ppsHoldingsRecord);
void 
FreeN_DbvInternationalString (DbvInternationalString
			      ** ppsInternationalString);
void 
FreeN_DbvListStatus (DbvListStatus ** ppsListStatus);
void 
FreeN_DbvNamePlusRecord (DbvNamePlusRecord ** ppsNamePlusRecord);
void 
FreeN_DbvOccurrenceByDb (DbvOccurrenceByDb ** ppsOccurrenceByDb);
void 
FreeN_DbvPermAllowableFunctions (DbvPermAllowableFunctions
				 ** ppePermAllowableFunctions);
void 
FreeN_DbvPermissions (DbvPermissions ** ppsPermissions);
void 
FreeN_DbvRange (DbvRange ** ppsRange);
void 
FreeN_DbvSortKeySpec (DbvSortKeySpec ** ppsSortKeySpec);
void 
FreeN_DbvStringOrNumeric (DbvStringOrNumeric ** ppsStringOrNumeric);
void 
FreeN_DbvSuppliedRecord (DbvSuppliedRecord ** ppsSuppliedRecord);
void 
FreeN_DbvTaskPackageRecord (DbvTaskPackageRecord ** ppsTaskPackageRecord);
void 
FreeN_DbvVolume (DbvVolume ** ppsVolume);
void 
FreeN_Ulong (Ulong ** ppUlong);
void 
FreeN_DbvOtherInformation (DbvOtherInformation ** ppsOtherInformation);
void 
FreeN_DbvOccurrenceByAttributes (DbvOccurrenceByAttributes
				 ** ppsByAttributes);
void 
FreeN_DbvDbSpecificComp (DbvDbSpecificComp ** ppsDbSpecific);
void 
FreeN_DbvObjectIdentifier (DbvObjectIdentifier * ppcObjectIdentifier);
void 
FreeN_DbvSystemId (DbvSystemId ** ppsSystemId);
void 
FreeN_DbvElectronicDeliveryService (
	       DbvElectronicDeliveryService ** ppsElectronicDeliveryService);
void 
FreeN_DbvSupplyMediumInfo (DbvSupplyMediumInfo ** ppsSupplyMediumInfo);
void 
FreeN_DbvSendToList (DbvSendToList ** ppsSendToList);
void 
FreeN_DbvExtension (DbvExtension ** ppsExtension);
void 
FreeN_DbvServiceType (DbvServiceType ** ppsServiceType);
void 
FreeN_DbvASN1External (DbvASN1External ** ppsASN1External);
void 
FreeN_DbvHumanString (DbvHumanString ** ppsHumanString);
void 
FreeN_DbvIconObject (DbvIconObject ** ppsIconObject);
void 
FreeN_DbvDatabaseList (DbvDatabaseList ** ppsDatabaseList);
void 
FreeN_DbvNetworkAddress (DbvNetworkAddress ** ppsNetworkAddress);
void 
FreeN_DbvOperators (DbvOperators ** ppsOperators);
void 
FreeN_DbvSearchKey (DbvSearchKey ** ppsSearchKey);
void 
FreeN_DbvHumanStringSeq (DbvHumanStringSeq ** ppsDescription);
void 
FreeN_DbvUnitType (DbvUnitType ** ppsUnitType);
void 
FreeN_DbvUnitsSupported (DbvUnitsSupported ** ppsUnitsSupported);
void 
FreeN_DbvQueryTypeDetails (DbvQueryTypeDetails ** ppsQueryTypeDetails);
void 
FreeN_DbvOtherCharge (DbvOtherCharge ** ppsOtherCharge);
void 
FreeN_DbvElementSetNames (DbvElementSetNames ** ppsElementSetNames);
void 
FreeN_DbvAccessRestrictions (
			      DbvAccessRestrictions ** ppsAccessRestrictions);
void 
FreeN_DbvTagTypeMapping (DbvTagTypeMapping ** ppsTagTypeMapping);
void 
FreeN_DbvPath (DbvPath ** ppsPath);
void 
FreeN_DbvPathA (DbvPathA ** ppsPathA);
void 
FreeN_DbvElementInfo (DbvElementInfo ** ppsElementInfo);
void 
FreeN_DbvElements (DbvElements ** ppsElements);
void 
FreeN_DbvAttributeDescription (
			 DbvAttributeDescription ** ppsAttributeDescription);
void 
FreeN_DbvAttributeType (DbvAttributeType ** ppsAttributeType);
void 
FreeN_DbvTermList (DbvTermList ** ppsTermList);
void 
FreeN_DbvValueDescription (DbvValueDescription ** ppsValueDescription);
void 
FreeN_DbvAttributeValues (DbvAttributeValues ** ppsAttributeValues);
void 
FreeN_DbvAttributesByType (DbvAttributesByType ** ppsAttributesByType);
void 
FreeN_DbvAttributesBySet (DbvAttributesBySet ** ppsAttributesBySet);
void 
FreeN_DbvAttributeDetails (DbvAttributeDetails ** ppsAttributeDetails);
void 
FreeN_DbvTerm (DbvTerm ** ppsTerm);
void 
FreeN_DbvDetailsPerElement (DbvDetailsPerElement ** ppsDetailsPerElement);
void 
FreeN_DbvSortKeys (DbvSortKeys ** ppsSortKeys);
void 
FreeN_DbvVariantTypes (DbvVariantTypes ** ppsVariantTypes);
void 
FreeN_DbvVariantClass (DbvVariantClass ** ppsVariantClass);
void 
FreeN_DbvUnits (DbvUnits ** ppsUnits);
void 
FreeN_DbvUnit (DbvUnit ** ppsUnit);
void 
FreeN_DbvCategoryInfo (DbvCategoryInfo ** ppsCategoryInfo);
void 
FreeN_DbvAttributeOccurrence (
			   DbvAttributeOccurrence ** ppsAttributeOccurrence);
void 
FreeN_DbvAttributeCombination (
			 DbvAttributeCombination ** ppsAttributeCombination);
void 
FreeN_DbvAttributeCombinations (
		       DbvAttributeCombinations ** ppsAttributeCombinations);
void 
FreeN_DbvSpecification (DbvSpecification ** ppsSpecification);



void 
freeN_DbvDataBaseInfoSeq (DbvDataBaseInfoSeq ** ppsDbvDataBaseInfoSeq);
void 
FreeN_DbvChallenge (DbvChallenge ** ppsChallenge);
void 
FreeN_DbvResponse (DbvResponse ** ppsResponse);
void 
FreeN_DbvInitialSet (DbvInitialSet ** ppsInitialSet);
void 
FreeN_DbvLanguageCode (DbvLanguageCode ** ppsLanguageCode);
void 
FreeN_DbvProposedCharSet (DbvProposedCharSet ** ppsProposedCharSet);
void 
Free_DbvAttributeElement (DbvAttributeElement * psAttributeElement);
void 
Free_DbvAttributesPlusTerm (DbvAttributesPlusTerm * psAttributesPlusTerm);
void 
Free_DbvCircRecord (DbvCircRecord * psCircRecord);
void 
Free_DbvCloseReq (DbvCloseReq * psCloseReq);
void 
Free_DbvComplexValue (DbvComplexValue * psComplexValue);
void 
Free_DbvCorrelationInfo (DbvCorrelationInfo * psCorrelationInfo);
void 
Free_DbvDefaultDiagFormat (DbvDefaultDiagFormat * psDefaultDiagFormat);
void 
Free_DbvDeleteResultSetReq (DbvDeleteResultSetReq * psDeleteResultSetReq);
void 
Free_DbvDeleteResultSetRsp (DbvDeleteResultSetRsp * psDeleteResultSetRsp);
void 
Free_DbvDiagRec (DbvDiagRec * psDiagRec);
void 
Free_DbvElementSetNames (DbvElementSetNames * psElementSetNames);
void 
Free_DbvElementSetsDbSpecific (DbvElementSetsDbSpecific
			       * psElementSetsDbSpecific);
void 
Free_DbvEntry (DbvEntry * psEntry);
void 
Free_DbvEsTaskPackage (DbvEsTaskPackage * psEsTaskPackage);
void 
Free_DbvEstimate1 (DbvEstimate1 * psEstimate1);
void 
Free_DbvEstimate2 (DbvEstimate2 * psEstimate2);
void 
Free_DbvFormatSpec (DbvFormatSpec * psFormatSpec);
void 
Free_DbvFragmentSyntax (DbvFragmentSyntax * psFragmentSyntax);
void 
Free_DbvGeneralizedTime (DbvGeneralizedTime psGeneralizedTime);
void 
Free_DbvHoldingsRecord (DbvHoldingsRecord * psHoldingsRecord);
void 
Free_DbvIntUnit (DbvIntUnit * psIntUnit);
void 
Free_compulsory_DbvIntUnit (DbvIntUnit * psIntUnit);
void 
do_Free_DbvIntUnit (DbvIntUnit * psIntUnit);
void 
Free_DbvListEntries (DbvListEntries * psListEntries);
void 
Free_DbvListStatus (DbvListStatus * psListStatus);
void 
Free_DbvNamePlusRecord (DbvNamePlusRecord * psNamePlusRecord);
void 
Free_DbvOccurrence (DbvOccurrence * psOccurrence);
void 
Free_DbvOccurrenceByAttributes (DbvOccurrenceByAttributes
				* psOccurrenceByAttributes);
void 
Free_DbvOccurrenceByDb (DbvOccurrenceByDb * psOccurrenceByDb);
void 
Free_DbvOpacRecord (DbvOpacRecord * psOpacRecord);
void 
Free_DbvPermAllowableFunctions (DbvPermAllowableFunctions
				* psPermAllowableFunctions);
void 
Free_DbvPermissions (DbvPermissions * psPermissions);
void 
Free_DbvPresentReq (DbvPresentReq * psPresentReq);
void 
Free_DbvPresentRsp (DbvPresentRsp * psPresentRsp);
void 
Free_DbvPresentStatus (DbvPresentStatus * pePresentStatus);
void 
Free_DbvQuery (DbvQuery * psQuery);
void 
Free_DbvRange (DbvRange * psRange);
void 
Free_DbvRecords (DbvRecords * psRecords);
void 
Free_DbvResourceReport1 (DbvResourceReport1 * psResourceReport1);
void 
Free_DbvResourceReport2 (DbvResourceReport2 * psResourceReport2);
void 
Free_DbvResourceReportReq (DbvResourceReportReq * psResourceReportReq);
void 
Free_DbvResourceReportRsp (DbvResourceReportRsp * psResourceReportRsp);
void 
Free_DbvResultSetStatus (DbvResultSetStatus * peResultSetStatus);
void 
Free_DbvScanReq (DbvScanReq * psScanReq);
void 
Free_DbvScanRsp (DbvScanRsp * psScanRsp);
void 
Free_DbvSearchReq (DbvSearchReq * psSearchReq);
void 
Free_DbvSearchRsp (DbvSearchRsp * psSearchRsp);
void 
Free_DbvSegmentReq (DbvSegmentReq * psSegmentReq);
void 
Free_DbvSingleASN1Type (DbvSingleASN1Type * psSingleASN1Type);
void 
Free_DbvSortKeySpec (DbvSortKeySpec * psSortKeySpec);
void 
Free_DbvSortMVAction (DbvSortMVAction * psSortMVAction);
void 
Free_DbvSortReq (DbvSortReq * psSortReq);
void 
Free_DbvSortResultSetStatus (DbvSortResultSetStatus * peResultSetStatus);
void 
Free_DbvSortRsp (DbvSortRsp * psSortRsp);
void 
Free_DbvStringOrNumeric (DbvStringOrNumeric * psStringOrNumeric);
void 
Free_compulsory_DbvStringOrNumeric (DbvStringOrNumeric * psStringOrNumeric);
void 
do_Free_DbvStringOrNumeric (DbvStringOrNumeric * psStringOrNumeric);
void 
Free_DbvSummaryRecord (DbvSummaryRecord * psSummaryRecord);
void 
Free_DbvSuppliedRecord (DbvSuppliedRecord * psSuppliedRecord);
void 
Free_DbvTaskPackageRecord (DbvTaskPackageRecord * psTaskPackageRecord);
void 
Free_DbvTermInfo (DbvTermInfo * psTermInfo);
void 
Free_DbvUpdateExtendedService (DbvUpdateExtendedService
			       * psUpdateExtendedService);
void 
Free_DbvUpdateRequestPackage (DbvUpdateRequestPackage
			      * psUpdateRequestPackage);
void 
Free_DbvUpdateTaskPackage (DbvUpdateTaskPackage
			   * psUpdateTaskPackage);
void 
Free_DbvUpdtRecordId (DbvUpdtRecordId * psUpdtRecordId);
void 
Free_DbvUpdtRecordOrDiag (DbvUpdtRecordOrDiag * psUpdtRecordOrDiag);
void 
Free_DbvUpdtSupplementalId (DbvUpdtSupplementalId * psUpdtSupplementalId);
void 
Free_DbvVisibleString (DbvVisibleString psVisibleString);
void 
Free_DbvVolume (DbvVolume * psVolume);
void 
Free_Ulong (Ulong * pulong);
void 
FreeDbvASN1External (DbvASN1External * psASN1External);
void 
Free_compulsory_DbvASN1External (DbvASN1External * psASN1External);
void 
do_FreeDbvASN1External (DbvASN1External * psASN1External);
void 
Free_DbvRecordComposition (DbvRecordComposition * psRecordComposition);
void 
Free_DbvCompSpec (DbvCompSpec * psCompSpec);
void 
Free_DbvSpecification (DbvSpecification * psSpecification);
void 
Free_DbvDbSpecificComp (DbvDbSpecificComp * psDbSpecific);
void 
Free_DbvRPNQuery (DbvRPNQuery * psDbvRpnQuery);
void 
Free_rpn_structure (DbvRPNStructure * psDbvRPNStructure);
void 
Free_rpnlopropoperator (DbvRPNLopRopOperator * psDbvRPNLopRopOperator);
void 
Free_rpnoperand (DbvOperand * psRpnOperand);
void 
Free_attsplusterm (DbvAttributesPlusTerm * psAttributesPlusTerm);
void 
Free_att_element (DbvAttributeElement * psAttributeElement);
void 
Free_att_term (DbvTerm sTerm);
void 
Free_DbvOperator (DbvOperator * psOperator);
void 
Free_DbvExtendedServicesReq (DbvExtendedServicesReq * psExtendedServicesReq);
void 
Free_DbvExtendedServicesRsp (DbvExtendedServicesRsp * psExtendedServicesRsp);
void 
Free_DbvAssociateResult (DbvAssociateResult * puAssociateResult,
			 DbvAssociateState eAssociateState);
void 
Free_DbvGeneralString (DbvGeneralString * psGeneralString);
void 
Free_DbvEsIoTargetPart (DbvEsIoTargetPart * psEsIoTargetPart);
void 
do_Free_DbvEsIoTargetPart (DbvEsIoTargetPart * psEsIoTargetPart);
void 
Free_DbvEsIoResultSetItem (DbvEsIoResultSetItem * psEsIoResultSetItem);
void 
Free_DbvEsIoOriginPartNotToKeep (
		     DbvEsIoOriginPartNotToKeep * psEsIoOriginPartNotToKeep);
void 
Free_DbvEsIoCreditCardInfo (DbvEsIoCreditCardInfo * psEsIoCreditCardInfo);
void 
do_Free_DbvEsIoOriginPartNotToKeep (
		     DbvEsIoOriginPartNotToKeep * psEsIoOriginPartNotToKeep);
void 
Free_DbvIllString (DbvIllString * psIllString);
void 
do_Free_DbvIllString (DbvIllString * psIllString);
void 
Free_DbvPersonOrInstitutionSymbol (DbvPersonOrInstitutionSymbol
				   * psPersonOrInstitutionSymbol);
void 
Free_DbvNameOfPersonOrInstitution (DbvNameOfPersonOrInstitution
				   * psNameOfPersonOrInstitution);
void 
Free_DbvSystemId (DbvSystemId * psSystemId);
void 
do_Free_DbvSystemId (DbvSystemId * psSystemId);
void 
Free_DbvTransactionId (DbvTransactionId * psTransactionId);
void 
do_Free_DbvTransactionId (DbvTransactionId * psTransactionId);
void 
Free_DbvDateTime (DbvDateTime * psDateTime);
void 
do_Free_DbvDateTime (DbvDateTime * psDateTime);
void 
Free_DbvServiceDateTime (DbvServiceDateTime * psServiceDateTime);
void 
do_Free_DbvServiceDateTime (DbvServiceDateTime * psServiceDateTime);
void 
Free_DbvPostalAddress (DbvPostalAddress * psPostalAddress);
void 
Free_DbvSystemAddress (DbvSystemAddress * psSystemAddress);
void 
Free_DbvDeliveryAddress (DbvDeliveryAddress * psDeliveryAddress);
void 
Free_DbvElDeliveryDetails (DbvElDeliveryDetails * psElDeliveryDetails);
void 
do_Free_DbvElDeliveryDetails (DbvElDeliveryDetails * psElDeliveryDetails);
void 
Free_DbvElDeliveryParameter (
			      DbvElDeliveryParameter * psElDeliveryParameter);
void 
Free_DbvDocumentTypeParameter (
			 DbvDocumentTypeParameter * psDocumentTypeParameter);
void 
Free_DbvElectronicDeliveryService (
		 DbvElectronicDeliveryService * psElectronicDeliveryService);
void 
Free_DbvDeliveryService (DbvDeliveryService * psDeliveryService);
void 
Free_DbvRequesterOptionalMessages (
		 DbvRequesterOptionalMessages * psRequesterOptionalMessages);
void 
Free_DbvSearchType (DbvSearchType * psSearchType);
void 
Free_DbvSupplyMediumInfo (DbvSupplyMediumInfo * psSupplyMediumInfo);
void 
Free_DbvClientId (DbvClientId * psClientId);
void 
Free_DbvItemId (DbvItemId * psItemId);
void 
do_Free_DbvItemId (DbvItemId * psItemId);
void 
Free_DbvAmount (DbvAmount * psAmount);
void 
Free_DbvCostInfo (DbvCostInfo * psCostInfo);
void 
Free_DbvSendToList (DbvSendToList * psSendToList);
void 
Free_DbvThirdPartyInfo (DbvThirdPartyInfo * psThirdPartyInfo);
void 
Free_DbvRequesterGroup (DbvRequesterGroup * peRequesterGroup);
void 
Free_DbvAddRequesterInfo (DbvAddRequesterInfo * psAddRequesterInfo);
void 
Free_DbvStatusLevelUser (DbvStatusLevelUser * peStatusLevelUser);
void 
Free_DbvStatusLevelRequester (DbvStatusLevelRequester * peStatusLevelOrigin);
void 
Free_DbvAddDeliveryInfo (DbvAddDeliveryInfo * psAddDeliveryInfo);
void 
Free_DbvBillingBankInfo (DbvBillingBankInfo * psBillingBankInfo);
void 
Free_DbvBillingCreditCardInfo (DbvBillingCreditCardInfo * psBillingCreditCardInfo);
void 
Free_DbvAddBillingInfo (DbvAddBillingInfo * psAddBillingInfo);
void 
Free_DbvSubitoAdditionalInfo (DbvSubitoAdditionalInfo * psAddIllReqInfo);
void 
Free_DbvExtension (DbvExtension * psExtension);
void 
Free_DbvIllRequest (DbvIllRequest * psIllRequest);
void 
Free_DbvHistoryReport (DbvHistoryReport * psHistoryReport);
void 
do_Free_DbvHistoryReport (DbvHistoryReport * psHistoryReport);
void 
Free_DbvStateTransitionProhibited (
		 DbvStateTransitionProhibited * psStateTransitionProhibited);
void 
Free_DbvAlreadyForwarded (DbvAlreadyForwarded * psAlreadyForwarded);
void 
Free_DbvProviderErrorReport (
			      DbvProviderErrorReport * psProviderErrorReport);
void 
Free_DbvUserErrorReport (DbvUserErrorReport * psUserErrorReport);
void 
Free_DbvUserOrProviderErrorReport (
		 DbvUserOrProviderErrorReport * psUserOrProviderErrorReport);
void 
do_Free_DbvUserOrProviderErrorReport (
		 DbvUserOrProviderErrorReport * psUserOrProviderErrorReport);
void 
Free_DbvErrorReport (DbvErrorReport * psErrorReport);
void 
Free_DbvStatusReport (DbvStatusReport * psStatusReport);
void 
Free_DbvStatusOrErrorReport (
			      DbvStatusOrErrorReport * psStatusOrErrorReport);
void 
Free_DbvIllPdu (DbvIllPdu * psIllPdu);
void 
Free_DbvBool (DbvBool * peBool);
void 
Free_DbvPreference (DbvPreference * pePreference);
void 
Free_DbvTransactionType (DbvTransactionType * peTransactionType);
void 
Free_DbvReasonNoReport (DbvReasonNoReport * peReasonNoReport);
void 
Free_DbvPrintableString (DbvPrintableString pcPrintableString);
void 
Free_DbvItemType (DbvItemType * peItemType);
void 
Free_DbvExpiry (DbvExpiry * peExpiry);
void 
Free_DbvMediumType (DbvMediumType * peMediumType);
void 
Free_DbvServiceType (DbvServiceType * peServiceType);
void 
Free_DbvPlaceOnHold (DbvPlaceOnHold * pePlaceOnHold);
void 
Free_DbvShippedServiceType (DbvShippedServiceType * peShippedServiceType);
void 
Free_DbvTransactionResults (DbvTransactionResults * peTransactionResults);
void 
Free_DbvEsIoAuxiliaryStatus (
			      DbvEsIoAuxiliaryStatus * peEsIoAuxiliaryStatus);
void 
Free_DbvEsIoPaymentMethod (DbvEsIoPaymentMethod * psEsIoPaymentMethod);
void 
do_Free_DbvEsIoPaymentMethod (DbvEsIoPaymentMethod * psEsIoPaymentMethod);
void 
Free_DbvEsIoAdditionalBilling (
			 DbvEsIoAdditionalBilling * psEsIoAdditionalBilling);
void 
Free_DbvEsIoContact (DbvEsIoContact * psEsIoContact);
void 
Free_DbvEsIoOriginPartToKeep (
			   DbvEsIoOriginPartToKeep * psEsIoOriginPartToKeep);
void 
Free_DbvEsIoRequest (DbvEsIoRequest * psEsIoRequest);
void 
Free_DbvEsIoTaskPackage (DbvEsIoTaskPackage * psEsIoTaskPackage);
void 
Free_DbvItemOrderExtendedService (
		   DbvItemOrderExtendedService * psItemOrderExtendedService);
void 
Free_DbvCommonInfo (DbvCommonInfo * psCommonInfo);
void 
Free_DbvHumanString (DbvHumanString * psHumanString);
void 
Free_DbvBodyType (DbvBodyType * psBodyType);
void 
do_Free_DbvBodyType (DbvBodyType * psBodyType);
void 
Free_DbvIconObject (DbvIconObject * psIconObject);
void 
Free_DbvContactInfo (DbvContactInfo * psContactInfo);
void 
Free_DbvDatabaseList (DbvDatabaseList * psDatabaseList);
void 
Free_DbvInterAddress (DbvInterAddress * psInterAddress);
void 
Free_DbvOsiPresentationAddress (
		       DbvOsiPresentationAddress * psOsiPresentationAddress);
void 
Free_DbvOtherAddress (DbvOtherAddress * psOtherAddress);
void 
Free_DbvNetworkAddress (DbvNetworkAddress * psNetworkAddress);
void 
Free_DbvOperators (DbvOperators * psOperators);
void 
Free_DbvSearchKey (DbvSearchKey * psSearchKey);
void 
Free_DbvHumanStringSeq (DbvHumanStringSeq * psDescription);
void 
Free_DbvPrivateCapabilities (
			      DbvPrivateCapabilities * psPrivateCapabilities);
void 
Free_DbvPrivate (DbvPrivate * psPrivate);
void 
Free_DbvUnitsSupported (DbvUnitsSupported * psUnitsSupported);
void 
Free_DbvProximitySupport (DbvProximitySupport * psProximitySupport);
void 
Free_DbvRpnCapabilities (DbvRpnCapabilities * psRpnCapabilities);
void 
Free_DbvIso8777Capabilities (
			      DbvIso8777Capabilities * psIso8777Capabilities);
void 
Free_DbvQueryTypeDetails (DbvQueryTypeDetails * psQueryTypeDetails);
void 
Free_DbvAccessRestrictions (DbvAccessRestrictions * psAccessRestrictions);
void 
Free_DbvCharge (DbvCharge * psCharge);
void 
do_Free_DbvCharge (DbvCharge * psCharge);
void 
Free_DbvOtherCharge (DbvOtherCharge * psOtherCharge);
void 
Free_DbvCosts (DbvCosts * psCosts);
void 
Free_DbvAccessInfo (DbvAccessInfo * psAccessInfo);
void 
Free_DbvTargetInfo (DbvTargetInfo * psTargetInfo);
void 
Free_DbvRecordCount (DbvRecordCount * psRecordCount);
void 
Free_DbvDatabaseInfo (DbvDatabaseInfo * psDatabaseInfo);
void 
Free_DbvTagTypeMapping (DbvTagTypeMapping * psTagTypeMapping);
void 
Free_DbvPath (DbvPath * psPath);
void 
Free_DbvPathA (DbvPathA * psPathA);
void 
Free_DbvElementInfo (DbvElementInfo * psElementInfo);
void 
Free_DbvElementDataType (DbvElementDataType * psElementDataType);
void 
Free_DbvSchemaInfo (DbvSchemaInfo * psSchemaInfo);
void 
Free_DbvElements (DbvElements * psElements);
void 
Free_DbvPrimitiveDataType (DbvPrimitiveDataType * pePrimitiveDataType);
void 
Free_DbvTagSetInfo (DbvTagSetInfo * psTagSetInfo);
void 
Free_DbvRecordSyntaxInfo (DbvRecordSyntaxInfo * psRecordSyntaxInfo);
void 
Free_DbvAttributeDescription (
			   DbvAttributeDescription * psAttributeDescription);
void 
Free_DbvAttributeType (DbvAttributeType * psAttributeType);
void 
Free_DbvAttributeSetInfo (DbvAttributeSetInfo * psAttributeSetInfo);
void 
Free_DbvTermList (DbvTermList * psTermList);
void 
Free_DbvTermListInfo (DbvTermListInfo * psTermListInfo);
void 
Free_DbvSearchCost (DbvSearchCost * peSearchCost);
void 
Free_DbvExtendedServicesInfo (
			   DbvExtendedServicesInfo * psExtendedServicesInfo);
void 
Free_DbvOmittedAttributeInterpretation (
       DbvOmittedAttributeInterpretation * psOmittedAttributeInterpretation);
void 
Free_DbvAttributeValues (DbvAttributeValues * psAttributeValues);
void 
Free_DbvAttributesByType (DbvAttributesByType * psAttributesByType);
void 
Free_DbvAttributesBySet (DbvAttributesBySet * psAttributesBySet);
void 
Free_DbvAttributeOccurrenceChoice (
		 DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);
void 
do_Free_DbvAttributeOccurrenceChoice (
		 DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);
void 
Free_DbvAttributeOccurrence (
			      DbvAttributeOccurrence * psAttributeOccurrence);
void 
Free_DbvAttributeCombination (
			   DbvAttributeCombination * psAttributeCombination);
void 
Free_DbvAttributeCombinations (
			 DbvAttributeCombinations * psAttributeCombinations);
void 
Free_DbvAttributeDetails (DbvAttributeDetails * psAttributeDetails);
void 
Free_DbvScanInfo (DbvScanInfo * psScanInfo);
void 
Free_DbvTermListDetails (DbvTermListDetails * psTermListDetails);
void 
Free_DbvRecordTag (DbvRecordTag * psRecordTag);
void 
Free_DbvDetailsPerElement (DbvDetailsPerElement * psDetailsPerElement);
void 
Free_DbvElementSetDetails (DbvElementSetDetails * psElementSetDetails);
void 
Free_DbvRetrievalRecordDetails (
		       DbvRetrievalRecordDetails * psRetrievalRecordDetails);
void 
Free_DbvSortType (DbvSortType * psSortType);
void 
Free_DbvCaseSensitivity (DbvCaseSensitivity * peCaseSensitivity);
void 
Free_DbvSortKeys (DbvSortKeys * psSortKeys);
void 
Free_DbvSortDetails (DbvSortDetails * psSortDetails);
void 
Free_DbvProcessingInformation (
			 DbvProcessingInformation * psProcessingInformation);
void 
Free_DbvValueDescription (DbvValueDescription * psValueDescription);
void 
Free_DbvValueRange (DbvValueRange * psValueRange);
void 
Free_DbvValueSet (DbvValueSet * psValueSet);
void 
Free_DbvVariantValue (DbvVariantValue * psVariantValue);
void 
Free_DbvVariantTypes (DbvVariantTypes * psVariantTypes);
void 
Free_DbvVariantClass (DbvVariantClass * psVariantClass);
void 
Free_DbvVariantSetInfo (DbvVariantSetInfo * psVariantSetInfo);
void 
Free_DbvUnits (DbvUnits * psUnits);
void 
Free_DbvUnitType (DbvUnitType * psUnitType);
void 
Free_DbvUnitInfo (DbvUnitInfo * psUnitInfo);
void 
Free_DbvCategoryInfo (DbvCategoryInfo * psCategoryInfo);
void 
Free_DbvCategoryList (DbvCategoryList * psCategoryList);
void 
Free_DbvExplainRecord (DbvExplainRecord * psExplainRecord);
void 
Free_DbvLanguageCode (DbvLanguageCode * psLanguageCode);
void 
Free_DbvNull (DbvNull * psNull);
void 
Free_DbvUnit (DbvUnit * psUnit);
void 
Free_DbvTerm (DbvTerm * psTerm);
void 
Free_DbvDataBaseInfoSeq ( DbvDataBaseInfoSeq * psDataBaseInfoSeq);




void 
Free_DbvSecurityChallengeRsp (DbvSecurityChallengeRsp * psSecurityChallengeRsp);
void 
Free_DbvAccessControlReq (DbvAccessControlReq * psAccessControlReq);
void 
Free_DbvAccessControlRsp (DbvAccessControlRsp * psAccessControlRsp);
void 
Free_DbvEnumeratedPrompt (DbvEnumeratedPrompt * psEnumeratedPrompt);
void 
Free_DbvEncryption (DbvEncryption * psEncryption);
void 
Free_DbvPromptInfo (DbvPromptInfo * psPromptInfo);
void 
Free_DbvDataType (DbvDataType * peDataType);
void 
Free_DbvChallenge (DbvChallenge * psChallenge);
void 
Free_DbvResponse (DbvResponse * psResponse);
void 
Free_DbvPromptObject (DbvPromptObject * psPromptObject);
void 
Free_DbvPartialResultsAvailable (DbvPartialResultsAvailable * pePartialResultsAvailable);
void 
Free_DbvResourceControlReq (DbvResourceControlReq * psResourceControlReq);
void 
Free_DbvResourceControlRsp (DbvResourceControlRsp * psResourceControlRsp);
void 
Free_DbvTriggerResourceControlReq (DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
Free_DbvElementSpec (DbvElementSpec * psElementSpec);
void 
Free_DbvEnvironment (DbvEnvironment * psEnvironment);
void 
Free_DbvInitialSet (DbvInitialSet * psInitialSet);
void 
Free_DbvLeftAndRight (DbvLeftAndRight * psLeftAndRight);
void 
Free_DbvIso2022Proposal (DbvIso2022Proposal * psIso2022Proposal);
void 
Free_DbvIso2022Response (DbvIso2022Response * psIso2022Response);
void 
Free_DbvIso2022 (DbvIso2022 * psIso2022);
void 
Free_DbvIso10646 (DbvIso10646 * psIso10646);
void 
Free_DbvPrivateCharacterSet (DbvPrivateCharacterSet * psPrivateCharacterSet);
void 
Free_DbvProposedCharSet (DbvProposedCharSet * psProposedCharSet);
void 
Free_DbvOriginProposal (DbvOriginProposal * psOriginProposal);
void 
Free_DbvSelectedCharSet (DbvSelectedCharSet * psSelectedCharSet);
void 
Free_DbvTargetResponse (DbvTargetResponse * psTargetResponse);
void 
Free_DbvCharSetAndLanguage (DbvCharSetAndLanguage * psCharSetAndLanguage);



#endif

