/*  Module Name: @(#)list_functions.c	7.1
    Version: 11/15/96
    Author: Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
        DBV-OSI specific linked list functions
 
 
*/

#include "list_functions.h"

/* Compare the given Association ID with all the ones in the list */
SL_LocateFunc DBVLocateAssociate(DbvAssocId *plAssocId, 
	DBVAssociateDetails *psAssociateDetails)
{
	if(*plAssocId == psAssociateDetails->lAssocId)
		return (SL_LocateFunc)TRUE;
	else
		return (SL_LocateFunc)FALSE;
}

SL_LocateFunc DBVLocateAssociateTrace(DbvAssocId *plAssocId, 
	DBVTraceDetails *psTraceInformation)
{
	if(*plAssocId == psTraceInformation->lAssocId)
		return (SL_LocateFunc)TRUE;
	else
		return (SL_LocateFunc)FALSE;
}
