/*  Module Name: @(#)oid_overwrites_e.c	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: snacc oid overwrite
 
*/

#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h"
#include "iord_ext.h"
#include "itemordr.h"


int val;
jmp_buf env;
 
if ((val = setjmp(env)) == 0) {
 
AsnOid temp;

/* in z3950_globals.c */
extern	char resrep1Oid_static[],
	resrep2Oid_static[],
	accprompt1Oid_static[];


/*  ANSI_RESOURCE_REPORT_1 - 1.2.840.10003.7.1 */
ASN_MakeOid(ANSI_RESOURCE_REPORT_1, &temp, env);
memcpy(resrep1Oid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
resrep1Oid.octs = resrep1Oid_static;
resrep1Oid.octetLen = temp.octetLen;
oid2.octs = resrep1Oid_static;
oid2.octetLen = temp.octetLen;


/*  ANSI_RESOURCE_REPORT_2 - 1.2.840.10003.7.2 */
ASN_MakeOid(ANSI_RESOURCE_REPORT_2, &temp, env);
memcpy(resrep2Oid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
resrep2Oid.octs = resrep2Oid_static;
resrep2Oid.octetLen = temp.octetLen;
oid3.octs = resrep2Oid_static;
oid3.octetLen = temp.octetLen;


/*  ANSI_ACCESS_PROMPT_1 - 1.2.840.10003.8.1 */
ASN_MakeOid(ANSI_ACCESS_PROMPT_1, &temp, env);
memcpy(accprompt1Oid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
accprompt1Oid.octs = accprompt1Oid_static;
accprompt1Oid.octetLen = temp.octetLen;
oid5.octs = accprompt1Oid_static;
oid5.octetLen = temp.octetLen;


} else {
        fprintf(stderr, "Fatal event: ASN_MakeOid failed for oid_overwrites_e.c\n");
}




