/*  Module Name: @(#)oid_overwrites_f.c	7.2
    Version: 12/2/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: snacc oid overwrite
 
*/


#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h"
#include "iord_ext.h"
#include "itemordr.h"

int val;
jmp_buf env;
 
if ((val = setjmp(env)) == 0) {

AsnOid temp;
    
/* in z3950_globals.c */
extern char esformitemOid_static[],
	esformupdateOid_static[];


/*  ANSI_ITEMORDER_EXTENDED_SERVICE - 1.2.840.10003.9.4 */
ASN_MakeOid(ANSI_ITEMORDER_EXTENDED_SERVICE, &temp, env);
memcpy(esformitemOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esformitemOid.octs = esformitemOid_static;
esformitemOid.octetLen = temp.octetLen;
oid1.octs = esformitemOid_static;
oid1.octetLen = temp.octetLen;


/*  ANSI_UPDATE_EXTENDED_SERVICE - 1.2.840.10003.9.5 */
ASN_MakeOid(ANSI_UPDATE_EXTENDED_SERVICE, &temp, env);
memcpy(esformupdateOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esformupdateOid.octs = esformupdateOid_static;
esformupdateOid.octetLen = temp.octetLen;
oid3.octs = esformupdateOid_static;
oid3.octetLen = temp.octetLen;


} else {
        fprintf(stderr, "Fatal event: ASN_MakeOid failed for oid_overwrites_f.c\n");
}
 




