/*  Module Name: @(#)origin_z3950_delete.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef origin_z3950_delete_h
#define origin_z3950_delete_h

#include "z3950_includes.h"


int DbvDeleteResultSetRequest(DbvAssocId lAssocId, DbvDeleteResultSetReq *psDeleteResultSetReq, DbvError **ppsSIError);
int DBVCheckDbvDelReqFields(DbvAssocId lAssocId, DbvDeleteResultSetReq *psDeleteResultSetReq, DbvError **ppsSIError);
int DBVcheck_dbv_delreq_delfunc(DbvAssocId lAssocId, DbvDeleteResultSetReq *psDeleteResultSetReq, DbvError **ppsSIError);
int DBVcheck_dbv_delreq_resset(DbvAssocId lAssocId, DbvDeleteResultSetReq *psDeleteResultSetReq, DbvError **ppsSIError);
int DBVcheck_dbv_delreq_otherinfo(DbvAssocId lAssocId, DbvDeleteResultSetReq *psDeleteResultSetReq, DbvError **ppsSIError);
int DBVsetup_snacc_delrequest(PDU *PDU_ptr, DbvDeleteResultSetReq *psDeleteResultSetReq, jmp_buf env);
int DBVset_snacc_delreq_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_delreq_deletefunc(PDU *PDU_ptr, DbvDeleteFunction eDeleteFunction, jmp_buf env);
int DBVset_snacc_delreq_ressetid(PDU *PDU_ptr, DbvInternationalString **ppsResultSetId, jmp_buf env);
int DBVset_snacc_delreq_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_deleteresultsetresp(DbvOriginData *psOriginData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delresp_refid(DbvDeleteResultSetRsp *delresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delresp_opstat(DbvDeleteResultSetRsp *delresp, PDU *PDU_ptr, jmp_buf env);
int DBVsnacc_to_dbv_delsetstat(DbvDeleteSetStatus *dbv_stat, DeleteSetStatus *snacc_stat, jmp_buf env);
int DBVset_dbv_delresp_delliststat(DbvDeleteResultSetRsp *delresp, PDU *PDU_ptr, jmp_buf env);
int DBVsnacc_to_dbv_liststat(DbvListStatus *psDeleteListStatuses, ListStatusesSeq *data_ptr, jmp_buf env);
int DBVset_dbv_delresp_numnotdel(DbvDeleteResultSetRsp *delresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delresp_bulkliststat(DbvDeleteResultSetRsp *delresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delresp_delmess(DbvDeleteResultSetRsp *delresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delresp_otherinfo(DbvDeleteResultSetRsp *delresp, PDU *PDU_ptr, jmp_buf env);


#endif
