/*  Module Name: @(#)origin_z3950_trigger.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef origin_z3950_trigger_h
#define origin_z3950_trigger_h

#include "z3950_includes.h"


int DbvTriggerResourceControlRequest(DbvAssocId lAssocId, DbvTriggerResourceControlReq *psTriggerResourceControlReq, DbvError **ppsSIError);
int DBVCheckDbvTriggerResourceControlRspFields(DbvAssocId lAssocId, DbvTriggerResourceControlReq *psTriggerResourceControlReq, DbvError **ppsSIError);
int DBVcheck_DbvRequestedAction(DbvAssocId lAssocId, DbvRequestedAction *peRequestedAction, char *error_buffer, DbvError **ppsSIError);
int DBVsetup_snacc_TriggerResourceControlRequest(PDU *PDU_ptr, DbvTriggerResourceControlReq *psTriggerResourceControlReq, jmp_buf env);
int DBVset_TriggerResourceControlRequest_referenceId(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_TriggerResourceControlRequest_requestedAction(PDU *PDU_ptr, DbvRequestedAction *peRequestedAction, jmp_buf env);
int DBVset_TriggerResourceControlRequest_prefResourceReportFormat(PDU *PDU_ptr, DbvObjectIdentifier pcPreferredResourceReportFormat, jmp_buf env);
int DBVset_TriggerResourceControlRequest_resultSetWanted(PDU *PDU_ptr, DbvBool *pfResultSetWanted, jmp_buf env);
int DBVset_TriggerResourceControlRequest_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);


#endif
