/*  Module Name: @(#)osi-funcs.h	7.1
    Version: 11/15/96
    Author: Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: DBV-OSI II OSI specific utility functions
 
*/

#ifndef OSI_FUNCS_H
#define OSI_FUNCS_H
#include "z3950_includes.h"

int DBVPOSICheckISODEError(     DbvAssocId lAssocId, long lOsiAssocId,
                                struct PSAPindication *psPresentationIndication,
                                DbvError **ppsError);

int DBVACSEOSICheckISODEError( DbvAssocId lAssocId, long lOsiAssocId,
                               struct AcSAPindication *psAssocControlIndication,
                               DbvError **ppsError);

DbvAbortSource DBVACSEUserOrProvider(int aca_source);
DbvAbortSource DBVPUserOrProvider(int pa_peer);

#endif

