#ifndef PORTINFO_H
#define PORTINFO_H

/**********************************
 Define Byte ordering used by UNIX processor 

MIPS && ULTRIX:	LOWTOHIGH
AIX && IBMR2:	HIGHTOLOW
I386:		LOWTOHIGH
SPARC:		HIGHTOLOW
DEFAULT:	HIGHTOLOW      
*/

#define HIGHTOLOW 1
#define LOWTOHIGH 2
#define PDP_ORDER 2

#define NATIVE_ORDER HIGHTOLOW      
/***********************************/


#define far

#ifndef CHAR
#define CHAR unsigned char
#endif


#ifndef COPY 
#define COPY(to, from, n) memcpy((void *)to, (void *)from, n)
#endif


#endif  /* PORTINFO_H */
