/*  Module Name: @(#)si_utilities.h	7.1
    Version: 11/15/96
    Author: Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
	DBV-OSI II Utility functions

 
*/

#ifndef SI_UTILITIES_H
#define SI_UTILITIES_H

#include "z3950_includes.h"


/* internal functions */
void DBVfill_out_event_location_structure( DbvAssocId **pplAssocId,
                                           DbvFds **ppulFileDescriptor,
                                           fd_set *pread_ready,
                                           fd_set *posi_read_ready,
                                           DbvEventLocation **ppsEventLocation );

/* Trace related private functions */
void DBVWrite(char *data, FILE *fd);
DbvTraceLevel DBVTraceLevel(DbvAssocId lAssocId);
int DBVTrace(DbvAssocId lAssocId, int level, char *trace);
void DBVEnterFuncTrace(char *function_name, DbvAssocId lAssocId);
void DBVLeaveFuncTrace(char *function_name, DbvAssocId lAssocId, int return_value);
#ifndef NO_OSI
void DBVTraceISODEACSEError(DbvAssocId lAssocId, char *pcFunction,
        struct AcSAPabort *psAssocControlAbort);
void DBVTraceISODEPError(DbvAssocId lAssocId, char *pcFunction,
        struct PSAPabort *psPresentationAbort);
#endif

#endif

