/*  Module Name: @(#)target_z3950_access.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_access_h
#define target_z3950_access_h

#include "z3950_includes.h"



int DbvAccessControlRequest(DbvAssocId lAssocId, DbvAccessControlReq *psAccessControlReq, DbvError **ppsSIError);
int DBVCheckDbvAccessControlReqFields(DbvAssocId lAssocId, DbvAccessControlReq *psAccessControlReq, DbvError **ppsSIError);
int DBVcheck_DbvSecurityChallengeReq(DbvAssocId lAssocId, DbvSecurityChallengeReq *psSecurityChallengeReq, char *error_buffer, DbvError **ppsSIError);
int DBVsetup_snacc_AccessControlRequest(PDU *PDU_ptr, DbvAccessControlReq *psAccessControlReq, jmp_buf env);
int DBVset_AccessControlRequest_referenceId(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_AccessControlRequest_securityChallenge(PDU *PDU_ptr, DbvSecurityChallengeReq *psSecurityChallengeReq, jmp_buf env);
int DBVset_AccessControlRequest_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_DbvAccessControlRsp(DbvTargetData *psTargetData, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvAccessControlRsp_psReferenceId(DbvAccessControlRsp *psAccessControlRsp, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvAccessControlRsp_psSecurityChallengeRsp(DbvAccessControlRsp *psAccessControlRsp, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvAccessControlRsp_psDiagnostic(DbvAccessControlRsp *psAccessControlRsp, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvAccessControlRsp_ppsOtherInformation(DbvAccessControlRsp *psAccessControlRsp, PDU *PDU_ptr, jmp_buf env);

#endif
