/*  Module Name: @(#)target_z3950_extend.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_extend_h
#define target_z3950_extend_h

#include "z3950_includes.h"


int DbvExtendedServicesResponse(DbvAssocId lAssocId, DbvExtendedServicesRsp *psExtendedServicesRsp, DbvError **ppsSIError);
int DBVCheckDbvExtendRspFields(DbvAssocId lAssocId, DbvExtendedServicesRsp *psExtendedServicesRsp, DbvError **ppsSIError);
int DBVcheck_dbv_extendrsp_opstat(DbvAssocId lAssocId, DbvExtendedServicesRsp *psExtendedServicesRsp, DbvError **ppsSIError);
int DBVcheck_dbv_extendrsp_diags(DbvAssocId lAssocId, DbvExtendedServicesRsp *psExtendedServicesRsp, DbvError **ppsSIError);
int DBVcheck_dbv_extendrsp_packtype(DbvAssocId lAssocId, DbvExtendedServicesRsp *psExtendedServicesRsp, DbvError **ppsSIError);
int DBVcheck_dbv_extendrsp_otherinfo(DbvAssocId lAssocId, DbvExtendedServicesRsp *psExtendedServicesRsp, DbvError **ppsSIError);
int DBVsetup_snacc_extendresponse(PDU *PDU_ptr, DbvExtendedServicesRsp *psExtendedServicesRsp, jmp_buf env);
int DBVset_snacc_extendresp_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_extendresp_opstat(PDU *PDU_ptr, DbvExtServicesOperationStatus eOperationStatus, jmp_buf env);
int DBVset_snacc_extendresp_diagnost(PDU *PDU_ptr, DbvDiagRec **ppsDiagnostics, jmp_buf env);
int DBVset_snacc_extendresp_taskpack(PDU *PDU_ptr, DbvASN1External *psTaskPackage, jmp_buf env);
int DBVset_snacc_extendresp_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_extendreq(DbvTargetData *psTargetData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_refid(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_function(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_packtype(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_packname(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_userid(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_retenttime(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_permission(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_description(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_ospecoparam(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_waitaction(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_elements(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendreq_otherinfo(DbvExtendedServicesReq *extendreq, PDU *PDU_ptr, jmp_buf env);

#endif
