/*  Module Name: @(#)target_z3950_present.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_present_h
#define target_z3950_present_h

#include "z3950_includes.h"


int DbvPresentResponse(DbvAssocId lAssocId, DbvPresentRsp *psPresentRsp, DbvError **ppsSIError);
int DBVCheckDbvPresRspFields(DbvAssocId lAssocId, DbvPresentRsp *psPresentRsp, DbvError **ppsSIError);
int DBVcheck_dbv_presrsp_pstat(DbvAssocId lAssocId, DbvPresentRsp *psPresentRsp, DbvError **ppsSIError);
int DBVcheck_dbv_presrsp_records(DbvAssocId lAssocId, DbvPresentRsp *psPresentRsp, DbvError **ppsSIError);
int DBVcheck_dbv_presrsp_othinfo(DbvAssocId lAssocId, DbvPresentRsp *psPresentRsp, DbvError **ppsSIError);
int DBVsetup_snacc_presresponse(PDU *PDU_ptr, DbvPresentRsp *psPresentRsp, jmp_buf env);
int DBVset_snacc_presresp_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_presresp_numrecs(PDU *PDU_ptr, Ulong ulNumberOfRecordsReturned, jmp_buf env);
int DBVset_snacc_presresp_nxtresset(PDU *PDU_ptr, Ulong ulNextResultSetPosition, jmp_buf env);
int DBVset_snacc_presresp_presstat(PDU *PDU_ptr, DbvPresentStatus ePresentStatus, jmp_buf env);
int DBVset_snacc_presresp_records(PDU *PDU_ptr, DbvRecords *psRecords, jmp_buf env);
int DBVset_snacc_presresp_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_presreq(DbvTargetData *psTargetData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_refid(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_ressetid(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_ressetstart(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_numrecsreq(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_addranges(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_prefrecsyn(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_maxsegcnt(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_maxrecsze(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_maxsegsze(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presreq_otherinfo(DbvPresentReq *presreq, PDU *PDU_ptr, jmp_buf env);



#endif
