/*  Module Name: @(#)target_z3950_rescntrl.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_rescntrl_h
#define target_z3950_rescntrl_h

#include "z3950_includes.h"


int DbvResourceControlRequest(DbvAssocId lAssocId, DbvResourceControlReq *psResourceControlReq, DbvError **ppsSIError);
int DBVCheckDbvResourceControlReqFields(DbvAssocId lAssocId, DbvResourceControlReq *psResourceControlReq, DbvError **ppsSIError);
int DBVcheck_DbvPartialResultsAvailable_opt(DbvAssocId lAssocId, DbvPartialResultsAvailable *pePartialResultsAvailable, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPartialResultsAvailable(DbvAssocId lAssocId, DbvPartialResultsAvailable *pePartialResultsAvailable, char *error_buffer, DbvError **ppsSIError);
int DBVsetup_snacc_ResourceControlRequest(PDU *PDU_ptr, DbvResourceControlReq *psResourceControlReq, jmp_buf env);
int DBVset_ResourceControlRequest_referenceId(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_ResourceControlRequest_suspendedFlag(PDU *PDU_ptr, DbvBool *pfSuspendedFlag, jmp_buf env);
int DBVset_ResourceControlRequest_resourceReport(PDU *PDU_ptr, DbvASN1External *psResourceReport, jmp_buf env);
int DBVset_ResourceControlRequest_partialResultsAvailable(PDU *PDU_ptr, DbvPartialResultsAvailable *pePartialResultsAvailable, jmp_buf env);
int DBVset_ResourceControlRequest_responseRequired(PDU *PDU_ptr, DbvBool *pfResponseRequired, jmp_buf env);
int DBVset_ResourceControlRequest_triggeredRequestFlag(PDU *PDU_ptr, DbvBool *pfTriggeredRequestFlag, jmp_buf env);
int DBVset_ResourceControlRequest_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_DbvResourceControlRsp(DbvTargetData *psTargetData, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlRsp_psReferenceId(DbvResourceControlRsp *psResourceControlRsp, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlRsp_fContinueFlag(DbvResourceControlRsp *psResourceControlRsp, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlRsp_pfResultSetWanted(DbvResourceControlRsp *psResourceControlRsp, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlRsp_ppsOtherInformation(DbvResourceControlRsp *psResourceControlRsp, PDU *PDU_ptr, jmp_buf env);


#endif
