/*  Module Name: @(#)target_z3950_segment.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_segment_h
#define target_z3950_segment_h

#include "z3950_includes.h"


int DbvSegmentRequest(DbvAssocId lAssocId, DbvSegmentReq *psSegmentReq, DbvError **ppsSIError);
int DBVCheckDbvSegReqFields(DbvAssocId lAssocId, DbvSegmentReq *psSegmentReq, DbvError **ppsSIError);
int DBVcheck_dbv_segreq_segrecs(DbvAssocId lAssocId, DbvSegmentReq *psSegmentReq, DbvError **ppsSIError);
int DBVcheck_dbv_segreq_otherinfo(DbvAssocId lAssocId, DbvSegmentReq *psSegmentReq, DbvError **ppsSIError);
int DBVsetup_snacc_segrequest(PDU *PDU_ptr, DbvSegmentReq *psSegmentReq, jmp_buf env);
int DBVset_snacc_segreq_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_segreq_numrecs(PDU *PDU_ptr, Ulong ulNumberOfRecordsReturned, jmp_buf env);
int DBVset_snacc_segreq_segrecs(PDU *PDU_ptr, DbvNamePlusRecord **ppsSegmentRecords, jmp_buf env);
int DBVset_snacc_segreq_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);

#endif
