/*  Module Name: @(#)z3950_externals4.h	7.6
    Version: 3/5/97
    Author: John Hough

    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ

    Date of Issue:

    QA Acceptance:
    Date of Acceptance:

    Description:
*/

#ifndef z3950_externals4_h
#define z3950_externals4_h


#include "z3950_includes.h"


int DBVdbv_to_snacc_DbvPromptObject_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoDbvPromptObject_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_DbvPromptObject_main(PromptObject *promptobj_ptr, struct DbvPromptObject *psPromptObject, jmp_buf env);
void DBVdbv_to_snacc_list_opt(AsnList **snacclist, void **dbv_list, long snaccnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVdbv_to_snacc_list_comp(AsnList **snacclist, void **dbv_list, long snaccnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVdbv_to_snacc_list(AsnList *snacclist, void **dbv_list, long snaccnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVdbv_to_snacc_DbvChallenge(ChallengeSeq *challenge, DbvChallenge *psChallenge, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptId_comp(struct PromptId **promptId, DbvPromptId *psPromptId, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptId(struct PromptId *promptId, DbvPromptId *psPromptId, jmp_buf env);
void DBVdbv_to_snacc_DbvEnumeratedPrompt_comp(struct PromptIdSeq** enummeratedPrompt, DbvEnumeratedPrompt *psEnumeratedPrompt, jmp_buf env);
void DBVdbv_to_snacc_DbvEnumeratedPrompt(struct PromptIdSeq* enummeratedPrompt, DbvEnumeratedPrompt *psEnumeratedPrompt, jmp_buf env);
void DBVdbv_to_snacc_DbvEPromptIdType(PromptIdSeqInt *type, DbvEPromptIdType *peType, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptInfo_opt(struct ChallengeSeqChoice **promptInfo, DbvPromptInfo *psPromptInfo, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptInfo(struct ChallengeSeqChoice *promptInfo, DbvPromptInfo *psPromptInfo, jmp_buf env);
void DBVdbv_to_snacc_DbvEncryption_comp(struct Encryption** encrypted, DbvEncryption *psEncryption, jmp_buf env);
void DBVdbv_to_snacc_DbvEncryption(struct Encryption* encrypted, DbvEncryption *psEncrypted, jmp_buf env);
void DBVdbv_to_snacc_DbvDataType_opt(ChallengeSeqInt **dataType, DbvDataType *peDataType, jmp_buf env);
void DBVdbv_to_snacc_DbvDataType(ChallengeSeqInt *dataType, DbvDataType *peDataType, jmp_buf env);
void DBVdbv_to_snacc_DbvResponse(ResponseSeq *response, DbvResponse *psResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptResponse_comp(struct ResponseSeqChoice **promptResponse, DbvPromptResponse *psPromptResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptResponse(struct ResponseSeqChoice *promptResponse, DbvPromptResponse *psPromptResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptObject_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_isoDbvPromptObject_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptObject_main(struct DbvPromptObject *psPromptObject, PromptObject *promptobj_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvChallenge_list_comp(DbvChallenge ***pppsChallenge, Challenge *challenge, jmp_buf env);
void DBVsnacc_to_dbv_DbvChallenge_list(DbvChallenge **ppsChallenge, Challenge *challenge, jmp_buf env);
void DBVsnacc_to_dbv_DbvChallenge(DbvChallenge *psChallenge, ChallengeSeq *data_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptId(DbvPromptId *psPromptId, struct PromptId *promptId, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnumeratedPrompt_comp(DbvEnumeratedPrompt **ppsEnumeratedPrompt, struct PromptIdSeq* enummeratedPrompt, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnumeratedPrompt(DbvEnumeratedPrompt *psEnumeratedPrompt, struct PromptIdSeq* enummeratedPrompt, jmp_buf env);
void DBVsnacc_to_dbv_DbvEPromptIdType(DbvEPromptIdType *peType, PromptIdSeqInt *type, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptInfo_opt(DbvPromptInfo **ppsPromptInfo, struct ChallengeSeqChoice* promptInfo, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptInfo(DbvPromptInfo *psPromptInfo, struct ChallengeSeqChoice* promptInfo, jmp_buf env);
void DBVsnacc_to_dbv_DbvEncryption_comp(DbvEncryption **ppsEncrypted, struct Encryption* encrypted, jmp_buf env);
void DBVsnacc_to_dbv_DbvEncryption(DbvEncryption *psEncrypted, struct Encryption*encrypted, jmp_buf env);
void DBVsnacc_to_dbv_DbvDataType_opt(DbvDataType **ppeDataType, ChallengeSeqInt *dataType, jmp_buf env);
void DBVsnacc_to_dbv_DbvDataType(DbvDataType *peDataType, ChallengeSeqInt *dataType, jmp_buf env);
void DBVsnacc_to_dbv_DbvResponse_list_comp(DbvResponse ***pppsResponse, Response *response, jmp_buf env);
void DBVsnacc_to_dbv_DbvResponse_list(DbvResponse **ppsResponse, Response *response, jmp_buf env);
void DBVsnacc_to_dbv_DbvResponse(DbvResponse *psResponse, ResponseSeq *data_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptResponse(DbvPromptResponse *psPromptResponse, struct ResponseSeqChoice* promptResponse, jmp_buf env);



void DBVsnacc_to_dbv_list_opt(void ***dbv_list, AsnList *snacclist, long dbvnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVsnacc_to_dbv_list(void **dbv_list, AsnList *snacclist, long dbvnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));



void DBVsnacc_to_dbv_list_comp(void ***dbv_list, AsnList *snacclist, long dbvnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));


int DBVdbv_to_snacc_DbvCharSetAndLanguage_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoDbvCharSetAndLanguage_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvCharSetAndLanguage_main(CharSetandLanguageNegotiation *charsetandlang_ptr, struct DbvCharSetAndLanguage *psCharSetAndLanguage, jmp_buf env);
void DBVdbv_to_snacc_DbvOriginProposal_comp(struct OriginProposal** proposal, DbvOriginProposal *psProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvOriginProposal(struct OriginProposal* proposal, DbvOriginProposal *psProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvProposedCharSet(OriginProposalSeqOfChoice *proposedCharSets, DbvProposedCharSet *psProposedCharSets, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022_comp(struct Iso2022** iso2022, DbvIso2022 *psIso2022, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022(struct Iso2022* iso2022, DbvIso2022 *psIso2022, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Proposal_comp(struct Iso2022Seq** originProposal, DbvIso2022Proposal *psOriginProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Proposal(struct Iso2022Seq* originProposal, DbvIso2022Proposal *psOriginProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvEnvironment_opt(struct Environment** proposedEnvironment, DbvEnvironment *psProposedEnvironment, jmp_buf env);
void DBVdbv_to_snacc_DbvEnvironment(struct Environment* proposedEnvironment, DbvEnvironment *psEnvironment, jmp_buf env);
void DBVdbv_to_snacc_DbvInitialSet(struct InitialSet* proposedInitialSets, DbvInitialSet *psProposedInitialSets, jmp_buf env);
void DBVdbv_to_snacc_DbvLeftAndRight_comp(struct LeftAndRight** proposedLeftAndRight, DbvLeftAndRight *psProposedLeftAndRight, jmp_buf env);
void DBVdbv_to_snacc_DbvLeftAndRight(struct LeftAndRight* proposedLeftAndRight, DbvLeftAndRight *psProposedLeftAndRight, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Response_comp(struct Iso2022Seq1** targetResponse, DbvIso2022Response *psTargetResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Response(struct Iso2022Seq1* targetResponse, DbvIso2022Response *psTargetResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvEnvironment_comp(struct Environment** selectedEnvironment, DbvEnvironment *psSelectedEnvironment, jmp_buf env);
void DBVdbv_to_snacc_DbvInitialSet_comp(struct InitialSet** selectedinitialSet, DbvInitialSet *psSelectedInitialSet, jmp_buf env);
void DBVdbv_to_snacc_DbvIso10646_comp(struct Iso10646** iso10646, DbvIso10646 *psIso10646, jmp_buf env);
void DBVdbv_to_snacc_DbvIso10646(struct Iso10646* iso10646, DbvIso10646 *psIso10646, jmp_buf env);
void DBVdbv_to_snacc_DbvPrivateCharacterSet_comp(struct PrivateCharacterSet** private, DbvPrivateCharacterSet *psPrivate, jmp_buf env);
void DBVdbv_to_snacc_DbvPrivateCharacterSet(struct PrivateCharacterSet* private, DbvPrivateCharacterSet *psPrivate, jmp_buf env);
void DBVdbv_to_snacc_DbvLanguageCode(LanguageCode *proposedlanguages, DbvLanguageCode *psProposedLangauages, jmp_buf env);
void DBVdbv_to_snacc_DbvTargetResponse_comp(struct TargetResponse** response, DbvTargetResponse *psResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvTargetResponse(struct TargetResponse* response, DbvTargetResponse *psResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvSelectedCharSet_opt(struct TargetResponseChoice** selectedCharSets, DbvSelectedCharSet *psSelectedCharSets, jmp_buf env);
void DBVdbv_to_snacc_DbvSelectedCharSet(struct TargetResponseChoice* selectedCharSets, DbvSelectedCharSet *psSelectedCharSets, jmp_buf env);
void DBVsnacc_to_dbv_DbvCharSetAndLanguage_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_isoDbvCharSetAndLanguage_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvCharSetAndLanguage_main(struct DbvCharSetAndLanguage *psCharSetAndLanguage, CharSetandLanguageNegotiation *charsetandlang_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvOriginProposal_comp(DbvOriginProposal **ppsProposal, struct OriginProposal* proposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvOriginProposal(DbvOriginProposal *psProposal, struct OriginProposal* proposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvProposedCharSet(DbvProposedCharSet *psProposedCharSets, struct OriginProposalSeqOfChoice* proposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022_comp(DbvIso2022 **ppsIso2022, struct Iso2022* iso2022, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022(DbvIso2022 *psIso2022, struct Iso2022* iso2022, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Proposal_comp(DbvIso2022Proposal **ppsOriginProposal, struct Iso2022Seq* originProposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Proposal(DbvIso2022Proposal *psOriginProposal, struct Iso2022Seq* originProposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnvironment_opt(DbvEnvironment **ppsProposedEnvironment, struct Environment* proposedEnvironment, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnvironment(DbvEnvironment *psProposedEnvironment, struct Environment* proposedEnvironment, jmp_buf env);
void DBVsnacc_to_dbv_DbvInitialSet(DbvInitialSet *psProposedInitialSets, struct InitialSet* proposedInitialSets, jmp_buf env);
void DBVsnacc_to_dbv_DbvLeftAndRight_comp(DbvLeftAndRight **ppsProposedLeftAndRight, struct LeftAndRight* proposedLeftAndRight, jmp_buf env);
void DBVsnacc_to_dbv_DbvLeftAndRight(DbvLeftAndRight *psProposedLeftAndRight, struct LeftAndRight* proposedLeftAndRight, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Response_comp(DbvIso2022Response **ppsTargetResponse, struct Iso2022Seq1* targetResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Response(DbvIso2022Response *psTargetResponse, struct Iso2022Seq1* targetResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnvironment_comp(DbvEnvironment **ppSelectedEnvironment, struct Environment* selectedEnvironment, jmp_buf env);
void DBVsnacc_to_dbv_DbvInitialSet_comp(DbvInitialSet **ppsSelectedInitialSet, struct InitialSet* selectedinitialSet, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso10646_comp(DbvIso10646 **ppsIso10646, struct Iso10646* iso10646, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso10646(DbvIso10646 *psIso10646, struct Iso10646* iso10646, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrivateCharacterSet_comp(DbvPrivateCharacterSet **ppsPrivate, struct PrivateCharacterSet* private, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrivateCharacterSet(DbvPrivateCharacterSet *psPrivate, struct PrivateCharacterSet* private, jmp_buf env);
void DBVsnacc_to_dbv_DbvLanguageCode(DbvLanguageCode *psProposedLangauages, LanguageCode* proposedlanguages, jmp_buf env);
void DBVsnacc_to_dbv_DbvTargetResponse_comp(DbvTargetResponse **ppsResponse, struct TargetResponse* response, jmp_buf env);
void DBVsnacc_to_dbv_DbvTargetResponse(DbvTargetResponse *psResponse, struct TargetResponse* response, jmp_buf env);
void DBVsnacc_to_dbv_DbvSelectedCharSet_opt(DbvSelectedCharSet **ppsSelectedCharSets, struct TargetResponseChoice* selectedCharSets, jmp_buf env);
void DBVsnacc_to_dbv_DbvSelectedCharSet(DbvSelectedCharSet *psSelectedCharSets, struct TargetResponseChoice* selectedCharSets, jmp_buf env);
int DBVcheck_at_DbvPromptObject(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptObject(DbvAssocId lAssocId, struct DbvPromptObject *psPromptObject, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvChallenge(DbvAssocId lAssocId, DbvChallenge *psChallenge, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptId(DbvAssocId lAssocId, DbvPromptId *psPromptId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvEnumeratedPrompt(DbvAssocId lAssocId, DbvEnumeratedPrompt *psEnumeratedPrompt, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptInfo_opt(DbvAssocId lAssocId, DbvPromptInfo *psPromptInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptInfo(DbvAssocId lAssocId, DbvPromptInfo *psPromptInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvEncryption(DbvAssocId lAssocId, DbvEncryption *psEncrypted, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDataType_opt(DbvAssocId lAssocId, DbvDataType *peDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDataType(DbvAssocId lAssocId, DbvDataType *peDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvResponse(DbvAssocId lAssocId, DbvResponse *psResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptResponse(DbvAssocId lAssocId, DbvPromptResponse *psPromptResponse, char *error_buffer, DbvError **ppsSIError);



int DBVcheck_at_DbvCharSetAndLanguage(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCharSetAndLanguage(DbvAssocId lAssocId, struct DbvCharSetAndLanguage *psCharSetAndLanguage, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvOriginProposal(DbvAssocId lAssocId, DbvOriginProposal *psProposal, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvProposedCharSet(DbvAssocId lAssocId, DbvProposedCharSet *psProposedCharSets, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso2022(DbvAssocId lAssocId, DbvIso2022 *psIso2022, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso2022Proposal(DbvAssocId lAssocId, DbvIso2022Proposal *psOriginProposal, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvEnvironment(DbvAssocId lAssocId, DbvEnvironment *psProposedEnvironment, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvLeftAndRight(DbvAssocId lAssocId, DbvLeftAndRight *psProposedLeftAndRight, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso2022Response(DbvAssocId lAssocId, DbvIso2022Response *psTargetResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso10646(DbvAssocId lAssocId, DbvIso10646 *psIso10646, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrivateCharacterSet(DbvAssocId lAssocId, DbvPrivateCharacterSet *psPrivate, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvLanguageCode(DbvAssocId lAssocId, DbvLanguageCode *psProposedLangauages, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvTargetResponse(DbvAssocId lAssocId, DbvTargetResponse *psResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSelectedCharSet_opt(DbvAssocId lAssocId, DbvSelectedCharSet *psSelectedCharSets, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSelectedCharSet(DbvAssocId lAssocId, DbvSelectedCharSet *psSelectedCharSets, char *error_buffer, DbvError **ppsSIError);



#endif



