/*  Module Name: @(#)z3950_otherinfo.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: Origin association handling functions Using TCP/OSI Services
*/

#ifndef z3950_otherinfo_h
#define z3950_otherinfo_h

#include "z3950_includes.h"


int DBVdbv_to_snacc_otherinfo(AsnList *snacc_otherinfo, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVdbv_to_snacc_otherinfo_node(struct OtherInformationSeq *data_ptr, DbvOtherInformation *psOtherInformation, jmp_buf env);
int DBVdbv_to_snacc_otherinfo_char(struct OtherInformationSeq *data_ptr, DbvInternationalString *psCharacterInfo, jmp_buf env);
int DBVdbv_to_snacc_otherinfo_bin(struct OtherInformationSeq *data_ptr, DbvOctetString *psBinaryInfo, jmp_buf env);
int DBVdbv_to_snacc_otherinfo_ext(struct OtherInformationSeq *data_ptr, DbvASN1External *psExternallyDefinedInfo, jmp_buf env);
int DBVdbv_to_snacc_otherinfo_oid(struct OtherInformationSeq *data_ptr, DbvObjectIdentifier pcObjectIdentifier, jmp_buf env);
int DBVsnacc_to_dbv_otherinfo(DbvOtherInformation **ppsOtherInformation, AsnList *snacc_otherinfo, jmp_buf env);
int DBVsnacc_to_dbv_otherinfo_node(DbvOtherInformation *psOtherInformation, OtherInformationSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_otherinfo_char(DbvOtherInformation *psOtherInformation, OtherInformationSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_otherinfo_bin(DbvOtherInformation *psOtherInformation, OtherInformationSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_otherinfo_ext(DbvOtherInformation *psOtherInformation, OtherInformationSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_otherinfo_oid(DbvOtherInformation *psOtherInformation, OtherInformationSeq *data_ptr, jmp_buf env);
int DBVcheck_dbv_otherinfo(DbvAssocId lAssocId, DbvOtherInformation **ppsOtherInformation, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_otherinfo_node(DbvAssocId lAssocId, DbvOtherInformation *psOtherInformation, char *error_buffer, DbvError **ppsSIError);

#endif
