/*
 * asn_bool.h
 *
 * MS 92
 * Copyright (C) 1992 Michael Sample and the University of British Columbia
 *
 * This library is free software; you can redistribute it and/or
 * modify it provided that this copyright/license information is retained
 * in original form.
 *
 * If you modify this file, you must clearly indicate your changes.
 *
 * This source code is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */


#ifndef _asn_bool_h_
#define _asn_bool_h_

typedef unsigned char AsnBool;


AsnLen BEncAsnBool PROTO((BUF_TYPE b, AsnBool* data));

void BDecAsnBool PROTO((BUF_TYPE b, AsnBool* result, AsnLen* bytesDecoded,
                       ENV_TYPE env));

AsnLen BEncAsnBoolContent PROTO((BUF_TYPE b, AsnBool* data));

void BDecAsnBoolContent PROTO((BUF_TYPE b,
                        AsnTag tag,
                        AsnLen len,
                        AsnBool* result,
                        AsnLen* bytesDecoded,
                        ENV_TYPE env));

/* do nothing  */
#define FreeAsnBool(v)

void PrintAsnBool PROTO((FILE* f, AsnBool* b, unsigned short int indent));

#endif
