/*  Module Name: @(#)get_DbvFuncs.h	7.2
    Version: 2/27/97
    Author: Dan Maskell/Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
        Functions to convert enumerated types between enum and string format
        Used by the origin and target.
 
*/
 
#ifndef GET_DBVFUNCS_H
#define GET_DBVFUNCS_H
 
#include "testy_calls.h"

#define MAXVAL 1000


/* get_DbvFuncs.c */


void 
get_DbvAdditionalInfo (DbvAdditionalInfo ** ppsAdditionalInfo, TBL InTable);
void 
get_DbvDefaultDiagFormat (DbvDefaultDiagFormat ** ppsDefaultDiagFormat,
			  TBL InTable);
void 
get_DbvDiagRec (DbvDiagRec ** ppsDiagRec, TBL InTable);
void 
get_DbvElementSetNames (DbvElementSetNames ** ppsElementSetNames,
			TBL InTable);
void 
get_DbvFragmentSyntax (DbvFragmentSyntax ** ppsFragmentSyntax, TBL InTable);
void 
get_DbvListStatus (DbvListStatus ** ppsListStatus, TBL InTable);
void 
get_DbvNamePlusRecord (DbvNamePlusRecord ** ppsResponseRecord, TBL InTable);
void 
get_DbvObjectIdentifier (DbvObjectIdentifier * pcObjectIdentifier,
			 TBL InTable);
void 
get_DbvQuery (DbvQuery ** ppsQuery, TBL InTable);
void 
get_DbvRecords (DbvRecords ** ppsRecords, TBL InTable);
void 
get_DbvVisibleString (DbvVisibleString * pcVisibleString, TBL InTable);
void 
get_DbvSortKeySpec (DbvSortKeySpec ** ppsSortKeySpec, TBL InTable);
void 
get_DbvSortElement (DbvSortElement ** ppsSortElement, TBL InTable);
void 
get_DbvSortKey (DbvSortKey ** ppsSortKey, TBL InTable);
void 
get_DbvSpecification (DbvSpecification ** ppsSpecification, TBL InTable);
void 
get_DbvElementSpec( DbvElementSpec **ppsElementSpec, TBL InTable );
void 
get_DbvDbSpecificSortKey (DbvDbSpecificSortKey ** ppsDbSpecificSortKey,
			  TBL InTable);
void 
get_DbvSortAttributes (DbvSortAttributes ** ppsSortAttributes, TBL InTable);
void 
get_DbvAttributeElement (DbvAttributeElement ** ppsAttributeElement,
			 TBL InTable);
void 
get_DbvAttributeValue (DbvAttributeValue ** ppsAttributeValue, TBL InTable);
void 
get_DbvComplexValue (DbvComplexValue ** ppsComplexValue, TBL InTable);
void 
get_DbvStringOrNumeric (DbvStringOrNumeric ** ppsStringOrNumeric,
			TBL InTable);
void 
get_DbvSortMVAction (DbvSortMVAction ** ppsDbvSortMVAction, TBL InTable);
void 
get_DbvAttributesPlusTerm (DbvAttributesPlusTerm ** ppsAttributesPlusTerm,
			   TBL InTable);
void 
get_DbvTerm (DbvTerm ** ppsTerm, TBL InTable);
void 
get_DbvGeneralizedTime (DbvGeneralizedTime * pcGeneralizedTime,
			TBL InTable);
void 
get_DbvIntUnit (DbvIntUnit ** ppsIntUnit, TBL InTable);
void 
get_DbvUnit (DbvUnit ** ppsUnit, TBL InTable);
void 
get_DbvListEntries (DbvListEntries ** ppsListEntries, TBL InTable);
void 
get_DbvEntry (DbvEntry ** ppsEntry, TBL InTable);
void 
get_DbvTermInfo (DbvTermInfo ** ppsTermInfo, TBL InTable);
void 
get_DbvOccurrenceByAttributes (DbvOccurrenceByAttributes
			       ** ppsOccurrenceByAttributes, TBL InTable);
void 
get_DbvOccurrence (DbvOccurrence ** ppsOccurrence, TBL InTable);
void 
get_DbvOccurrenceByDb (DbvOccurrenceByDb
		       ** ppsOccurrenceByDb, TBL InTable);
void 
get_DbvRange (DbvRange ** ppsRange, TBL InTable);
void 
get_DbvRecordComposition (DbvRecordComposition ** ppsRecordComposition,
			  TBL InTable);
void 
get_DbvCompSpec (DbvCompSpec ** ppsCompSpec, TBL InTable);
void 
get_DbvDbSpecificComp (DbvDbSpecificComp ** ppsDbSpecificComp, TBL InTable);
void 
get_DbvCorrelationInfo (DbvCorrelationInfo
			** ppsCorrelationInfo, TBL ExternalTable);
void 
get_DbvEsTaskPackage (DbvEsTaskPackage ** ppsEsTaskPackage,
		      TBL ExternalTable);
void 
get_DbvEstimate2 (DbvEstimate2 ** ppsEstimate, TBL ExternalTable);
void 
get_DbvOriginPartToKeep (DbvOriginPartToKeep ** ppsOriginPartToKeep,
			 TBL ExternalTable);
void 
get_DbvPermAllowableFunctions (DbvPermAllowableFunctions
			    ** ppsPermAllowableFunctions, TBL ExternalTable);
void 
get_DbvPermissions (DbvPermissions ** ppsPermissions, TBL ExternalTable);
void 
get_DbvResourceReport2 (DbvResourceReport2 ** ppsResourceReport2,
			TBL ExternalTable);
void 
get_DbvSuppliedRecord (DbvSuppliedRecord ** ppsSuppliedRecord,
		       TBL ExternalTable);
void 
get_DbvTaskPackageRecord (DbvTaskPackageRecord ** ppsTaskPackageRecord,
			  TBL ExternalTable);
void 
get_DbvUpdateExtendedService (DbvUpdateExtendedService
			      ** ppsUpdateExtendedService, TBL ExternalTable);
void 
get_DbvUpdateRequestPackage (DbvUpdateRequestPackage
			     ** ppsUpdateRequestPackage, TBL ExternalTable);
void 
get_DbvUpdateTargetPart (DbvUpdateTargetPart ** ppsUpdateTargetPart,
			 TBL ExternalTable);
void 
get_DbvUpdateTaskPackage (DbvUpdateTaskPackage
			  ** ppsUpdateTaskPackage, TBL ExternalTable);
void 
get_DbvUpdtRecordId (DbvUpdtRecordId
		     ** ppsUpdtRecordId, TBL ExternalTable);
void 
get_DbvUpdtRecordOrDiag (DbvUpdtRecordOrDiag ** ppsUpdtRecordOrDiag,
			 TBL ExternalTable);
void 
get_DbvUpdtSupplementalId (DbvUpdtSupplementalId
			   ** ppsUpdtSupplementalId, TBL ExternalTable);
void 
get_DbvRPNQuery (DbvRPNQuery ** ppsRpnQuery, TBL InTable);
DbvRPNStructure *
form_dbv_rpn_1 (char *operand_string, char *atts);
void 
fill_dbv_operand (DbvOperand * psRpnOperand, char *operand_string, char *atts);
void 
fill_dbv_attrsplusterm (DbvAttributesPlusTerm * psAttributesPlusTerm,
			char *operand_string, char *atts);
void 
fill_dbv_attterm (DbvAttributeElement ** ppsAttributeElement, char *attributes);
DbvRPNStructure *
form_dbv_rpn_2 (char *operand_string1, char *atts1,
		char *operator, DbvProximityOperator * psProximityOperator1,
		char *operand_string2, char *atts2);
void 
fill_operator (DbvOperator * psOperator, char *operator_string);
DbvRPNStructure *
form_dbv_rpn_3 (char *operand_string1, char *atts1,
		char *operator1, DbvProximityOperator * psProximityOperator1,
		char *operand_string2, char *atts2, char *operator2,
	 DbvProximityOperator * psProximityOperator2, char *operand_string3,
		char *atts3);
void 
get_DbvProximityOperator (DbvProximityOperator ** ppsProximityOperator,
			  TBL InTable);
void 
get_DbvProximityUnitCode (DbvProximityUnitCode * psProximityUnitCode,
			  TBL InTable);
void 
get_DbvIllString (DbvIllString ** ppsIllString, TBL InTable);
void 
get_DbvPersonOrInstitutionSymbol (
	       DbvPersonOrInstitutionSymbol ** ppsPersonOrInstitutionSymbol,
				   TBL InTable);
void 
get_DbvNameOfPersonOrInstitution (
	       DbvNameOfPersonOrInstitution ** ppsNameOfPersonOrInstitution,
				   TBL InTable);
void 
get_DbvSystemId (DbvSystemId ** ppsSystemId, TBL InTable);
void 
get_DbvTransactionId (DbvTransactionId ** ppsTransactionId, TBL InTable);
void 
get_DbvDateTime (DbvDateTime ** ppsDateTime, TBL InTable);
void 
get_DbvServiceDateTime (DbvServiceDateTime ** ppsServiceDateTime,
			TBL InTable);
void 
get_DbvPostalAddress (DbvPostalAddress ** ppsPostalAddress, TBL InTable);
void 
get_DbvSystemAddress (DbvSystemAddress ** ppsSystemAddress, TBL InTable);
void 
get_DbvDeliveryAddress (DbvDeliveryAddress ** ppsDeliveryAddress,
			TBL InTable);
void 
get_DbvElDeliveryDetails (DbvElDeliveryDetails ** ppsElDeliveryDetails,
			  TBL InTable);
void 
get_DbvElectronicDeliveryService (
	       DbvElectronicDeliveryService ** ppsElectronicDeliveryService,
				   TBL InTable);
void 
get_DbvDeliveryService (DbvDeliveryService ** ppsDeliveryService,
			TBL InTable);
void 
get_DbvRequesterOptionalMessages (
	       DbvRequesterOptionalMessages ** ppsRequesterOptionalMessages,
				   TBL InTable);
void 
get_DbvSearchType (DbvSearchType ** ppsSearchType, TBL InTable);
void 
get_DbvExpiry (DbvExpiry ** ppsExpiry, TBL InTable);
void 
get_DbvSupplyMediumInfo (DbvSupplyMediumInfo ** ppsSupplyMediumInfo,
			 TBL InTable);
void 
get_DbvClientId (DbvClientId ** ppsClientId, TBL InTable);
void 
get_DbvItemId (DbvItemId ** ppsItemId, TBL InTable);
void 
get_DbvItemType (DbvItemType ** ppeItemType, TBL InTable);
void 
get_DbvMediumType (DbvMediumType ** ppeMediumType, TBL InTable);
void 
get_DbvAmount (DbvAmount ** ppsAmount, TBL InTable);
void 
get_DbvPrintableString (DbvPrintableString * pcPrintableString,
			TBL InTable);
void 
get_DbvCostInfo (DbvCostInfo ** ppsCostInfo, TBL InTable);
void 
get_DbvSendToList (DbvSendToList ** ppsSendToList, TBL InTable);
void 
get_DbvThirdPartyInfo (DbvThirdPartyInfo ** ppsThirdPartyInfo,
		       TBL InTable);
void 
get_DbvPreference (DbvPreference ** ppsPreference, TBL InTable);
void 
get_DbvIllRequest (DbvIllRequest ** ppsIllRequest, TBL InTable);
void 
get_DbvServiceType (DbvServiceType ** ppsServiceType, TBL InTable);
void 
get_DbvTransactionType (DbvTransactionType ** ppsTransactionType,
			TBL InTable);
void 
get_DbvPlaceOnHold (DbvPlaceOnHold ** ppePlaceOnHold, TBL InTable);
void 
get_DbvHistoryReport (DbvHistoryReport ** ppsHistoryReport, TBL InTable);
void 
get_DbvShippedServiceType (DbvShippedServiceType ** ppeShippedServiceType,
			   TBL InTable);
void 
get_DbvTransactionResults (DbvTransactionResults ** ppeTransactionResults,
			   TBL InTable);
void 
get_DbvStateTransitionProhibited (
	       DbvStateTransitionProhibited ** ppsStateTransitionProhibited,
				   TBL InTable);
void 
get_DbvAlreadyForwarded (DbvAlreadyForwarded ** ppsAlreadyForwarded,
			 TBL InTable);
void 
get_DbvProviderErrorReport (
			   DbvProviderErrorReport ** ppsProviderErrorReport,
			     TBL InTable);
void 
get_DbvUserErrorReport (DbvUserErrorReport ** ppsUserErrorReport,
			TBL InTable);
void 
get_DbvUserOrProviderErrorReport (
	       DbvUserOrProviderErrorReport ** ppsUserOrProviderErrorReport,
				   TBL InTable);
void 
get_DbvErrorReport (DbvErrorReport ** ppsErrorReport, TBL InTable);
void 
get_DbvStatusReport (DbvStatusReport ** ppsStatusReport, TBL InTable);
void 
get_DbvStatusOrErrorReport (
			   DbvStatusOrErrorReport ** ppsStatusOrErrorReport,
			     TBL InTable);
void 
get_DbvReasonNoReport (DbvReasonNoReport ** ppeReasonNoReport, TBL InTable);
void 
get_DbvIllPdu (DbvIllPdu ** ppsIllPdu, TBL ExternalTable);
void 
get_DbvItemOrderExtendedService (
		 DbvItemOrderExtendedService ** ppsItemOrderExtendedService,
				  TBL ExternalTable);
void 
get_DbvEsIoTaskPackage (DbvEsIoTaskPackage ** ppsEsIoTaskPackage,
			TBL InTable);
void 
get_DbvEsIoRequest (DbvEsIoRequest ** ppsEsIoRequest, TBL InTable);
void 
get_DbvEsIoOriginPartToKeep (
			 DbvEsIoOriginPartToKeep ** ppsEsIoOriginPartToKeep,
			      TBL InTable);
void 
get_DbvEsIoContact (DbvEsIoContact ** ppsEsIoContact, TBL InTable);
void 
get_DbvEsIoAdditionalBilling (
		       DbvEsIoAdditionalBilling ** ppsEsIoAdditionalBilling,
			       TBL InTable);
void 
get_DbvEsIoPaymentMethod (DbvEsIoPaymentMethod ** ppsEsIoPaymentMethod,
			  TBL InTable);
void 
get_DbvEsIoCreditCardInfo (DbvEsIoCreditCardInfo ** ppsEsIoCreditCardInfo,
			   TBL InTable);
void 
get_DbvEsIoOriginPartNotToKeep (
		   DbvEsIoOriginPartNotToKeep ** ppsEsIoOriginPartNotToKeep,
				 TBL InTable);
void 
get_DbvEsIoResultSetItem (DbvEsIoResultSetItem ** ppsEsIoResultSetItem,
			  TBL InTable);
void 
get_DbvEsIoTargetPart (DbvEsIoTargetPart ** ppsEsIoTargetPart, TBL InTable);
void 
get_DbvEsIoAuxiliaryStatus (
			   DbvEsIoAuxiliaryStatus ** ppeEsIoAuxiliaryStatus,
			     TBL InTable);
void 
get_DbvGeneralString (DbvGeneralString ** ppsGeneralString, TBL InTable);
void 
get_DbvAddRequesterInfo (DbvAddRequesterInfo ** ppsAddRequesterInfo, TBL InTable);
void 
get_DbvAddDeliveryInfo (DbvAddDeliveryInfo ** ppsAddDeliveryInfo, TBL InTable);
void 
get_DbvBillingBankInfo (DbvBillingBankInfo ** ppsBillingBankInfo, TBL InTable);
void 
get_DbvBillingCreditCardInfo (DbvBillingCreditCardInfo ** ppsBillingCreditCardInfo, TBL InTable);
void 
get_DbvAddBillingInfo (DbvAddBillingInfo ** ppsAddBillingInfo, TBL InTable);
void 
get_DbvSubitoAdditionalInfo (DbvSubitoAdditionalInfo ** ppsAddIllReqInfo, TBL InTable);
void 
get_DbvExtension (DbvExtension ** ppsExtension, TBL InTable);
void 
get_DbvElDeliveryParameter (
			   DbvElDeliveryParameter ** ppsElDeliveryParameter,
			     TBL InTable);
void 
get_DbvDocumentTypeParameter (
		       DbvDocumentTypeParameter ** ppsDocumentTypeParameter,
			       TBL InTable);




/* getN_DbvFuncs.c */


void 
getN_DbvAttributeElement (DbvAttributeElement *** pppsAttributeElement,
			  TBL InTable);
void 
getN_DbvDbSpecificComp (DbvDbSpecificComp *** pppsDbSpecificComp,
			TBL InTable);
void 
getN_DbvDiagRec (DbvDiagRec *** pppsDiagRec, TBL InTable);
void 
getN_DbvEntry (DbvEntry *** pppsEntry, TBL InTable);
void 
getN_DbvObjectIdentifier (DbvObjectIdentifier ** pppcObjectIdentifier,
			  TBL InTable);
void 
getN_DbvOccurrenceByDb (DbvOccurrenceByDb *** pppsOccurrenceByDb,
			TBL InTable);
void 
getN_DbvRange (DbvRange *** pppsRange, TBL InTable);
void 
getN_DbvEstimate2 (DbvEstimate2 *** pppsEstimate, TBL ExternalTable);
void 
getN_DbvPermAllowableFunctions (DbvPermAllowableFunctions
			      *** pppeAllowableFunctions, TBL ExternalTable);
void 
getN_DbvPermissions (DbvPermissions *** pppsPermissions, TBL ExternalTable);
void 
getN_DbvSuppliedRecord (DbvSuppliedRecord *** pppsSuppliedRecord,
			TBL ExternalTable);
void 
getN_DbvTaskPackageRecord (DbvTaskPackageRecord *** pppsTaskPackageRecord,
			   TBL ExternalTable);
void 
getN_DbvOtherInformation (DbvOtherInformation *** pppsOtherInformation,
			  TBL InTable);
void 
getN_DbvOccurrenceByAttributes (DbvOccurrenceByAttributes
				*** pppsByAttributes, TBL InTable);
void 
getN_DbvElectronicDeliveryService (
	     DbvElectronicDeliveryService *** pppsElectronicDeliveryService,
				    TBL InTable);
void 
getN_DbvSystemId (DbvSystemId *** pppsSystemId, TBL InTable);
void 
getN_DbvSendToList (DbvSendToList *** pppsSendToList, TBL InTable);
void 
getN_DbvExtension (DbvExtension *** pppsExtension,
		   TBL InTable);
void 
getN_DbvSupplyMediumInfo (DbvSupplyMediumInfo *** pppsSupplyMediumInfo,
			  TBL InTable);
void 
getN_DbvServiceType (DbvServiceType *** pppsServiceType, TBL InTable);
void 
getN_DbvASN1External (DbvASN1External *** pppsASN1External,
		      TBL InTable);
void 
getN_DbvHumanString (DbvHumanString *** pppsDbvHumanString, TBL InTable);
void 
getN_DbvDatabaseList (DbvDatabaseList *** pppsDatabaseList, TBL InTable);
void 
getN_DbvOperators (DbvOperators *** pppsDbvOperators, TBL InTable);
void 
getN_DbvSearchKey (DbvSearchKey *** pppsDbvSearchKey, TBL InTable);
void 
getN_DbvHumanStringSeq (DbvHumanStringSeq *** pppsDescription, TBL InTable);
void 
getN_DbvUnitsSupported (DbvUnitsSupported *** pppsUnitsSupported,
			TBL InTable);
void 
getN_Ulong (Ulong *** pppUlong, TBL InTable);
void 
getN_DbvOtherCharge (DbvOtherCharge *** pppsDbvOtherCharge, TBL InTable);
void 
getN_DbvQueryTypeDetails (DbvQueryTypeDetails *** pppsQueryTypeDetails,
			  TBL InTable);
void 
getN_DbvElementSetNames (DbvElementSetNames *** pppsElementSetNames,
			 TBL InTable);
void 
getN_DbvInternationalString (
			 DbvInternationalString *** pppsInternationalString,
			      TBL InTable);
void 
getN_DbvIconObject (DbvIconObject *** pppsDbvIconObject, TBL InTable);
void 
getN_DbvPath (DbvPath *** pppsDbvPath, TBL InTable);
void 
getN_DbvPathA (DbvPathA *** pppsPathA, TBL InTable);
void 
getN_DbvTagTypeMapping (DbvTagTypeMapping *** pppsDbvTagTypeMapping,
			TBL InTable);
void 
getN_DbvElements (DbvElements *** pppsDbvElements, TBL InTable);
void 
getN_DbvAttributeDescription (
		    DbvAttributeDescription *** pppsDbvAttributeDescription,
			       TBL InTable);
void 
getN_DbvAttributeType (DbvAttributeType *** pppsDbvAttributeType,
		       TBL InTable);
void 
getN_DbvTermList (DbvTermList *** pppsTermList, TBL InTable);
void 
getN_DbvStringOrNumeric (DbvStringOrNumeric *** pppsStringOrNumeric,
			 TBL InTable);
void 
getN_DbvAttributeValues (DbvAttributeValues *** pppsAttributeValues,
			 TBL InTable);
void 
getN_DbvAttributesByType (DbvAttributesByType *** pppsAttributesByType,
			  TBL InTable);
void 
getN_DbvAttributesBySet (DbvAttributesBySet *** pppsAttributesBySet,
			 TBL InTable);
void 
getN_DbvAttributeOccurrence (
			 DbvAttributeOccurrence *** pppsAttributeOccurrence,
			      TBL InTable);
void 
getN_DbvAttributeCombination (
	  DbvAttributeCombination *** pppsAttributeCombination, TBL InTable);
void 
getN_DbvAttributeCombinations (
		     DbvAttributeCombinations *** pppsAttributeCombinations,
				TBL InTable);
void 
getN_DbvTerm (DbvTerm *** pppsTerm, TBL InTable);
void 
getN_DbvDetailsPerElement (DbvDetailsPerElement *** pppsDetailsPerElement,
			   TBL InTable);
void 
getN_DbvSpecification (DbvSpecification *** pppsSpecification, TBL InTable);
void 
getN_DbvSortKeys (DbvSortKeys *** pppsSortKeys, TBL InTable);
void 
getN_DbvVariantTypes (DbvVariantTypes *** pppsVariantTypes, TBL InTable);
void 
getN_DbvVariantClass (DbvVariantClass *** pppsVariantClass, TBL InTable);
void 
getN_DbvUnitType (DbvUnitType *** pppsUnitType, TBL InTable);
void 
getN_DbvUnit (DbvUnit *** pppsUnit, TBL InTable);
void 
getN_DbvUnits (DbvUnits *** pppsUnits, TBL InTable);
void 
getN_DbvCategoryInfo (DbvCategoryInfo *** pppsCategoryInfo, TBL InTable);
void 
getN_DbvAccessRestrictions (
	      DbvAccessRestrictions *** pppsAccessRestrictions, TBL InTable);
void 
getN_DbvNetworkAddress (DbvNetworkAddress *** pppsNetworkAddress,
			TBL InTable);
void 
getN_DbvElementInfo (DbvElementInfo *** pppsElementInfo, TBL InTable);

#ifdef NOT_YET_IMPLEMENTED

void 
getN_DbvValue (DbvValue *** pppsValue, TBL InTable);
void 
getN_DbvTriples (DbvTriples *** pppsTriples, TBL InTable);
void 
getN_DbvTagPath (DbvTagPath *** pppsTagPath, TBL InTable);
void 
getN_DbvTaggedElement (DbvTaggedElement *** pppsTaggedElement, TBL InTable);

#endif

void 
getN_DbvValueDescription (DbvValueDescription *** pppsValueDescription,
			  TBL InTable);

#ifdef NOT_YET_IMPLEMENTED

void 
getN_DbvVariant (DbvVariant *** pppsVariant, TBL InTable);


void 
getN_DbvHits (DbvHits *** pppsHits, TBL InTable);

#endif


void 
getN_DbvDataBaseInfoSeq (DbvDataBaseInfoSeq *** pppsDataBaseInfoSeq,
			 TBL InTable);


/* get_DbvFuncs1.c */


void 
get_DbvRequesterGroup (DbvRequesterGroup ** ppeRequesterGroup, TBL InTable);
void 
get_DbvStatusLevelUser (DbvStatusLevelUser ** ppeStatusLevelUser,
			TBL InTable);
void 
get_DbvStatusLevelRequester (
			 DbvStatusLevelRequester ** ppeStatusLevelRequester,
			      TBL InTable);

/* get_DbvFuncs2.c */


void 
get_DbvCommonInfo (DbvCommonInfo ** ppsCommonInfo, TBL InTable);
void 
get_DbvHumanString (DbvHumanString ** ppsHumanString, TBL InTable);
void 
get_DbvBodyType (DbvBodyType ** ppsBodyType, TBL InTable);
void 
get_DbvIconObject (DbvIconObject ** ppsIconObject, TBL InTable);
void 
get_DbvContactInfo (DbvContactInfo ** ppsContactInfo, TBL InTable);
void 
get_DbvDatabaseList (DbvDatabaseList ** ppsDatabaseList, TBL InTable);
void 
get_DbvInterAddress (DbvInterAddress ** ppsInterAddress, TBL InTable);
void 
get_DbvOsiPresentationAddress (
		     DbvOsiPresentationAddress ** ppsOsiPresentationAddress,
				TBL InTable);
void 
get_DbvOtherAddress (DbvOtherAddress ** ppsOtherAddress, TBL InTable);
void 
get_DbvNetworkAddress (DbvNetworkAddress ** ppsNetworkAddress, TBL InTable);
void 
get_DbvOperators (DbvOperators ** ppsOperators, TBL InTable);
void 
get_DbvSearchKey (DbvSearchKey ** ppsSearchKey, TBL InTable);
void 
get_DbvHumanStringSeq (DbvHumanStringSeq ** ppsDescription, TBL InTable);
void 
get_DbvPrivateCapabilities (
			   DbvPrivateCapabilities ** ppsPrivateCapabilities,
			     TBL InTable);
void 
get_DbvPrivate (DbvPrivate ** ppsPrivate, TBL InTable);
void 
get_DbvUnitsSupported (DbvUnitsSupported ** ppsUnitsSupported, TBL InTable);
void 
get_DbvProximitySupport (DbvProximitySupport ** ppsProximitySupport,
			 TBL InTable);
void 
get_DbvRpnCapabilities (DbvRpnCapabilities ** ppsRpnCapabilities,
			TBL InTable);
void 
get_DbvIso8777Capabilities (
			   DbvIso8777Capabilities ** ppsIso8777Capabilities,
			     TBL InTable);
void 
get_DbvQueryTypeDetails (DbvQueryTypeDetails ** ppsQueryTypeDetails,
			 TBL InTable);
void 
get_DbvAccessRestrictions (DbvAccessRestrictions ** ppsAccessRestrictions,
			   TBL InTable);
void 
get_DbvCharge (DbvCharge ** ppsCharge, TBL InTable);
void 
get_DbvOtherCharge (DbvOtherCharge ** ppsOtherCharge, TBL InTable);
void 
get_DbvCosts (DbvCosts ** ppsCosts, TBL InTable);
void 
get_DbvAccessInfo (DbvAccessInfo ** ppsAccessInfo, TBL InTable);
void 
get_DbvTargetInfo (DbvTargetInfo ** ppsTargetInfo,
		   TBL InTable);
void 
get_DbvRecordCount (DbvRecordCount ** ppsRecordCount, TBL InTable);
void 
get_DbvDatabaseInfo (DbvDatabaseInfo ** ppsDatabaseInfo, TBL InTable);
void 
get_DbvTagTypeMapping (DbvTagTypeMapping ** ppsTagTypeMapping,
		       TBL InTable);
void 
get_DbvPath (DbvPath ** ppsPath, TBL InTable);
void 
get_DbvPathA (DbvPathA ** ppsPathA, TBL InTable);
void 
get_DbvElementInfo (DbvElementInfo ** ppsElementInfo, TBL InTable);
void 
get_DbvElementDataType (DbvElementDataType ** ppsElementDataType,
			TBL InTable);
void 
get_DbvSchemaInfo (DbvSchemaInfo ** ppsSchemaInfo, TBL InTable);
void 
get_DbvElements (DbvElements ** ppsElements, TBL InTable);
void 
get_DbvPrimitiveDataType (DbvPrimitiveDataType ** ppePrimitiveDataType,
			  TBL InTable);
void 
get_DbvTagSetInfo (DbvTagSetInfo ** ppsTagSetInfo, TBL InTable);
void 
get_DbvRecordSyntaxInfo (DbvRecordSyntaxInfo ** ppsRecordSyntaxInfo,
			 TBL InTable);
void 
get_DbvAttributeDescription (
			 DbvAttributeDescription ** ppsAttributeDescription,
			      TBL InTable);
void 
get_DbvAttributeType (DbvAttributeType ** ppsAttributeType, TBL InTable);
void 
get_DbvAttributeSetInfo (DbvAttributeSetInfo ** ppsAttributeSetInfo,
			 TBL InTable);
void 
get_DbvTermList (DbvTermList ** ppsTermList, TBL InTable);
void 
get_DbvSearchCost (DbvSearchCost ** ppeSearchCost, TBL InTable);
void 
get_DbvTermListInfo (DbvTermListInfo ** ppsTermListInfo, TBL InTable);
void 
get_DbvExtendedServicesInfo (
			 DbvExtendedServicesInfo ** ppsExtendedServicesInfo,
			      TBL InTable);
void 
get_DbvOmittedAttributeInterpretation (
     DbvOmittedAttributeInterpretation ** ppsOmittedAttributeInterpretation,
					TBL InTable);
void 
get_DbvAttributeValues (DbvAttributeValues ** ppsAttributeValues,
			TBL InTable);
void 
get_DbvAttributesByType (DbvAttributesByType ** ppsAttributesByType,
			 TBL InTable);
void 
get_DbvAttributesBySet (DbvAttributesBySet ** ppsAttributesBySet,
			TBL InTable);
void 
get_DbvAttributeOccurrenceChoice (
	       DbvAttributeOccurrenceChoice ** ppsAttributeOccurrenceChoice,
				   TBL InTable);
void 
get_DbvAttributeOccurrence (
			   DbvAttributeOccurrence ** ppsAttributeOccurrence,
			     TBL InTable);
void 
get_DbvAttributeCombination (
			 DbvAttributeCombination ** ppsAttributeCombination,
			      TBL InTable);
void 
get_DbvAttributeCombinations (
		       DbvAttributeCombinations ** ppsAttributeCombinations,
			       TBL InTable);
void 
get_DbvAttributeDetails (DbvAttributeDetails ** ppsAttributeDetails,
			 TBL InTable);
void 
get_DbvScanInfo (DbvScanInfo ** ppsScanInfo, TBL InTable);
void 
get_DbvTermListDetails (DbvTermListDetails ** ppsTermListDetails,
			TBL InTable);
void 
get_DbvRecordTag (DbvRecordTag ** ppsRecordTag, TBL InTable);
void 
get_DbvDetailsPerElement (DbvDetailsPerElement ** ppsDetailsPerElement,
			  TBL InTable);
void 
get_DbvElementSetDetails (DbvElementSetDetails ** ppsElementSetDetails,
			  TBL InTable);
void 
get_DbvRetrievalRecordDetails (
		     DbvRetrievalRecordDetails ** ppsRetrievalRecordDetails,
				TBL InTable);
void 
get_DbvSortType (DbvSortType ** ppsSortType, TBL InTable);
void 
get_DbvCaseSensitivity (DbvCaseSensitivity ** ppeCaseSensitivity,
			TBL InTable);
void 
get_DbvSortKeys (DbvSortKeys ** ppsSortKeys, TBL InTable);
void 
get_DbvSortDetails (DbvSortDetails ** ppsSortDetails, TBL InTable);
void 
get_DbvProcessingInformation (
		       DbvProcessingInformation ** ppsProcessingInformation,
			       TBL InTable);
void 
get_DbvValueDescription (DbvValueDescription ** ppsValueDescription,
			 TBL InTable);
void 
get_DbvValueRange (DbvValueRange ** ppsValueRange, TBL InTable);
void 
get_DbvValueSet (DbvValueSet ** ppsValueSet, TBL InTable);
void 
get_DbvVariantValue (DbvVariantValue ** ppsVariantValue, TBL InTable);
void 
get_DbvVariantTypes (DbvVariantTypes ** ppsVariantTypes, TBL InTable);
void 
get_DbvVariantClass (DbvVariantClass ** ppsVariantClass, TBL InTable);
void 
get_DbvVariantSetInfo (DbvVariantSetInfo ** ppsVariantSetInfo, TBL InTable);
void 
get_DbvUnits (DbvUnits ** ppsUnits, TBL InTable);
void 
get_DbvUnitType (DbvUnitType ** ppsUnitType, TBL InTable);
void 
get_DbvUnitInfo (DbvUnitInfo ** ppsUnitInfo, TBL InTable);
void 
get_DbvCategoryInfo (DbvCategoryInfo ** ppsCategoryInfo, TBL InTable);
void 
get_DbvCategoryList (DbvCategoryList ** ppsCategoryList, TBL InTable);
void 
get_DbvExplainRecord (DbvExplainRecord ** ppsExplainRecord, TBL InTable);
void 
get_DbvLanguageCode (DbvLanguageCode ** ppsLanguageCode, TBL InTable);
void 
get_DbvNull (DbvNull * pvNull, TBL InTable);
void 
get_DbvProcessingContext (
		  DbvProcessingContext ** ppeProcessingContext, TBL InTable);
void 
get_DbvDataBaseInfoSeq (DbvDataBaseInfoSeq ** ppsDataBaseInfoSeq,
			TBL InTable);



/* get_DbvFuncs3.c */


#ifdef NOT_YET_IMPLEMENTED

void 
get_DbvUsageIntType (DbvUsageIntType ** ppeUsageIntType, TBL InTable);
void 
get_DbvOrder (DbvOrder ** ppsOrder, TBL InTable);
void 
get_DbvUsage (DbvUsage ** ppsUsage, TBL InTable);
void 
get_DbvHits (DbvHits ** ppsHits, TBL InTable);
void 
get_DbvValue (DbvValue ** ppsValue, TBL InTable);
void 
get_DbvTriples (DbvTriples ** ppsTriples, TBL InTable);
void 
get_DbvVariant (DbvVariant ** ppsVariant, TBL InTable);
void 
get_DbvTagPath (DbvTagPath ** ppsTagPath, TBL InTable);
void 
get_DbvElementMetaData (DbvElementMetaData ** ppsElementMetaData,
			TBL InTable);
void 
get_DbvElementDataG (DbvElementDataG ** ppsElementDataG, TBL InTable);
void 
get_DbvTaggedElement (DbvTaggedElement ** ppsTaggedElement, TBL InTable);
void 
get_DbvGenericRecord (DbvGenericRecord ** ppsDbvGenericRecord, TBL InTable);


#endif



/* get_DbvFuncs4.c */



void 
get_compulsory_DbvSecurityChallengeReq (DbvSecurityChallengeReq * psSecurityChallengeReq, TBL InTable);
void 
get_DbvSecurityChallengeRsp (DbvSecurityChallengeRsp ** ppsSecurityChallengeRsp, TBL InTable);
void 
get_DbvPartialResultsAvailable (DbvPartialResultsAvailable ** ppePartialResultsAvailable, TBL InTable);
void 
get_DbvEnumeratedPrompt (DbvEnumeratedPrompt ** ppsEnumeratedPrompt, TBL InTable);
void 
get_compulsory_DbvPromptId (DbvPromptId * psPromptId, TBL InTable);
void 
get_DbvEncryption (DbvEncryption ** ppsEncryption, TBL InTable);
void 
get_DbvPromptInfo (DbvPromptInfo ** ppsPromptInfo, TBL InTable);
void 
get_DbvDataType (DbvDataType ** ppeDataType, TBL InTable);
void 
get_DbvChallenge (DbvChallenge ** ppsChallenge,
		  TBL InTable);
void 
getN_DbvChallenge (DbvChallenge *** pppsChallenge, TBL InTable);
void 
get_compulsory_DbvPromptResponse (DbvPromptResponse * psPromptResponse, TBL InTable);
void 
get_DbvResponse (DbvResponse ** ppsResponse,
		 TBL InTable);
void 
getN_DbvResponse (DbvResponse *** pppsResponse, TBL InTable);
void 
get_DbvPromptObject (DbvPromptObject ** ppsPromptObject, TBL InTable);
void 
getN_compulsory_DbvInternationalString(
                DbvInternationalString ***pppsInternationalString,
                TBL InTable );
void 
getN_compulsory_DbvAttributeDescription(
                        DbvAttributeDescription ***pppsDbvAttributeDescription,
                        TBL InTable );

void 
getN_compulsory_DbvUnits( DbvUnits ***pppsUnits, TBL InTable );

void 
getN_compulsory_DbvSpecification( DbvSpecification ***pppsSpecification, TBL InTable );

void 
getN_compulsory_DbvCategoryInfo( DbvCategoryInfo ***pppsCategoryInfo, TBL InTable );

void 
getN_compulsory_DbvPath( DbvPath ***pppsDbvPath, TBL InTable );

/* get_DbvFuncts5.c */

void get_DbvCharSetAndLanguage( DbvCharSetAndLanguage **ppsDbvCharSetAndLanguage, TBL InTable );
void get_DbvTargetResponse( DbvTargetResponse **ppsDbvTargetResponse, TBL InTable );
void get_DbvSelectedCharSet( DbvSelectedCharSet **ppsDbvSelectedCharSet, TBL InTable );
void get_DbvOriginProposal( DbvOriginProposal **ppsDbvOriginProposal, TBL InTable );
void get_DbvProposedCharSet( DbvProposedCharSet **ppsDbvProposedCharSet, TBL InTable );
void get_DbvPrivateCharacterSet( DbvPrivateCharacterSet **ppsDbvPrivateCharacterSet, TBL InTable );
void get_DbvIso10646( DbvIso10646 **ppsDbvIso10646, TBL InTable );
void get_DbvIso2022( DbvIso2022 **ppsDbvIso2022, TBL InTable );
void get_DbvIso2022Response( DbvIso2022Response **ppsDbvIso2022Response, TBL InTable );
void get_DbvIso2022Proposal( DbvIso2022Proposal **ppsDbvIso2022Proposal, TBL InTable );
void get_DbvLeftAndRight( DbvLeftAndRight **ppsDbvLeftAndRight, TBL InTable );
void get_DbvInitialSet( DbvInitialSet **ppsDbvInitialSet, TBL InTable );
void get_DbvEnvironment( DbvEnvironment **ppsDbvEnvironment, TBL InTable );


void getN_DbvCharSetAndLanguage( DbvCharSetAndLanguage ***pppsDbvCharSetAndLanguage,
				 TBL InTable );
void getN_DbvTargetResponse( DbvTargetResponse ***pppsDbvTargetResponse,
				 TBL InTable );
void getN_DbvSelectedCharSet( DbvSelectedCharSet ***pppsDbvSelectedCharSet,
				 TBL InTable );
void getN_DbvOriginProposal( DbvOriginProposal ***pppsDbvOriginProposal,
				 TBL InTable );
void getN_DbvProposedCharSet( DbvProposedCharSet ***pppsDbvProposedCharSet,
				 TBL InTable );
void getN_DbvPrivateCharacterSet( DbvPrivateCharacterSet ***pppsDbvPrivateCharacterSet,
				 TBL InTable );
void getN_DbvIso10646( DbvIso10646 ***pppsDbvIso10646,
				 TBL InTable );
void getN_DbvIso2022( DbvIso2022 ***pppsDbvIso2022,
				 TBL InTable );
void getN_DbvIso2022Response( DbvIso2022Response ***pppsDbvIso2022Response,
				 TBL InTable );
void getN_DbvIso2022Proposal( DbvIso2022Proposal ***pppsDbvIso2022Proposal,
				 TBL InTable );
void getN_DbvLeftAndRight( DbvLeftAndRight ***pppsDbvLeftAndRight,
				 TBL InTable );
void getN_DbvInitialSet( DbvInitialSet ***pppsDbvInitialSet,
				 TBL InTable );
void getN_DbvEnvironment( DbvEnvironment ***pppsDbvEnvironment,
				 TBL InTable );
void getN_DbvLanguageCode( DbvLanguageCode ***pppsDbvLanguageCode,
				 TBL InTable );
#endif

