/*  Module Name: @(#)t_close.h	1.1
    Version: 5/22/95
    Author: Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
        Functions to write results/read arguments from target Close
	Req/Resp specific tbl files. For use with the testtool.
 
*/

#ifndef T_CLOSE_H
#define T_CLOSE_H

#include "testy_calls.h"

int do_DbvCloseResponse(TestType eTestType);
void write_DbvCloseRequest(DbvCloseReq *psCloseReq, TBL OutTable);
int do_DbvCloseRequest(TestType eTestType);
void write_DbvCloseResponse(DbvCloseReq *psCloseRsp, TBL OutTable);


#endif


