#ifndef api_origin_extend_h
#define api_origin_extend_h

#include "api_origin_includes.h"


int send_DbvExtendedServicesReq_DbvUpdateExtendedService(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);
int fill_DbvExtendedServiceReq_common(DbvExtendedServicesReq *psExtendedServicesReq);
int fill_DbvUpdateExtendedService(DbvASN1External *external);
int fill_DbvUpdateExtendedService_main(DbvUpdateExtendedService *psUpdateExtendedService);
int fill_DbvUpdateRequestPackage(DbvUpdateRequestPackage *psUpdateRequest);
int fill_dbv_originparttokeep(DbvOriginPartToKeep *psOriginPartToKeep);
int fill_dbv_supplied_rec(DbvSuppliedRecord *psSuppliedRecord);
int fill_dbv_record_id(DbvUpdtRecordId *psUpdtRecordId);
int fill_dbv_supp_id(DbvUpdtSupplementalId *psUpdtSupplementalId);
int fill_dbv_corr_info(DbvCorrelationInfo *psCorrelationInfo);
int fill_DbvUpdateTaskPackage(DbvUpdateTaskPackage *psUpdateResponse);
int fill_dbv_targetpart(DbvUpdateTargetPart *psTargetPart);
int fill_dbv_globaldiags(DbvUpdateTargetPart *psTargetPart);
int fill_dbv_taskpackrecs(DbvUpdateTargetPart *psTargetPart);
int fill_dbv_taskpackrec(DbvTaskPackageRecord *psTaskPackageRecord);
int fill_dbv_recordiag(DbvUpdtRecordOrDiag *psUpdtRecordOrDiag);
int fill_extend_req_othinfo_char(DbvOtherInformation *psOtherInformation);
int fill_extend_req_othinfo_bin(DbvOtherInformation *psOtherInformation);
int fill_extend_req_othinfo_ext(DbvOtherInformation *psOtherInformation);
int fill_extend_req_othinfo_obj(DbvOtherInformation *psOtherInformation);
int send_extendreq(DbvAssocId *assoc_id, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **error);
int send_DbvExtendedServicesReq_DbvItemOrderExtendedService_DbvIllPdu(DbvAssocId *assoc_id, DbvAssociateState *assoc_state, DbvAssociateResult **assoc_res, DbvReleaseState *rel_state, DbvError **error);




#endif

