#ifndef defines_h
#define defines_h



/* Size of pipes and fifos */
#define MESSAGE_SIZE 	3000

/* Size used in gui and elsewhere when constructing path name of 
   programs to execute */
#define PATH_LEN 	100

/* Size of strings */
#define STRING_LEN	1000


/* Size used in z3950 client and server read and recv calls */
#define MAXMESSAGESIZE	100000


/* Maximum image file size */
#define MAX_IMAGE_FILE_SIZE     1000000


/* Maximum size of fragments (level 2 segmentation) */
#define MAX_FRAGMENT_SIZE	6000


/* Memory allocated initially for PDU fields */
#define ALLOC_SIZE	500


/* PDU->Byte string encoding work array size (bytes) */
#define WORK_ARRAY_SIZE		5000
 
/* PDU->Byte string encoding work array increment size (bytes) */
#define WORK_ARRAY_INCREMENT	5000
 
/* Size for safe array strcpy and strcat */
#define SA_ARRAY_SIZE 5000


/* select timed out when waiting for data  - any value > 1*/
#define TIMED_OUT 5


/* State machine error maximum string length */
#define DBV_SM_STRLEN 32

/* Oid seperator */
#define OID_SEP "."

/* Small buffer size used during PDU field output to trace files */
#define SML_BUFFER        32


/* Maxmium TCP/IP recv() size */
#define MAX_RECV 4096 


/* Maximum index value when checking Dbv lists */
#define MAX_INDEX 999999


#endif
