/*  Module Name: @(#)oid_overwrites_isoill.c	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: snacc oid overwrite
 
*/


#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h"
#include "iord_ext.h"
#include "itemordr.h"

int val;
jmp_buf env;
 
if ((val = setjmp(env)) == 0) {
 

AsnOid temp;

/* in z3950_globals.c */
extern char isoillOid_static[];

/*  ISO_ILL_PDU - 1.2.10161.2.1 (specified in pftasn.txt) */
ASN_MakeOid(ISO_ILL_PDU, &temp, env);
memcpy(isoillOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
isoillOid.octs = isoillOid_static;
isoillOid.octetLen = temp.octetLen;
oid0.octs = isoillOid_static;
oid0.octetLen = temp.octetLen;


} else {
        printf("Fatal event: ASN_MakeOid failed for oid_overwrites_ill.c\n");
}
 


