/*  Module Name: @(#)origin_z3950_access.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef origin_z3950_access_h
#define origin_z3950_access_h

#include "z3950_includes.h"


int DbvAccessControlResponse(DbvAssocId lAssocId, DbvAccessControlRsp *psAccessControlRsp, DbvError **ppsSIError);
int DBVCheckDbvAccessControlRspFields(DbvAssocId lAssocId, DbvAccessControlRsp *psAccessControlRsp, DbvError **ppsSIError);
int DBVcheck_DbvSecurityChallengeRsp_opt(DbvAssocId lAssocId, DbvSecurityChallengeRsp *psSecurityChallengeRsp, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSecurityChallengeRsp(DbvAssocId lAssocId, DbvSecurityChallengeRsp *psSecurityChallengeRsp, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDiagRec_opt(DbvAssocId lAssocId, DbvDiagRec *psDiagnostic, char *error_buffer, DbvError **ppsSIError);
int DBVsetup_snacc_AccessControlResponse(PDU *PDU_ptr, DbvAccessControlRsp *psAccessControlRsp, jmp_buf env);
int DBVset_AccessControlResponse_referenceId(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_AccessControlResponse_securityChallengeResponse(PDU *PDU_ptr, DbvSecurityChallengeRsp *psSecurityChallengeRsp, jmp_buf env);
int DBVset_AccessControlResponse_diagnostic(PDU *PDU_ptr, DbvDiagRec *psDiagnostic, jmp_buf env);
int DBVset_AccessControlResponse_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_DbvAccessControlReq(DbvOriginData *psOriginData, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvAccessControlReq_psReferenceId(DbvAccessControlReq *psAccessControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvAccessControlReq_psSecurityChallengeReq(DbvAccessControlReq *psAccessControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvAccessControlReq_ppsOtherInformation(DbvAccessControlReq *psAccessControlReq, PDU *PDU_ptr, jmp_buf env);


#endif
