/*  Module Name: @(#)origin_z3950_extend.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef origin_z3950_extend_h
#define origin_z3950_extend_h

#include "z3950_includes.h"


int DbvExtendedServicesRequest(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVCheckDbvExtendReqFields(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVcheck_dbv_extendreq_funct(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVcheck_dbv_extendreq_packtype(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVcheck_dbv_extendreq_rettime(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVcheck_dbv_extendreq_permiss(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVcheck_dbv_extendreq_origspec(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVcheck_dbv_extendreq_waact(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVcheck_dbv_extendreq_otherinfo(DbvAssocId lAssocId, DbvExtendedServicesReq *psExtendedServicesReq, DbvError **ppsSIError);
int DBVsetup_snacc_extendrequest(PDU *PDU_ptr, DbvExtendedServicesReq *psExtendedServicesReq, jmp_buf env);
int DBVset_snacc_extendreq_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_extendreq_function(PDU *PDU_ptr, DbvExtServicesFunctions eFunction, jmp_buf env);
int DBVset_snacc_extendreq_packtype(PDU *PDU_ptr, DbvObjectIdentifier pcPackageType, jmp_buf env);
int DBVset_snacc_extendreq_packname(PDU *PDU_ptr, DbvInternationalString *psPackageName, jmp_buf env);
int DBVset_snacc_extendreq_userid(PDU *PDU_ptr, DbvInternationalString *psUserId, jmp_buf env);
int DBVset_snacc_extendreq_retenttime(PDU *PDU_ptr, DbvIntUnit *psRetentionTime, jmp_buf env);
int DBVset_snacc_extendreq_permission(PDU *PDU_ptr, DbvPermissions **ppsPermissions, jmp_buf env);
int DBVset_snacc_extendreq_description(PDU *PDU_ptr,  DbvInternationalString *psDescription, jmp_buf env);
int DBVset_snacc_extendreq_ospecoparam(PDU *PDU_ptr, DbvASN1External *psOriginSpecificParameter, jmp_buf env);
int DBVset_snacc_extendreq_waitaction(PDU *PDU_ptr, DbvExtServicesWaitAction eWaitAction, jmp_buf env);
int DBVset_snacc_extendreq_elements(PDU *PDU_ptr, DbvInternationalString  *psElements, jmp_buf env);
int DBVset_snacc_extendreq_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_extendresp(DbvOriginData *psOriginData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendresp_refid(DbvExtendedServicesRsp *extendresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendresp_opstat(DbvExtendedServicesRsp *extendresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendresp_diagnost(DbvExtendedServicesRsp *extendresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendresp_taskpack(DbvExtendedServicesRsp *extendresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_extendresp_otherinfo(DbvExtendedServicesRsp *extendresp, PDU *PDU_ptr, jmp_buf env);

#endif
