/*  Module Name: @(#)origin_z3950_present.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef origin_z3950_present_h
#define origin_z3950_present_h

#include "z3950_includes.h"


int DbvPresentRequest(DbvAssocId lAssocId, DbvPresentReq *psPresentReq, DbvError **ppsSIError);
int DBVCheckDbvPresReqFields(DbvAssocId lAssocId, DbvPresentReq *psPresentReq, DbvError **ppsSIError);
int DBVcheck_dbv_presreq_addrang(DbvAssocId lAssocId, DbvPresentReq *psPresentReq, DbvError **ppsSIError);
int DBVcheck_dbv_presreq_reccomp(DbvAssocId lAssocId, DbvPresentReq *psPresentReq, DbvError **ppsSIError);
int DBVcheck_dbv_presreq_prefsyn(DbvAssocId lAssocId, DbvPresentReq *psPresentReq, DbvError **ppsSIError) ;
int DBVcheck_dbv_presreq_othinfo(DbvAssocId lAssocId, DbvPresentReq *psPresentReq, DbvError **ppsSIError);
int DBVsetup_snacc_presrequest(PDU *PDU_ptr, DbvPresentReq *psPresentReq, jmp_buf env);
int DBVset_snacc_presreq_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_presreq_ressetid(PDU *PDU_ptr, DbvInternationalString sResultSetId, jmp_buf env);
int DBVset_snacc_presreq_ressetstart(PDU *PDU_ptr, Ulong ulResultSetStartPoint, jmp_buf env);
int DBVset_snacc_presreq_numrecsreq(PDU *PDU_ptr, Ulong ulNumberOfRecordsRequested, jmp_buf env);
int DBVset_snacc_presreq_addranges(PDU *PDU_ptr, DbvRange **ppsAdditionalRanges, jmp_buf env);
int DBVset_snacc_presreq_reccomp(PDU *PDU_ptr, DbvRecordComposition *psRecordComposition, jmp_buf env);
int DBVset_snacc_presreq_prefrecsyn(PDU *PDU_ptr, DbvObjectIdentifier pcPreferredRecordSyntax, jmp_buf env);
int DBVset_snacc_presreq_maxsegcnt(PDU *PDU_ptr, Ulong *pulMaxSegmentCount, jmp_buf env);
int DBVset_snacc_presreq_maxrecsze(PDU *PDU_ptr, Ulong *pulMaxRecordSize, jmp_buf env);
int DBVset_snacc_presreq_maxsegsze(PDU *PDU_ptr, Ulong *pulMaxSegmentSize, jmp_buf env);
int DBVset_snacc_presreq_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_presresp(DbvOriginData *psOriginData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presresp_refid(DbvPresentRsp *presresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presresp_numrecs(DbvPresentRsp *presresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presresp_nxtresset(DbvPresentRsp *presresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presresp_presstat(DbvPresentRsp *presresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presresp_records(DbvPresentRsp *presresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_presresp_otherinfo(DbvPresentRsp *presresp, PDU *PDU_ptr, jmp_buf env);

#endif
