/*  Module Name: @(#)origin_z3950_rescntrl.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef origin_z3950_rescntrl_h
#define origin_z3950_rescntrl_h

#include "z3950_includes.h"


int DbvResourceControlResponse(DbvAssocId lAssocId, DbvResourceControlRsp *psResourceControlRsp, DbvError **ppsSIError);
int DBVCheckDbvResourceControlRspFields(DbvAssocId lAssocId, DbvResourceControlRsp *psResourceControlRsp, DbvError **ppsSIError);
int DBVsetup_snacc_ResourceControlResponse(PDU *PDU_ptr, DbvResourceControlRsp *psResourceControlRsp, jmp_buf env);
int DBVset_ResourceControlResponse_referenceId(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_ResourceControlResponse_continueFlag(PDU *PDU_ptr, DbvBool *pfContinueFlag, jmp_buf env);
int DBVset_ResourceControlResponse_resultSetWanted(PDU *PDU_ptr, DbvBool *pfResultSetWanted, jmp_buf env);
int DBVset_ResourceControlResponse_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_DbvResourceControlReq(DbvOriginData *psOriginData, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlReq_psReferenceId(DbvResourceControlReq *psResourceControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlReq_pfSuspendedFlag(DbvResourceControlReq *psResourceControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlReq_psResourceReport(DbvResourceControlReq *psResourceControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlReq_pePartialResultsAvailable(DbvResourceControlReq *psResourceControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVsnacc_to_dbv_DbvPartialResultsAvailable_opt(DbvPartialResultsAvailable **ppePartialResultsAvailable, ResourceControlRequestInt *partialResultsAvailable, jmp_buf env);
int DBVsnacc_to_dbv_DbvPartialResultsAvailable(DbvPartialResultsAvailable *pePartialResultsAvailable, ResourceControlRequestInt *partialResultsAvailable, jmp_buf env);
int DBVset_DbvResourceControlReq_fResponseRequired(DbvResourceControlReq *psResourceControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlReq_pfTriggeredRequestFlag(DbvResourceControlReq *psResourceControlReq, PDU *PDU_ptr, jmp_buf env);
int DBVset_DbvResourceControlReq_ppsOtherInformation(DbvResourceControlReq *psResourceControlReq, PDU *PDU_ptr, jmp_buf env);


#endif
