/*  Module Name: @(#)origin_z3950_resrep.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef origin_z3950_resrep_h
#define origin_z3950_resrep_h

#include "z3950_includes.h"


int DbvResourceReportRequest(DbvAssocId lAssocId, DbvResourceReportReq *psResourceReportReq, DbvError **ppsSIError);
int DBVCheckDbvResRepReqFields(DbvAssocId lAssocId, DbvResourceReportReq *psResourceReportReq, DbvError **ppsSIError);
int DBVcheck_dbv_rerereq_preffmt(DbvAssocId lAssocId, DbvResourceReportReq *psResourceReportReq, DbvError **ppsSIError);
int DBVcheck_dbv_rerereq_otherinfo(DbvAssocId lAssocId, DbvResourceReportReq *psResourceReportReq, DbvError **ppsSIError);
int DBVsetup_snacc_resreprequest(PDU *PDU_ptr, DbvResourceReportReq *psResourceReportReq, jmp_buf env);
int DBVset_snacc_resrepreq_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_resrepreq_opid(PDU *PDU_ptr, DbvOctetString *psOperationId, jmp_buf env);
int DBVset_snacc_resrepreq_prefformat(PDU *PDU_ptr, DbvObjectIdentifier pcPrefResourceReportFormat, jmp_buf env);
int DBVset_snacc_resrepreq_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_resrepresp(DbvOriginData *psOriginData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepresp_refid(DbvResourceReportRsp *resrepresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepresp_repstat(DbvResourceReportRsp *resrepresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepresp_report(DbvResourceReportRsp *resrepresp, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepresp_otherinfo(DbvResourceReportRsp *resrepresp, PDU *PDU_ptr, jmp_buf env);

#endif
