/*  Module Name: @(#)target_z3950_delete.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_delete_h
#define target_z3950_delete_h

#include "z3950_includes.h"


int DbvDeleteResultSetResponse(DbvAssocId lAssocId, DbvDeleteResultSetRsp *psDeleteResultSetRsp, DbvError **ppsSIError);
int DBVCheckDbvDelRspFields(DbvAssocId lAssocId, DbvDeleteResultSetRsp *psDeleteResultSetRsp, DbvError **ppsSIError);
int DBVcheck_dbv_delrsp_opstat(DbvAssocId lAssocId, DbvDeleteResultSetRsp *psDeleteResultSetRsp, DbvError **ppsSIError);
int DBVcheck_dbv_delrsp_liststat(DbvAssocId lAssocId, DbvDeleteResultSetRsp *psDeleteResultSetRsp, DbvError **ppsSIError);
int DBVcheck_liststat(DbvAssocId lAssocId, DbvListStatus **ppsDeleteListStatuses, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_delrsp_bulkstat(DbvAssocId lAssocId, DbvDeleteResultSetRsp *psDeleteResultSetRsp, DbvError **ppsSIError);
int DBVcheck_dbv_delrsp_otherinfo(DbvAssocId lAssocId, DbvDeleteResultSetRsp *psDeleteResultSetRsp, DbvError **ppsSIError);
int DBVsetup_snacc_delresponse(PDU *PDU_ptr, DbvDeleteResultSetRsp *psDeleteResultSetRsp, jmp_buf env);
int DBVset_snacc_delresp_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_delresp_opstat(PDU *PDU_ptr, DbvDeleteSetStatus eDeleteOperationStatus, jmp_buf env);
int DBVdbv_to_snacc_delstat(DeleteSetStatus *snacc_status, DbvDeleteSetStatus *dbv_status, jmp_buf env);
int DBVset_snacc_delresp_delliststat(PDU *PDU_ptr, DbvListStatus **ppsDeleteListStatuses, jmp_buf env);
int DBVdbv_to_snacc_liststat(ListStatusesSeq *data_ptr, DbvListStatus *psDeleteListStatuses, jmp_buf env);
int DBVset_snacc_delresp_numnotdel(PDU *PDU_ptr, Ulong *pulNumberNotDeleted, jmp_buf env);
int DBVset_snacc_delresp_bulkliststat(PDU *PDU_ptr, DbvListStatus **ppsBulkStatuses, jmp_buf env);
int DBVset_snacc_delresp_delmess(PDU *PDU_ptr, DbvInternationalString *psDeleteMessage, jmp_buf env);
int DBVset_snacc_delresp_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_delreq(DbvTargetData *psTargetData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delreq_refid(DbvDeleteResultSetReq *delreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delreq_deletefunc(DbvDeleteResultSetReq *delreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delreq_ressetid(DbvDeleteResultSetReq *delreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_delreq_otherinfo(DbvDeleteResultSetReq *delreq, PDU *PDU_ptr, jmp_buf env);

#endif
