/*  Module Name: @(#)target_z3950_init.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_init_h
#define target_z3950_init_h

#include "z3950_includes.h"


int DbvInitializeResponse(DbvAssocId lAssocId, DbvInitializeRsp *psInitializeRsp, DbvError **ppsSIError);
int DBVget_dbv_initrsp_state(DbvInitializeRsp *psInitializeRsp);
int DBVCheckDbvInitRspFields(DbvAssocId lAssocId, DbvInitializeRsp *psInitializeRsp, DbvError **ppsSIError);
int DBVcheck_dbv_initrsp_prover(DbvAssocId lAssocId, DbvInitializeRsp *psInitializeRsp, DbvError **ppsSIError);
int DBVcheck_dbv_initrsp_options(DbvAssocId lAssocId, DbvInitializeRsp *psInitializeRsp, DbvError **ppsSIError);
int DBVcheck_dbv_initrsp_result(DbvAssocId lAssocId, DbvInitializeRsp *psInitializeRsp, DbvError **ppsSIError);
int DBVcheck_dbv_initrsp_userinf(DbvAssocId lAssocId, DbvInitializeRsp *psInitializeRsp, DbvError **ppsSIError);
int DBVcheck_dbv_initrsp_otherinfo(DbvAssocId lAssocId, DbvInitializeRsp *psInitializeRsp, DbvError **ppsSIError);
int DBVsetup_snacc_initresponse(PDU *PDU_ptr, DbvInitializeRsp *psInitializeRsp, jmp_buf env);
int DBVset_snacc_initresp_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_initresp_protocolversion(PDU *PDU_ptr, DbvProtocolVersion pcProtocolVersion, jmp_buf env);
int DBVset_snacc_initresp_options(PDU *PDU_ptr, DbvOptions pcOptions, jmp_buf env);
int DBVset_snacc_initresp_prefmessize(PDU *PDU_ptr, Ulong ulPreferredMessageSize, jmp_buf env);
int DBVset_snacc_initresp_maxmessize(PDU *PDU_ptr, Ulong ulMaximumMessageSize, jmp_buf env);
int DBVset_snacc_initresp_impid(PDU *PDU_ptr, DbvInternationalString *psImplementationId, jmp_buf env);
int DBVset_snacc_initresp_result(PDU *PDU_ptr, DbvBool fResult, jmp_buf env);
int DBVset_snacc_initresp_impname(PDU *PDU_ptr, DbvInternationalString *psImplementationName, jmp_buf env);
int DBVset_snacc_initresp_impver(PDU *PDU_ptr, DbvInternationalString *psImplementationVersion, jmp_buf env);
int DBVset_snacc_initresp_userinfo(PDU *PDU_ptr, DbvASN1External *psUserInformationField, jmp_buf env);
int DBVset_snacc_initresp_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_initreq(DbvTargetData *psTargetData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_refid(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_prover(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_options(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_prefmes(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_maxmes(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_authentication(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_authentication_open(PDU *PDU_ptr, DbvInitializeReq *initreq, jmp_buf env);
int DBVset_dbv_initreq_authentication_pass(PDU *PDU_ptr, DbvInitializeReq *initreq, jmp_buf env);
int DBVset_dbv_initreq_authentication_other(PDU *PDU_ptr, DbvInitializeReq *initreq, jmp_buf env);
int DBVset_dbv_initreq_impid(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_impname(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_impver(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_userinfo(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_initreq_otherinfo(DbvInitializeReq *initreq, PDU *PDU_ptr, jmp_buf env);

#endif
