/*  Module Name: @(#)target_z3950_resrep.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
*/

#ifndef target_z3950_resrep_h
#define target_z3950_resrep_h

#include "z3950_includes.h"


int DbvResourceReportResponse(DbvAssocId lAssocId, DbvResourceReportRsp *psResourceReportRsp, DbvError **ppsSIError);
int DBVCheckDbvResRepRspFields(DbvAssocId lAssocId, DbvResourceReportRsp *psResourceReportRsp, DbvError **ppsSIError);
int DBVcheck_dbv_rerersp_repstat(DbvAssocId lAssocId, DbvResourceReportRsp *psResourceReportRsp, DbvError **ppsSIError);
int DBVcheck_dbv_rerersp_resrep(DbvAssocId lAssocId, DbvResourceReportRsp *psResourceReportRsp, DbvError **ppsSIError);
int DBVcheck_dbv_rerersp_otherinfo(DbvAssocId lAssocId, DbvResourceReportRsp *psResourceReportRsp, DbvError **ppsSIError);
int DBVsetup_snacc_resrepresponse(PDU *PDU_ptr, DbvResourceReportRsp *psResourceReportRsp, jmp_buf env);
int DBVset_snacc_resrepresp_refid(PDU *PDU_ptr, DbvOctetString *psReferenceId, jmp_buf env);
int DBVset_snacc_resrepresp_repstat(PDU *PDU_ptr, DbvResourceReportStatus eResourceReportStatus, jmp_buf env);
int DBVset_snacc_resrepresp_report(PDU *PDU_ptr, DbvASN1External *psResourceReport, jmp_buf env);
int DBVset_snacc_resrepresp_otherinfo(PDU *PDU_ptr, DbvOtherInformation **ppsOtherInformation, jmp_buf env);
int DBVset_dbv_fields_resrepreq(DbvTargetData *psTargetData, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepreq_refid(DbvResourceReportReq *resrepreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepreq_opid(DbvResourceReportReq *resrepreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepreq_prefformat(DbvResourceReportReq *resrepreq, PDU *PDU_ptr, jmp_buf env);
int DBVset_dbv_resrepreq_otherinfo(DbvResourceReportReq *resrepreq, PDU *PDU_ptr, jmp_buf env);

#endif
