/*  Module Name: @(#)z3950_externals2.h	7.1
    Version: 11/15/96
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: 
*/

#ifndef z3950_externals2_h
#define z3950_externals2_h

#include "z3950_includes.h"


int DBVunknown_any_int(unsigned long intval);
int DBVdbv_to_snacc_itemorder_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoitemorder_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_itemorder_main(ItemOrder *itemorder_ptr, struct DbvItemOrderExtendedService *psItemOrderExtendedService, jmp_buf env);
int DBVdbv_to_snacc_itemorder_esreq(struct ItemOrderSeq* esRequest, DbvEsIoRequest *psItemOrderRequest, jmp_buf env);
int DBVdbv_to_snacc_io_parttokeep5(struct OriginPartToKeep4* toKeep, DbvEsIoOriginPartToKeep *psOriginPart, jmp_buf env);
int DBVdbv_to_snacc_contact(struct OriginPartToKeep4Seq* contact, DbvEsIoContact *psContact, jmp_buf env);
int DBVdbv_to_snacc_addbilling(struct OriginPartToKeep4Seq1* addlBilling, DbvEsIoAdditionalBilling *psAdditionalBilling, jmp_buf env);
int DBVdbv_to_snacc_paymentmethod(struct OriginPartToKeep4Seq1Choice* paymentMethod, DbvEsIoPaymentMethod *psPaymentMethod, jmp_buf env);
int DBVdbv_to_snacc_creditcard(struct CreditCardInfo* creditCard, DbvEsIoCreditCardInfo *psCreditCardInfo, jmp_buf env);
int DBVdbv_to_snacc_io_partnottokeep5(struct OriginPartNotToKeep4* notToKeep, DbvEsIoOriginPartNotToKeep *psNotToKeep, jmp_buf env);
int DBVdbv_to_snacc_resset(struct OriginPartNotToKeep4Seq* resultSetItem, DbvEsIoResultSetItem *psResultSetitem, jmp_buf env);
int DBVdbv_to_snacc_itemorder_taspack(struct ItemOrderSeq1* taskPackage, DbvEsIoTaskPackage *psItemOrderResponse, jmp_buf env);
int Dbvdbv_to_snacc_io_targetpart(struct TargetPart4 *targetPart, DbvEsIoTargetPart *psTargetPart, jmp_buf env);
int DBVdbv_to_snacc_auxstat(TargetPart4Int *auxiliaryStatus, DbvEsIoAuxiliaryStatus *peAuxiliaryStatus);
int DBVsnacc_to_dbv_itemorder_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_isoitemorder_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_itemorder_main(struct DbvItemOrderExtendedService *psItemOrderExtendedService, ItemOrder *itemorder_ptr, jmp_buf env);
int DBVsnacc_to_dbv_itemorderreq(DbvEsIoRequest *psItemOrderRequest, struct ItemOrderSeq *esRequest, jmp_buf env);
int DBVsnacc_to_dbv_itemorder_keep(DbvEsIoOriginPartToKeep *psToKeep, struct OriginPartToKeep4* toKeep, jmp_buf env);
int DBVsnacc_to_dbv_contact(DbvEsIoContact *psContact, struct OriginPartToKeep4Seq* contact, jmp_buf env);
int DBVsnacc_to_dbv_addbilling(DbvEsIoAdditionalBilling *psAdditionalBilling, struct OriginPartToKeep4Seq1* addlBilling, jmp_buf env);
int DBVsnacc_to_dbv_payment(DbvEsIoPaymentMethod *psPaymentMethod, struct OriginPartToKeep4Seq1Choice* paymentMethod, jmp_buf env);
int DBVsnacc_to_dbv_creditcard(DbvEsIoCreditCardInfo *psCreditCardInfo, struct CreditCardInfo* creditCard, jmp_buf env);
int DBVsnacc_to_dbv_itemorder_notkeep(DbvEsIoOriginPartNotToKeep *psNotToKeep, struct OriginPartNotToKeep4* notToKeep, jmp_buf env);
int Dbvsnacc_to_dbv_resset(DbvEsIoResultSetItem *psResultSetitem,  struct OriginPartNotToKeep4Seq *resultSetItem, jmp_buf env);
int DBVsnacc_to_dbv_itemorderrsp(DbvEsIoTaskPackage *psItemOrderResponse, struct ItemOrderSeq1 *taskPackage, jmp_buf env);
int DBVsnacc_to_dbv_io_target(DbvEsIoTargetPart *psTargetPart, struct TargetPart4* targetPart, jmp_buf env);
int DBVsnacc_to_dbv_auxstat(DbvEsIoAuxiliaryStatus *peAuxiliaryStatus, TargetPart4Int *auxiliaryStatus, jmp_buf env);
int DBVdbv_to_snacc_isoillrequest_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_ill_main(ILL_APDU *ill_ptr, struct DbvIllPdu *psIllPdu, jmp_buf env);
int DBVdbv_to_snacc_illreq(struct ILL_Request *iLL_Request, struct DbvIllRequest *psIllRequest, jmp_buf env);
int DBVdbv_to_snacc_prover(ILL_RequestInt *protocol_version_num, DbvIllProtocolVersion *eProtocolVersion, jmp_buf env);
int DBVdbv_to_snacc_transid(struct Transaction_Id *transaction_id, DbvTransactionId *psTransactionId, jmp_buf env); 
int DBVdbv_to_snacc_systemid(struct System_Id* initial_requester_id, DbvSystemId *psInitialRequesterId, jmp_buf env);
int DBVdbv_to_snacc_person_or_inst_symb(struct Person_Or_Institution_Symbol *person_or_institution_symbol, DbvPersonOrInstitutionSymbol *psSymbol, jmp_buf env);
int DBVdbv_to_snacc_illstring(struct ILL_String* transaction_group_qualifier, DbvIllString *psTransactionGroupQualifier, jmp_buf env);
int DBVdbv_to_snacc_general_string(GeneralString *generalString, DbvGeneralString *psGeneralString, jmp_buf env);
int DBVdbv_to_snacc_person_or_inst_name(struct Name_Of_Person_Or_Institution* name_of_person_or_institution, DbvNameOfPersonOrInstitution *psName, jmp_buf env);
int DBVdbv_to_snacc_servdt(struct Service_Date_Time* service_date_time, DbvServiceDateTime *psServiceDateTime, jmp_buf env);
int DBVdbv_to_snacc_datetime(struct Service_Date_TimeSeq* date_time_of_this_service, DbvDateTime *psThisService, jmp_buf env);
int DBVdbv_to_snacc_transaction_type(Transaction_Type *transaction_type, DbvTransactionType *peTransactionType, jmp_buf env);
int DBVdbv_to_snacc_delivaddr(struct Delivery_Address* delivery_address, DbvDeliveryAddress *psDeliveryAddress, jmp_buf env);
int DBVdbv_to_snacc_postaladdress(struct Postal_Address* postal_address, DbvPostalAddress* psPostalAddress, jmp_buf env);
int DBVdbv_to_snacc_electaddress(struct System_Address* electronic_address, DbvSystemAddress *psElectronicAddress, jmp_buf env);
int DBVdbv_to_snacc_delivserv(struct Delivery_Service *delivery_service, DbvDeliveryService *psDeliveryService, jmp_buf env);
int DBVdbv_to_snacc_elecdelivlist(Delivery_ServiceSeqOf *electronic_delivery, DbvElectronicDeliveryService **ppsElectronicDelivery, jmp_buf env);
int DBVdbv_to_snacc_elecdeliv(Electronic_Delivery_Service *data_ptr, DbvElectronicDeliveryService *psElectronicDelivery, jmp_buf env);
int DBVdbv_to_snacc_delivdet(struct Electronic_Delivery_ServiceChoice *e_delivery_details, DbvElDeliveryDetails *psDeliveryDetails, jmp_buf env);
int DBVdbv_to_snacc_servtypelist(ILL_RequestSetOf *iLL_service_type, DbvServiceType **ppeServiceType, jmp_buf env);
int DBVdbv_to_snacc_servtype(ILL_Service_Type *data_ptr, DbvServiceType *peServiceType, jmp_buf env);
int DBVdbv_to_snacc_reqopmes(struct Requester_Optional_Messages_Type *requester_optional_messages, DbvRequesterOptionalMessages *psRequesterOptionalMessages, jmp_buf env);
int DBVdbv_to_snacc_optmsgreq(Requester_Optional_Messages_TypeEnum *requester_CHECKED_IN, DbvOptionalMsgRequirements *peRequesterCheckedIn, jmp_buf env);
int DBVdbv_to_snacc_searchtype(struct Search_Type* search_type, DbvSearchType *psSearchType, jmp_buf env);
int DBVdbv_to_snacc_expiflag(Search_TypeEnum *expiry_flag, DbvExpiry *peExpiryFlag, jmp_buf env);
int DBVdbv_to_snacc_suppmedinfolist(ILL_RequestSetOf1* supply_medium_info_type, DbvSupplyMediumInfo **ppsSupplyMediumInfo, jmp_buf env);
int DBVdbv_to_snacc_suppmedinfo(Supply_Medium_Info_Type *data_ptr, DbvSupplyMediumInfo *psSupplyMediumInfo, jmp_buf env);
int DBVdbv_to_snacc_suppmed(Supply_Medium_Type *supply_medium_type, DbvSupplyMediumType *peSupplyMediumType, jmp_buf env);
int DBVdbv_to_snacc_ponhold(Place_On_Hold_Type* place_on_hold, DbvPlaceOnHold *pePlaceOnHold, jmp_buf env);
int DBVdbv_to_snacc_clientid(struct Client_Id* client_id, DbvClientId *psClientId, jmp_buf env);
int DBVdbv_to_snacc_itemid(struct Item_Id* item_id, DbvItemId *psItemId, jmp_buf env);
int DBVdbv_to_snacc_itemtype(Item_IdEnum *item_type, DbvItemType *peItemType, jmp_buf env);
int DBVdbv_to_snacc_medtype(Medium_Type *held_medium_type, DbvMediumType *peMediumType, jmp_buf env);
int DBVdbv_to_snacc_suppdesc(Supplemental_Item_Description* supplemental_item_description, DbvASN1External **ppsSupplementalItemDescription, jmp_buf env);
int DBVdbv_to_snacc_costinfo(struct Cost_Info_Type* cost_info_type, DbvCostInfo *psCostInfo, jmp_buf env);
int DBVdbv_to_snacc_maxcost(struct Amount *maximum_cost, DbvAmount *psMaximumCost, jmp_buf env);
int DBVdbv_to_snacc_printstring(PrintableString *currency_code, DbvPrintableString pcCurrencyCode, jmp_buf env);
int  DBVdbv_to_snacc_thirdparty(struct Third_Party_Info_Type* third_party_info_type, DbvThirdPartyInfo *psThirdPartyInfo, jmp_buf env);
int DBVdbv_to_snacc_sendtolist(Send_To_List_Type *send_to_list, DbvSendToList **ppsSendToList, jmp_buf env);
int DBVdbv_to_snacc_sendtolistel(Send_To_List_TypeSeq *data_ptr, DbvSendToList *psSendToList, jmp_buf env);
int DBVdbv_to_snacc_thirdparenum(Third_Party_Info_TypeEnum *preference, DbvPreference *pePreference, jmp_buf env);
int DBVdbv_to_snacc_alreadtriedlist(Already_Tried_List_Type *already_tried_list, DbvSystemId **ppsAlreadyTriedList, jmp_buf env);
int DBVdbv_to_snacc_requestext(ILL_RequestSeqOf* iLL_request_extensions, DbvExtension **ppsRequestExtension, jmp_buf env);
int DBVdbv_to_snacc_extension(Extension *data_ptr, DbvExtension *psRequestExtension, jmp_buf env);
int DBVdbv_to_snacc_extension_item(Ulong ulIdentifier, AsnAnyDefinedBy *item, DbvExtension *psRequestExtension, jmp_buf env);
int DBVdbv_to_snacc_anytype_int(Ulong *intval, AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_silintmaptest_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_subito(AsnAnyDefinedBy *any_type, DbvSubitoAdditionalInfo *psAddIllReqInfo, jmp_buf env);
int DBVdbv_to_snacc_subito_main(OrigSubitoAdditionalInfo *subito_ptr, DbvSubitoAdditionalInfo *psAddIllReqInfo, jmp_buf env);
int DBVdbv_to_snacc_addrequesterinfo(struct AddRequesterInfo* addRequesterInfo, DbvAddRequesterInfo *psAddRequesterInfo, jmp_buf env);
int DBVdbv_to_snacc_requestergroup(AddRequesterInfoEnum *requesterGroup, DbvRequesterGroup *peRequesterGroup, jmp_buf env);
int DBVdbv_to_snacc_adddeliveryinfo(struct AddDeliveryInfo* addDeliveryInfo, DbvAddDeliveryInfo *psAddDeliveryInfo, jmp_buf env);
int DBVdbv_to_snacc_addeliveryenum(AddDeliveryInfoEnum *statusLevelUser, DbvStatusLevelUser *peStatusLevelUser, jmp_buf env);
int DBVdbv_to_snacc_addeliveryenum1(AddDeliveryInfoEnum1 *statusLevelRequester, DbvStatusLevelRequester *peStatusLevelOrigin, jmp_buf env);
int DBVdbv_to_snacc_addbillinginfo(struct AddBillingInfo* addBillingInfo, DbvAddBillingInfo *psAddBillingInfo, jmp_buf env);
int DBVdbv_to_snacc_billingbankinfo(struct BillingBankInfo* billingBankInfo, DbvBillingBankInfo *psBillingBankInfo, jmp_buf env);
int DBVdbv_to_snacc_billingcreditcardinfo(struct BillingCreditCardInfo* billingCreditCardInfo, DbvBillingCreditCardInfo *psBillingCreditCardInfo, jmp_buf env);
int DBVdbv_to_snacc_billinginvoicetype(AddBillingInfoEnum *billingInvoiceType, DbvBillingInvoiceType *peBillingInvoiceType, jmp_buf env);
int DBVdbv_to_snacc_illstaterror(struct Status_Or_Error_Report* status_Or_Error_Report, struct DbvStatusOrErrorReport *psStatusOrErrorReport, jmp_buf env);
int DBVdbv_to_snacc_reasonno(Reason_No_Report* reason_no_report, DbvReasonNoReport *peReasonNoReport, jmp_buf env);
int DBVdbv_to_snacc_statusrep(struct Status_Report* status_report, DbvStatusReport *psStatusReport, jmp_buf env);
int DBVdbv_to_snacc_userstatrep(struct History_Report* user_status_report, DbvHistoryReport *psStatusReport, jmp_buf env);
int DBVdbv_to_snacc_ill_mostrecent(History_ReportEnum *most_recent_service, DbvMostRecentService *peMostRecentService, jmp_buf env);
int DBVdbv_to_snacc_ill_shippedserv(Shipped_Service_Type *shipped_service_type, DbvShippedServiceType *peShippedServiceType, jmp_buf env);
int DBVdbv_to_snacc_ill_transres(Transaction_Results *transaction_results, DbvTransactionResults *peTransactionResults, jmp_buf env);
int DBVdbv_to_snacc_provstatrep(Current_State *provider_status_report, DbvCurrentState *peProviderStatusReport, jmp_buf env);
int DBVdbv_to_snacc_errorrep(struct Error_Report* error_report, DbvErrorReport *psErrorReport, jmp_buf env);
int DBVdbv_to_snacc_userreport(struct User_Error_Report* user_error_report, DbvUserErrorReport *psUserErrorReport, jmp_buf env);
int DBVdbv_to_snacc_alreadforward(struct Already_Forwarded *already_forwarded, DbvAlreadyForwarded *psAlreadyForwarded, jmp_buf env);
int DBVdbv_to_snacc_intermprob(Intermediary_Problem *intermediary_problem, DbvIntermediaryProblem *peIntermediaryProblem, jmp_buf env);
int DBVdbv_to_snacc_unableperf(Unable_To_Perform *unable_to_perform, DbvUnableToPerform *peUnableToPerform, jmp_buf env);
int DBVdbv_to_snacc_provreport(struct Provider_Error_Report *provider_error_report, DbvProviderErrorReport *psProviderErrorReport, jmp_buf env);
int DBVdbv_to_snacc_generalprob(General_Problem *general_problem, DbvGeneralProblem *peGeneralProblem, jmp_buf env);
int DBVdbv_to_snacc_transidprob(Transaction_Id_Problem *transaction_id_problem, DbvTransactionIdProblem *peTransactionIdProblem, jmp_buf env);
int DBVdbv_to_snacc_statetrans(struct State_Transition_Prohibited* state_transition_prohibited, DbvStateTransitionProhibited *psStateTransitionProblem, jmp_buf env);
int DBVdbv_to_snacc_illpdutype(ILL_APDU_Type *aPDU_type, DbvIllAPDUType *peAPDUType, jmp_buf env);
int DBVdbv_to_snacc_currstate(Current_State *current_state, DbvCurrentState *peCurrentState, jmp_buf env);
int DBVsnacc_to_dbv_isoillrequest_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_illmain(struct DbvIllPdu *psIllPdu, ILL_APDU *ill_ptr, jmp_buf env);
int DBVsnacc_to_dbv_illrequest(struct DbvIllRequest *psIllRequest,  struct ILL_Request* iLL_Request, jmp_buf env);
int DBVsnacc_to_dbv_prover(DbvIllProtocolVersion *peProtocolVersion, ILL_RequestInt *protocol_version_num, jmp_buf env);
int DBVsnacc_to_dbv_transid(DbvTransactionId *psTransactionId, struct Transaction_Id* transaction_id, jmp_buf env); 
int DBVsnacc_to_dbv_systemid(DbvSystemId *psInitialRequesterId, struct System_Id* initial_requester_id, jmp_buf env);
int DBVsnacc_to_dbv_perorsym(DbvPersonOrInstitutionSymbol *psSymbol, struct Person_Or_Institution_Symbol* person_or_institution_symbol, jmp_buf env);
int DBVsnacc_to_dbv_illstring(DbvIllString *psSymbol, struct ILL_String* person_symbol, jmp_buf env);
int DBVsnacc_to_dbv_general_string(DbvGeneralString *psGeneralString, GeneralString *generalString, jmp_buf env);
int DBVsnacc_to_dbv_perorinst(DbvNameOfPersonOrInstitution *psName, struct Name_Of_Person_Or_Institution* name_of_person_or_institution, jmp_buf env);
int DBVsnacc_to_dbv_servdati(DbvServiceDateTime *psServiceDateTime, struct Service_Date_Time* service_date_time, jmp_buf env); 
int DBVsnacc_to_dbv_datetime(DbvDateTime *psThisService, struct Service_Date_TimeSeq* date_time_of_this_service, jmp_buf env);
int DBVsnacc_to_dbv_transtype(DbvTransactionType *peTransactionType, Transaction_Type *transaction_type, jmp_buf env);
int DBVsnacc_to_dbv_delivaddr(DbvDeliveryAddress *psDeliveryAddress, struct Delivery_Address *delivery_address, jmp_buf env);
int DBVsnacc_to_dbv_postaddr(DbvPostalAddress *psPostalAddress, struct Postal_Address* postal_address, jmp_buf env);
int DBVsnacc_to_dbv_nameofpersinst(DbvNameOfPersonOrInstitution *psNameOfPersonOrInstitution, struct Name_Of_Person_Or_Institution* name_of_person_or_institution, jmp_buf env);
int DBVsnacc_to_dbv_electaddr(DbvSystemAddress *psElectronicAddress, struct System_Address* electronic_address, jmp_buf env);
int DBVsnacc_to_dbv_delivserv(DbvDeliveryService *psDeliveryService, struct Delivery_Service* delivery_service, jmp_buf env);
int DBVsnacc_to_dbv_elecdelivlist(DbvElectronicDeliveryService **ppsElectronicDelivery, Delivery_ServiceSeqOf *electronic_delivery, jmp_buf env);
int DBVsnacc_to_dbv_elecdelivserv(DbvElectronicDeliveryService *psElectronicDelivery, Electronic_Delivery_Service *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_delivdetails(DbvElDeliveryDetails *psDeliveryDetails, struct Electronic_Delivery_ServiceChoice* e_delivery_details, jmp_buf env);
int DBVsnacc_to_dbv_servtypelist(DbvServiceType **ppeServiceType, ILL_RequestSetOf *iLL_service_type, jmp_buf env);
int DBVsnacc_to_dbv_servtype(DbvServiceType *peServiceType, ILL_Service_Type *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_requestopt(DbvRequesterOptionalMessages *psRequesterOptionalMessages, struct Requester_Optional_Messages_Type* requester_optional_messages, jmp_buf env);
int DBVsnacc_to_dbv_optmsgreq(DbvOptionalMsgRequirements *peRequesterShipped, Requester_Optional_Messages_TypeEnum *requester_SHIPPED, jmp_buf env);
int DBVsnacc_to_dbv_searchtype(DbvSearchType *psSearchType, struct Search_Type* search_type, jmp_buf env);
int DBVsnacc_to_dbv_expflag(DbvExpiry *peExpiryFlag, Search_TypeEnum *expiry_flag, jmp_buf env); 
int DBVsnacc_to_dbv_suppmedinfolist(DbvSupplyMediumInfo **ppsSupplyMediumInfo, ILL_RequestSetOf1 *supply_medium_info_type, jmp_buf env);
int DBVsnacc_to_dbv_suppmedinfo(DbvSupplyMediumInfo *psSupplyMediumInfo, Supply_Medium_Info_Type *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_suppmedtype(DbvSupplyMediumType *peSupplyMediumType, Supply_Medium_Type *supply_medium_type, jmp_buf env);
int DBVsnacc_to_dbv_placehold(DbvPlaceOnHold *pePlaceOnHold, Place_On_Hold_Type *place_on_hold, jmp_buf env);
int DBVsnacc_to_dbv_clientid(DbvClientId *psClientId, struct Client_Id* client_id, jmp_buf env);
int DBVsnacc_to_dbv_itemid(DbvItemId *psItemId, struct Item_Id* item_id, jmp_buf env);
int DBVsnacc_to_dbv_itemtype(DbvItemType *peItemType, Item_IdEnum *item_type, jmp_buf env);
int DBVsnacc_to_dbv_medtype(DbvMediumType *peMediumType, Medium_Type *held_medium_type, jmp_buf env);
int DBVsnacc_to_dbv_suppitemlist(DbvASN1External **ppsSupplementalItemDescription, Supplemental_Item_Description *supplemental_item_description, jmp_buf env);
int DBVsnacc_to_dbv_costinfo(DbvCostInfo *psCostInfo, struct Cost_Info_Type* cost_info_type, jmp_buf env);
int DBVsnacc_to_dbv_maxcost(DbvAmount *psMaximumCost, struct Amount* maximum_cost, jmp_buf env);
int DBVsnacc_to_dbv_thirdparty(DbvThirdPartyInfo *psThirdPartyInfo, struct Third_Party_Info_Type* third_party_info_type, jmp_buf env);
int DBVsnacc_to_dbv_preference(DbvPreference *pePreference, Third_Party_Info_TypeEnum *preference, jmp_buf env);
int DBVsnacc_to_dbv_sendtolistlist(DbvSendToList **ppsSendToList, Send_To_List_Type *send_to_list, jmp_buf env);
int DBVsnacc_to_dbv_sendtolist(DbvSendToList *psSendToList, Send_To_List_TypeSeq *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_systemidlist(DbvSystemId **ppsAlreadyTriedList, Already_Tried_List_Type *already_tried_list, jmp_buf env);
int DBVsnacc_to_dbv_extensionlist(DbvExtension **ppsRequestExtension, ILL_RequestSeqOf *iLL_request_extensions, jmp_buf env);
int DBVsnacc_to_dbv_extension(DbvExtension *psRequestExtension, Extension *data_ptr, jmp_buf env);
int DBVsnacc_to_dbv_extension_item(AsnInt *identifier, DbvExtension *psRequestExtension, AsnAnyDefinedBy *item, jmp_buf env);
int DBVsnacc_to_dbv_anytype_int(AsnInt *intval, DbvASN1External *dbv_external, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_silintmaptest_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
int DBVsnacc_to_dbv_subito(DbvSubitoAdditionalInfo *psAddIllReqInfo, AsnAnyDefinedBy *item, jmp_buf env);
int DBVsnacc_to_dbv_subito_main(DbvSubitoAdditionalInfo *psAddIllReqInfo, OrigSubitoAdditionalInfo *subito_ptr, jmp_buf env);
int DBVsnacc_to_dbv_addrequesterinfo(DbvAddRequesterInfo *psAddRequesterInfo, struct AddRequesterInfo* addRequesterInfo, jmp_buf env);
int DBVsnacc_to_dbv_requestergroup(DbvRequesterGroup *peRequesterGroup, AddRequesterInfoEnum *requesterGroup, jmp_buf env);
int DBVsnacc_to_dbv_adddeliveryinfo(DbvAddDeliveryInfo *psAddDeliveryInfo, struct AddDeliveryInfo* addDeliveryInfo, jmp_buf env);
int DBVsnacc_to_dbv_statusleveluser(DbvStatusLevelUser *peStatusLevelUser, AddDeliveryInfoEnum *statusLevelUser, jmp_buf env);
int DBVsnacc_to_dbv_statuslevelrequester(DbvStatusLevelRequester *peStatusLevelOrigin, AddDeliveryInfoEnum1 *statusLevelRequester, jmp_buf env);
int DBVsnacc_to_dbv_addbillinginfo(DbvAddBillingInfo *psAddBillingInfo, struct AddBillingInfo* addBillingInfo, jmp_buf env);
int DBVsnacc_to_dbv_billingbankinfo(DbvBillingBankInfo *psBillingBankInfo, struct BillingBankInfo *billingBankInfo, jmp_buf env);
int DBVsnacc_to_dbv_billingcreditcardinfo(DbvBillingCreditCardInfo *psBillingCreditCardInfo, struct BillingCreditCardInfo* billingCreditCardInfo, jmp_buf env);
int DBVsnacc_to_dbv_billinginvoicetype(DbvBillingInvoiceType *peBillingInvoiceType, AddBillingInfoEnum *billingInvoiceType, jmp_buf env);
int DBVsnacc_to_dbv_statorerr(struct DbvStatusOrErrorReport *psStatusOrErrorReport, struct Status_Or_Error_Report* status_Or_Error_Report, jmp_buf env);
int DBVsnacc_to_dbv_reasonnorep(DbvReasonNoReport *peReasonNoReport, Reason_No_Report *reason_no_report, jmp_buf env);
int DBVsnacc_to_dbv_statrep(DbvStatusReport *psStatusReport, struct Status_Report* status_report, jmp_buf env);
int DBVsnacc_to_dbv_userstat(DbvHistoryReport *psUserStatusReport, struct History_Report* user_status_report, jmp_buf env);
int DBVsnacc_to_dbv_mostrecserv(DbvMostRecentService *peMostRecentService, History_ReportEnum *most_recent_service, jmp_buf env);
int DBVsnacc_to_dbv_shippedservice(DbvShippedServiceType *peShippedServiceType, Shipped_Service_Type *shipped_service_type, jmp_buf env);
int DBVsnacc_to_dbv_transres(DbvTransactionResults *peTransactionResults, Transaction_Results *transaction_results, jmp_buf env);
int DBVsnacc_to_dbv_errrep(DbvErrorReport *psErrorReport, struct Error_Report* error_report, jmp_buf env);
int DBVsnacc_to_dbv_userrep(DbvUserErrorReport *psUserErrorReport, struct User_Error_Report* user_error_report, jmp_buf env);
int DBVsnacc_to_dbv_alreadyfor(DbvAlreadyForwarded *psAlreadyForwarded, struct Already_Forwarded* already_forwarded, jmp_buf env);
int DBVsnacc_to_dbv_interprob(DbvIntermediaryProblem *peIntermediaryProblem, Intermediary_Problem *intermediary_problem, jmp_buf env);
int DBVsnacc_to_dbv_unableperform(DbvUnableToPerform *peUnableToPerform, Unable_To_Perform *unable_to_perform, jmp_buf env);
int DBVsnacc_to_dbv_provrrep(DbvProviderErrorReport *psProviderErrorReport, struct Provider_Error_Report* provider_error_report, jmp_buf env);
int DBVsnacc_to_dbv_genprob(DbvGeneralProblem *peGeneralProblem, General_Problem *general_problem, jmp_buf env);
int DBVsnacc_to_dbv_transidprob(DbvTransactionIdProblem *peTransactionIdProblem, Transaction_Id_Problem *transaction_id_problem, jmp_buf env);
int DBVsnacc_to_dbv_statetrans(DbvStateTransitionProhibited *psStateTransitionProblem, struct State_Transition_Prohibited* state_transition_prohibited, jmp_buf env);
int DBVsnacc_to_dbv_apdutype(DbvIllAPDUType *peAPDUType, ILL_APDU_Type *aPDU_type, jmp_buf env);
int DBVsnacc_to_dbv_currstate(DbvCurrentState *peCurrentState, Current_State *current_state, jmp_buf env);
int DBVcheck_at_itemorderextendedservice(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_itemorder(DbvAssocId lAssocId, struct DbvItemOrderExtendedService *psItemOrderExtendedService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_itemorderreq(DbvAssocId lAssocId, DbvEsIoRequest *psItemOrderRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_io_originpartkeep(DbvAssocId lAssocId, DbvEsIoOriginPartToKeep *psToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_io_contact(DbvAssocId lAssocId, DbvEsIoContact *psContact, char *error_buffer, DbvError **ppsSIError); 
int DBVcheck_dbv_io_addbilling(DbvAssocId lAssocId, DbvEsIoAdditionalBilling *psAdditionalBilling, char *error_buffer, DbvError **ppsSIError); 
int DBVcheck_dbv_io_paymethod(DbvAssocId lAssocId, DbvEsIoPaymentMethod *psPaymentMethod, char *error_buffer, DbvError **ppsSIError); 
int DBVcheck_dbv_io_creditinfo(DbvAssocId lAssocId, DbvEsIoCreditCardInfo *psCreditCardInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_io_originpartnokeep(DbvAssocId lAssocId, DbvEsIoOriginPartNotToKeep *psNotToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_io_resset(DbvAssocId lAssocId, DbvEsIoResultSetItem *psResultSetItem, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_itemorderrsp(DbvAssocId lAssocId, DbvEsIoTaskPackage *psItemOrderResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_io_targetpart(DbvAssocId lAssocId, DbvEsIoTargetPart *psTargetPart, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_isoill(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill(DbvAssocId lAssocId, struct DbvIllPdu *psIllPdu, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_request(DbvAssocId lAssocId, DbvIllRequest *psIllRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_transid(DbvAssocId lAssocId, DbvTransactionId *psTransactionId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_servdatatime(DbvAssocId lAssocId, DbvServiceDateTime *psServiceDateTime, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_datetime(DbvAssocId lAssocId, DbvDateTime *psThisService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_systemid(DbvAssocId lAssocId, DbvSystemId *psRequesterId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_perorinstsymb(DbvAssocId lAssocId, DbvPersonOrInstitutionSymbol *psSymbol, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_nameofperorinst(DbvAssocId lAssocId, DbvNameOfPersonOrInstitution *psName, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_transtype(DbvAssocId lAssocId, DbvTransactionType *peTransactionType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_delivaddr(DbvAssocId lAssocId, DbvDeliveryAddress *psDeliveryAddress, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_postaladdr(DbvAssocId lAssocId, DbvPostalAddress *psPostalAddress, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_systemaddr(DbvAssocId lAssocId, DbvSystemAddress *psElectronicAddress, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_delivserv(DbvAssocId lAssocId, DbvDeliveryService *psDeliveryService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_elecdeliv(DbvAssocId lAssocId, DbvElectronicDeliveryService *psElectronicDelivery, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_delivparam(DbvAssocId lAssocId, DbvElDeliveryParameter *psDeliveryParameter, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_disjoint(DbvAssocId lAssocId, DbvExternalValueType eValueType, DbvASN1External *psDummy, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_doctypeparam(DbvAssocId lAssocId, DbvDocumentTypeParameter *psDocumentTypeParameter, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_eldelivdet(DbvAssocId lAssocId, DbvElDeliveryDetails *psDeliveryDetails, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_sysaddr(DbvAssocId lAssocId, DbvSystemAddress *psSystemAddress, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_servtype(DbvAssocId lAssocId, DbvServiceType *peServiceType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_reqoptmsg(DbvAssocId lAssocId, DbvRequesterOptionalMessages *psRequesterOptionalMessages, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_srchtype(DbvAssocId lAssocId, DbvSearchType *psSearchType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_suppmedinfo(DbvAssocId lAssocId, DbvSupplyMediumInfo *psSupplyMediumInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_placehold(DbvAssocId lAssocId, DbvPlaceOnHold *pePlaceOnHold, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_clientid(DbvAssocId lAssocId, DbvClientId *psClientId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_itemid(DbvAssocId lAssocId, DbvItemId *psItemId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_costinfo(DbvAssocId lAssocId, DbvCostInfo *psCostInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_amount(DbvAssocId lAssocId, DbvAmount *psMaximumCost, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_illstring(DbvAssocId lAssocId, DbvIllString *psCopyrightCompliance, char *error_buffer, DbvError **ppsSIError); 
int DBVcheck_dbv_ill_thirdparty(DbvAssocId lAssocId, DbvThirdPartyInfo *psThirdPartyInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_sendtolist(DbvAssocId lAssocId, DbvSendToList *psSendToList, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_extension(DbvAssocId lAssocId, DbvExtension *psRequestExtension, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_extension_uitem(DbvAssocId lAssocId, Ulong ulIdentifier, DbvExtension *psDbvExtension, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_extension_subito(DbvAssocId lAssocId, DbvSubitoAdditionalInfo *psAddIllReqInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_addrequesterinfo(DbvAssocId lAssocId, DbvAddRequesterInfo *psAddRequesterInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_adddeliveryinfo(DbvAssocId lAssocId, DbvAddDeliveryInfo *psAddDeliveryInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_addbillinginfo(DbvAssocId lAssocId, DbvAddBillingInfo *psAddBillingInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_billingbankinfo(DbvAssocId lAssocId, DbvBillingBankInfo *psBillingBankInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_billingcreditcardinfo(DbvAssocId lAssocId, DbvBillingCreditCardInfo *psBillingCreditCardInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_statorerr(DbvAssocId lAssocId, DbvStatusOrErrorReport *psStatusOrErrorReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_statrep(DbvAssocId lAssocId, DbvStatusReport *psStatusReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_histrep(DbvAssocId lAssocId, DbvHistoryReport *psUserStatusReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_errrep(DbvAssocId lAssocId, DbvErrorReport *psErrorReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_userorproverrrep(DbvAssocId lAssocId, DbvUserOrProviderErrorReport *psReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_usererrrep(DbvAssocId lAssocId, DbvUserErrorReport *psUserErrorReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_alreadyfor(DbvAssocId lAssocId, DbvAlreadyForwarded *psAlreadyForwarded, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_proverrrep(DbvAssocId lAssocId, DbvProviderErrorReport *psProviderErrorReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_dbv_ill_statetrans(DbvAssocId lAssocId, DbvStateTransitionProhibited *psStateTransitionProblem, char *error_buffer, DbvError **ppsSIError);




#endif
