/* -----------  sidefs.h -------------------------------------------*/

/* When using this file with other DBV-OSI II includes, include as follows

#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h"
#include "iord_ext.h"
#include "itemordr.h"
*/



/*  Module Name: @(#)sidefs.h	7.2
    Version: 12/2/96
    Author: Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue: 
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:    

Definitions for DBV-OSI II 
 
*/


#if !defined(SIDEFS_H)
#define SIDEFS_H

/* Return values of the API functions:*/
#define SI_OK						0
#define SI_NOTOK					1

/*Call modes for the API functions: */
#define CALL_BLOCKING				-1L
#define CALL_ASYNCHRONOUS			0L

/* Invalid association identifier: */
#define NO_ASSOCIATION_ID_ASSIGNED		-1

typedef long		DbvAssocId;
typedef long		DbvSecs;
typedef long		DbvErrorCode;
typedef long		DbvAbortReason;
typedef unsigned long	DbvFds;
typedef unsigned long	DbvPortNumber;


/* Directory to which Invalid (Unknown) PDU diagnostic file is written */
#define INVALID_PDU_DIR "."

#endif





