/*  Module Name: @(#)assocutil_params.h	7.1
    Version: 11/15/96
    Author: Chris Attewell
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
        Prints out the input parameters to the association and utility
        functions.
 
        Used by the origin and target.
 
*/

#ifndef ASSOCUTIL_PARAMS_H
#define ASSOCUTIL_PARAMS_H

#include "testy_calls.h"

void TT_writeDbvAssocId(DbvAssocId, TBL);
void TT_writeDbvSecs(DbvSecs lSeconds, TBL OutTable);
void TT_writeDbvTarget(DbvTarget *psTarget, TBL OutTable);
void TT_writeDbvTargetInformation(DbvTargetInformation *psTargetInformation,
        TBL OutTable);
void TT_writeDbvOsiAddress(DbvOsiAddress *psOsiAddress, TBL OutRecord);
void TT_writeDbvAssociateResult(int out_record, 
	DbvAssociateResult *puAssociateResult,
        DbvAssociateState eAssociateState, TBL OutTable);
void TT_writeDbvAssociateRsp(DbvAssociateRsp eAssociateRsp, TBL OutTable);
void TT_writeDbvReleaseRsp(DbvReleaseRsp *psReleaseRsp, TBL OutTable);
void TT_writeDbvAssocIdList(DbvAssocId **pplAssocId, TBL OutTable);
void TT_writeDbvTraceLevel(DbvTraceLevel eTraceLevel, TBL OutTable);


void write_DbvAssociateRejectSource(DbvAssociateRejectSource
        *peAssociateRejectSource, TBL OutTable);
void write_DbvAssociateRejectResult(DbvAssociateRejectResult
        *peAssociateRejectResult, TBL OutTable);
void write_DbvAssociateRejectReason(DbvAssociateRejectReason
        *peAssociateRejectReason, TBL OutTable);

#endif 

