/******************************************************************/
/******************************************************************/
/******************************************************************/
/******************************************************************/
/******************************************************************/

#ifdef PROBABLE_TEST_TOOL_CODE


A] A new type for /home/dbvosi/src/testtools/get_DbvFuncs.h: 


	typedef enum DBVRpnQuerytype {
		RPN_Q1 = 1,
		RPN_Q2 = 2,
		RPN_Q3 = 3 
	} DBVRpnQuerytype;




B] New code for /home/dbvosi/src/testtools/get_DbvFuncs.c:
   (use same code for rpn and eprn)

	char *rpnquerytype = NULL;

	/* Operands */
	char *opnd1 = NULL, *opnd2 = NULL, *opnd3 = NULL;

	/* Attributes */
	char *att1 = NULL, *att2 = NULL, *att3 = NULL;

	/* Operators */
	char *oper1 = NULL, *oper2 = NULL;

	DBVRpnQueryType eRpnQuerytype;
	DbvRPNStructure *rpnstruct = NULL;
	

	TBL_GetRecord(InTable);
	rpnquerytype = get_string_field( InTable, T_Return );
	convert_DbvRpnQueryType(&stringfield, &eRpnQueryType );

	if (stringfield != NULL)
		DbvFree(stringfield);
	
	switch (eRpnQueryType) {

	/* "john", "1,2:3,5:5,6:"; */
	case RPN_Q1:
		opnd1 = get_string_field( InTable, T_Return );
		att1 = get_string_field( InTable, T_Return );
		rpnstruct = form_dbv_rpn_1(opnd1, att1);
		break;


	/* "john", "1,2:3,5:5,6:", "AND", "smith", "5,6:1,2:7,8:" */
	case RPN_Q2:
		opnd1 = get_string_field( InTable, T_Return );
		att1 = get_string_field( InTable, T_Return );
		oper1 = get_string_field( InTable, T_Return );
		opnd2 = get_string_field( InTable, T_Return );
		att2 = get_string_field( InTable, T_Return );
		rpnstruct = form_dbv_rpn_2(opnd1, att1, oper1, opnd2, att2);
		break;

	/* "chris", "7,7:8,8:", "AND", "smith", "5,6:1,2:7,8:", "OR", "pandora", "5,7:3,3:4,4:" */
	case RPN_Q3:
		opnd1 = get_string_field( InTable, T_Return );
		att1 = get_string_field( InTable, T_Return );
		oper1 = get_string_field( InTable, T_Return );
		opnd2 = get_string_field( InTable, T_Return );
		att2 = get_string_field( InTable, T_Return );
		oper2 = get_string_field( InTable, T_Return );
		opnd3 = get_string_field( InTable, T_Return );
		att3 = get_string_field( InTable, T_Return );
		rpnstruct = form_dbv_rpn_3(opnd1, att1, oper1, opnd2, att2, oper2, opnd3, att3);
		break;
	}


	psQuery->uQuery.psRpnQuery = rpnstruct;




C] New code for /home/dbvosi/src/testtools/convert_DbvFuncs.c

	

int convert_DbvRpnQueryType(char **text, DBVRpnQuerytype *peRpnQueryType)
{
   int length;
   char temp[ 32 ];
 
   if( *text != NULL )
      {
      if(strcmp("RPN_Q1", *text) == 0)
         *peRpnQueryType = RPN_Q1;
      else
      if(strcmp("RPN_Q1", *text) == 0)
         *peRpnQueryType = RPN_Q2;
      else
      if(strcmp("RPN_Q3", *text) == 0)
         *peRpnQueryType = RPN_Q3;
      else
         printf("Warning: eRpnQueryType string could not be converted: %s\n",*text);
      }
   else
      {
      if( *peRpnQueryType == RPN_Q1 )
         strcpy(temp, "RPN_Q1");
 
      if( *peRpnQueryType == RPN_Q2)
         strcpy(temp, "RPN_Q2");
 
      if( *peRpnQueryType == RPN_Q3)
         strcpy(temp, "RPN_Q3");
 

      length = strlen( temp );
      if( length )
         {
         *text = (char *)malloc( length );
         strcpy(*text, temp);
         } /* End if */
      else
         printf("Warning: eRpnQueryType enum could not be converted!\n");
      } /* End else */
}

	

C] New code for /home/dbvosi/src/testtools/write_DbvFuncs.c

	case QT_Rpn:
		write_DbvRpn("Rpn:", psQuery->uQuery.psRpnQuery, OutTable);
		break;

.
.
.
	case QT_Erpn:
		write_DbvRpn("Erpn:", psQuery->uQuery.psErpnQuery, OutTable);
		break;




int write_DbvRpn(char *query_type, DbvRPNQuery *psDbvRPNQuery, TBL OutTable)
{

	write_char_field(query_type, OutTable, T_Return);
	TBL_PutRecord(OutTable);

	/* Not using pcAttributeSetId */

	write_rpn_structure(&psDbvRPNQuery->sRpnStructure, OutTable);
}



int write_rpn_structure(DbvRPNStructure *psDbvRPNStructure, TBL OutTable)
{
 
        switch (psDbvRPNStructure->eRpnStructureType) {
        case RST_RpnLopRopOperator:
		
		write_char_field("RST_RpnLopRopOperator: ", OutTable, T_Return);
		TBL_PutRecord(OutTable);
                write_rpnlopropoperator(psDbvRPNStructure->uRPNStructure.psRpnLo
pRopOperator);
                break;
        case RST_RpnOperand:
		write_char_field("RST_RpnOperand: ", OutTable, T_Return);
		TBL_PutRecord(OutTable);
                write_rpnoperand(psDbvRPNStructure->uRPNStructure.psRpnOperand);
                break;
        }
}
 


int write_rpnlopropoperator(DbvRPNLopRopOperator *psDbvRPNLopRopOperator, TBL OutTable)
{

	if (psDbvRPNLopRopOperator->psLeftOperand != NULL) 
		write_rpn_structure(psDbvRPNLopRopOperator->psLeftOperand, OutTable);

	if (psDbvRPNLopRopOperator->psRightOperand != NULL) 
		write_rpn_structure(psDbvRPNLopRopOperator->psRightOperand, OutTable);

	write_operator(psDbvRPNLopRopOperator->sOperator, OutTable);
}



/* The print routines */
int write_operator(DbvOperator sOperator, TBL OutTable)
{
	write_char_field("sOperator: ", OutTable, T_Return);
	TBL_PutRecord(OutTable);

	switch (sOperator.eOperatorType) {
	case OT_Or:
		write_char_field("OR", OutTable, T_Return);
		TBL_PutRecord(OutTable);
		break;
	case OT_And:
		write_char_field("AND", OutTable, T_Return);
		TBL_PutRecord(OutTable);
		break;
	case OT_AndNot:
		write_char_field("ANDNOT", OutTable, T_Return);
		TBL_PutRecord(OutTable);
		break;
	}
}



int write_rpnoperand(DbvOperand *psRpnOperand, TBL OutTable)
{

	switch (psRpnOperand->eOperandType) {
	case OT_AttributePlusTerm:
		write_attsplusterm(psRpnOperand->uOperand.psAttributesPlusTerm, OutTable);
		break;
	}	

}



int write_attsplusterm(DbvAttributesPlusTerm *psAttributesPlusTerm, TBL OutTable)
{
	int index = 0;


	/* Print all attributes */
	
	while (psAttributesPlusTerm->ppsAttributeElement[index] != NULL) {
		write_att_element(psAttributesPlusTerm->ppsAttributeElement[index], OutTable);
		index++;
	}

	/* then the term */
	write_att_term(psAttributesPlusTerm->sTerm, OutTable);

}




int write_att_element(DbvAttributeElement *psAttributeElement, TBL OutTable)
{
	char  temp[32];

	write_char_field("pcAttributeSetId:", OutTable, T_Return);
	TBL_PutRecord(OutTable);

	if (psAttributeElement->pcAttributeSetId != NULL) {
		sprintf(temp, "%s", psAttributeElement->pcAttributeSetId);
		write_char_field(temp, OutTable, T_Return);
		TBL_PutRecord(OutTable);
	} else {
		write_char_field("None", OutTable, T_Return);
		TBL_PutRecord(OutTable);
	}


	sprintf(temp, "attype:%ld ", psAttributeElement->ulAttributeType);
	write_char_field(temp, OutTable, T_Return);
	TBL_PutRecord(OutTable);

	print_att_value(psAttributeElement->sAttributeValue, OutTable);
}



int write_att_value(DbvAttributeValue sAttributeValue, TBL OutTable)
{
	char temp[32];

	switch (sAttributeValue.eAttributeValueType) {
	case AVT_Numeric:
		sprintf("attval:%ld   ", sAttributeValue.uAttributeValue.ulNumeric);
		write_char_field(temp, OutTable, T_Return);
		TBL_PutRecord(OutTable);
		break;
	}
}



int write_att_term(DbvTerm sTerm, TBL OutTable)
{
	/* Only general catered for !! */
	switch (sTerm.eTermType) {
	case TT_General:
		write_DbvOctetString("psGeneral: ", sTerm.uTerm.psGeneral, OutTable);
		TBL_PutRecord(OutTable);
		break;
	}

}



C] New code for /home/dbvosi/src/testtools/Free_DbvFuncs.c

	case QT_Rpn:
		if (psQuery->uQuery.psRpnQuery != NULL)
			FreeDbvRPNQuery(psQuery->uQuery.psRpnQuery);

		break;
	case QT_Erpn:
		if (psQuery->uQuery.psErpnQuery != NULL)
			FreeDbvRPNQuery(psQuery->uQuery.psErpnQuery);
		break;
	
		

int FreeDbvRPNQuery(DbvRPNQuery *psDbvRpnQuery)
{
	Free_rpn_structure(&psDbvRPNQuery->sRpnStructure);
	DbvFree(psDbvRpnQuery);
}



int Free_rpn_structure(DbvRPNStructure *psDbvRPNStructure)
{
 
        switch (psDbvRPNStructure->eRpnStructureType) {
        case RST_RpnLopRopOperator:
		
		if (psDbvRPNStructure->uRPNStructure.psRpnLopRopOperator != NULL) 
                	Free_rpnlopropoperator(psDbvRPNStructure->uRPNStructure.psRpnLopRopOperator);
                break;
        case RST_RpnOperand:
		if (psDbvRPNStructure->uRPNStructure.psRpnOperand != NULL) 

                	Free_rpnoperand(psDbvRPNStructure->uRPNStructure.psRpnOperand);
                break;
        }

}
 


int Free_rpnlopropoperator(DbvRPNLopRopOperator *psDbvRPNLopRopOperator)
{

	if (psDbvRPNLopRopOperator->psLeftOperand != NULL) 
		Free_rpn_structure(psDbvRPNLopRopOperator->psLeftOperand);

	if (psDbvRPNLopRopOperator->psRightOperand != NULL) 
		Free_rpn_structure(psDbvRPNLopRopOperator->psRightOperand);


	DbvFree(psDbvRPNLopRopOperator);
}



int Free_rpnoperand(DbvOperand *psRpnOperand)
{

	switch (psRpnOperand->eOperandType) {
	case OT_AttributePlusTerm:

		if (psRpnOperand->uOperand.psAttributesPlusTerm != NULL)
			Free_attsplusterm(psRpnOperand->uOperand.psAttributesPlusTerm);
		break;
	}	

	DbvFree(psRpnOperand);
}



int Free_attsplusterm(DbvAttributesPlusTerm *psAttributesPlusTerm)
{
	int index = 0;


	/* Print all attributes */
	
	while (psAttributesPlusTerm->ppsAttributeElement[index] != NULL) {
		Free_att_element(psAttributesPlusTerm->ppsAttributeElement[index]);
		index++;
	}

	/* then the term */
	Free_att_term(psAttributesPlusTerm->sTerm);


	DbvFree(psAttributesPlusTerm);
}




int Free_att_element(DbvAttributeElement *psAttributeElement)
{
	if (psAttributeElement->pcAttributeSetId != NULL) 
		DbvFree(psAttributeElement->pcAttributeSetId);

	DbvFree(psAttributeElement);
}



int Free_att_term(DbvTerm sTerm)
{
	/* Only general catered for !! */
	switch (sTerm.eTermType) {
	case TT_General:

		if (sTerm.uTerm.psGeneral != NULL)
			DbvFree(sTerm.uTerm.psGeneral);
		break;
	}

}

#endif
/******************************************************************/
/******************************************************************/
/******************************************************************/
/******************************************************************/
/******************************************************************/
/******************************************************************/

#include "sidefs.h"
#include "sitypes.h"
#include "dbvproto.h"

#define MAXVAL 1000

DbvRPNStructure *form_dbv_rpn_1(char *operand_string, char *atts);
DbvRPNStructure *form_dbv_rpn_2(char *operand_string1, char *atts1, char *operator, char *operand_string2, char *atts2);
DbvRPNStructure *form_dbv_rpn_3(char *operand_string1, char *atts1, char *operator1, char *operand_string2, char *atts2, char *operator2, char *operand_string3, char *att3);


main()
{

	char choice[100];
	char choice_int = 0;

	DbvRPNStructure *rpnstruct = NULL;

	/* 1) Must have seven pairs of atts at most else core dump
	   2) atts mist end in :  */

	while (1) {
		choice_int = 0;

		printf(" Query 1, 2 or 3: ");
		choice_int = atoi(fgets(choice, 10, stdin));

		switch (choice_int) {
		case 1:
			rpnstruct = form_dbv_rpn_1("john", "1,2:3,5:5,6:");
			break;
		case 2:
			rpnstruct = form_dbv_rpn_2("john", "1,2:3,5:5,6:", "AND", "smith", "5,6:1,2:7,8:");
			break;
		case 3:
			rpnstruct = form_dbv_rpn_3("chris", "7,7:8,8:", "AND", "smith", "5,6:1,2:7,8:", "OR", "pandora", "5,7:3,3:4,4:");
			break;
		}


		/* Now print the query formed */
		print_rpn_structure(rpnstruct);
	}


}





DbvRPNStructure *form_dbv_rpn_1(char *operand_string, char *atts) 
{

	DbvRPNStructure *rpnstruct = NULL;

	rpnstruct = (DbvRPNStructure *) DbvAlloc (sizeof(DbvRPNStructure));
	rpnstruct->eRpnStructureType = RST_RpnOperand;

	rpnstruct->uRPNStructure.psRpnOperand = (DbvOperand *) DbvAlloc (sizeof(DbvOperand));

	/* Fill the operand */
	fill_dbv_operand(rpnstruct->uRPNStructure.psRpnOperand, operand_string, atts);

	return rpnstruct;
}




int fill_dbv_operand(DbvOperand *psRpnOperand, char *operand_string, char *atts)
{
	/* Attributes plus term */
	psRpnOperand->eOperandType = OT_AttributePlusTerm;
	psRpnOperand->uOperand.psAttributesPlusTerm = (DbvAttributesPlusTerm *) DbvAlloc (sizeof(DbvAttributesPlusTerm));
	fill_dbv_attrsplusterm(psRpnOperand->uOperand.psAttributesPlusTerm, operand_string, atts);
}



int fill_dbv_attrsplusterm(DbvAttributesPlusTerm *psAttributesPlusTerm, char *operand_string, char *atts)
{

	/* attributes */

	/* 6 attributes + 1 NULL */
	psAttributesPlusTerm->ppsAttributeElement = (DbvAttributeElement **) DbvAlloc (sizeof(DbvAttributeElement *) * 7);

	fill_dbv_attterm(psAttributesPlusTerm->ppsAttributeElement, atts);

	/* Now the term  - make it a general  */
	psAttributesPlusTerm->sTerm.eTermType = TT_General;
	psAttributesPlusTerm->sTerm.uTerm.psGeneral = (DbvOctetString *) DbvAlloc (sizeof (DbvOctetString)); 
	psAttributesPlusTerm->sTerm.uTerm.psGeneral->ulLength = strlen(operand_string);
	psAttributesPlusTerm->sTerm.uTerm.psGeneral->pcValue = (char *) DbvAlloc (strlen(operand_string));
	memcpy(psAttributesPlusTerm->sTerm.uTerm.psGeneral->pcValue, operand_string, strlen(operand_string));
}



int fill_dbv_attterm(DbvAttributeElement **ppsAttributeElement, char *attributes)
{
	int index = 0;
	char *ptr = NULL;
	unsigned long atttype = 0, attval = 0;
	char attributes_copy[MAXVAL];


	strcpy(attributes_copy, attributes);

	ptr = (char *) strtok (attributes_copy, ",");	

	while (ptr != NULL) {
		atttype= atol(ptr);
		attval = atol((char *) strtok(NULL, ":"));

		ppsAttributeElement[index] = (DbvAttributeElement *) DbvAlloc (sizeof(DbvAttributeElement));

		/* DONT need an object identifier for each attribute pair */

		ppsAttributeElement[index]->ulAttributeType = atttype;
		ppsAttributeElement[index]->sAttributeValue.eAttributeValueType = AVT_Numeric; 
		ppsAttributeElement[index]->sAttributeValue.uAttributeValue.ulNumeric = attval;  


		ptr = (char *) strtok (NULL, ",");

		index++;
	}

	/* Terminate the list */
	ppsAttributeElement[index] = NULL;
}



DbvRPNStructure *form_dbv_rpn_2(char *operand_string1, char *atts1, char *operator, char *operand_string2, char *atts2) 
{

	DbvRPNStructure *rpnstruct = NULL;
	DbvRPNStructure *rpnstruct1 = NULL;
	DbvRPNStructure *rpnstruct2 = NULL;


	/* Left side of lop */
	rpnstruct1 = form_dbv_rpn_1(operand_string1, atts1);

	/* Right side of lop */
	rpnstruct2 = form_dbv_rpn_1(operand_string2, atts2);


	/* Now form that rpn  */
	rpnstruct = (DbvRPNStructure *) DbvAlloc (sizeof(DbvRPNStructure));
	/* A lop roper */
	rpnstruct->eRpnStructureType = RST_RpnLopRopOperator;

	rpnstruct->uRPNStructure.psRpnLopRopOperator = (DbvRPNLopRopOperator *) DbvAlloc (sizeof(DbvRPNLopRopOperator));
	rpnstruct->uRPNStructure.psRpnLopRopOperator->psLeftOperand = rpnstruct1;
	rpnstruct->uRPNStructure.psRpnLopRopOperator->psRightOperand = rpnstruct2;

	fill_operator(&rpnstruct->uRPNStructure.psRpnLopRopOperator->sOperator, operator);
	
	return rpnstruct;
}


int fill_operator(DbvOperator *psOperator, char *operator_string)
{
	if (strcmp(operator_string, "AND") == 0)
		psOperator->eOperatorType = OT_And;

	else if (strcmp(operator_string, "OR") == 0)
		psOperator->eOperatorType = OT_Or;

	else if (strcmp(operator_string, "ANDNOT") == 0)
		psOperator->eOperatorType = OT_AndNot;

}



DbvRPNStructure *form_dbv_rpn_3(char *operand_string1, char *atts1, char *operator1, char *operand_string2, char *atts2, char *operator2, char *operand_string3, char *atts3) 
{

	DbvRPNStructure *rpnstruct = NULL;
	DbvRPNStructure *rpnstruct1 = NULL;
	DbvRPNStructure *rpnstruct2 = NULL;


	/* Left side of lop */
	rpnstruct1 = form_dbv_rpn_2(operand_string1, atts1, operator1, operand_string2, atts2);

	/* Right side of lop */
	rpnstruct2 = form_dbv_rpn_1(operand_string3, atts3);


	/* Now form that rpn  */
	rpnstruct = (DbvRPNStructure *) DbvAlloc (sizeof(DbvRPNStructure));
	/* A lop roper */
	rpnstruct->eRpnStructureType = RST_RpnLopRopOperator;

	rpnstruct->uRPNStructure.psRpnLopRopOperator = (DbvRPNLopRopOperator *) DbvAlloc (sizeof(DbvRPNLopRopOperator));
	rpnstruct->uRPNStructure.psRpnLopRopOperator->psLeftOperand = rpnstruct1;
	rpnstruct->uRPNStructure.psRpnLopRopOperator->psRightOperand = rpnstruct2;

	fill_operator(&rpnstruct->uRPNStructure.psRpnLopRopOperator->sOperator, operator2);
	
	return rpnstruct;
}





int print_rpn_structure(DbvRPNStructure *psDbvRPNStructure)
{
	
	switch (psDbvRPNStructure->eRpnStructureType) {
	case RST_RpnLopRopOperator:
		printf("\nRST_RpnLopRopOperator:\n");
		print_rpnlopropoperator(psDbvRPNStructure->uRPNStructure.psRpnLopRopOperator);
		break;
	case RST_RpnOperand:
		printf("\nRST_RpnOperand:\n");
		print_rpnoperand(psDbvRPNStructure->uRPNStructure.psRpnOperand);
		break;
	}
}




int print_rpnlopropoperator(DbvRPNLopRopOperator *psDbvRPNLopRopOperator)
{

	if (psDbvRPNLopRopOperator->psLeftOperand != NULL) 
		print_rpn_structure(psDbvRPNLopRopOperator->psLeftOperand);

	if (psDbvRPNLopRopOperator->psRightOperand != NULL) 
		print_rpn_structure(psDbvRPNLopRopOperator->psRightOperand);

	print_operator(psDbvRPNLopRopOperator->sOperator);
}



/* The print routines */
int print_operator(DbvOperator sOperator)
{
	printf("sOperator: ");
	switch (sOperator.eOperatorType) {
	case OT_Or:
		printf("OR\n");
		break;
	case OT_And:
		printf("AND\n");
		break;
	case OT_AndNot:
		printf("ANDNOT\n");
		break;
	}
}



int print_rpnoperand(DbvOperand *psRpnOperand)
{

	switch (psRpnOperand->eOperandType) {
	case OT_AttributePlusTerm:
		print_attsplusterm(psRpnOperand->uOperand.psAttributesPlusTerm);
		break;
	}	

}



int print_attsplusterm(DbvAttributesPlusTerm *psAttributesPlusTerm)
{
	int index = 0;


	/* Print all attributes */
	
	while (psAttributesPlusTerm->ppsAttributeElement[index] != NULL) {
		print_att_element(psAttributesPlusTerm->ppsAttributeElement[index]);
		index++;
	}

	/* then the term */
	print_att_term(psAttributesPlusTerm->sTerm);

	printf("\n\n");
}




int print_att_element(DbvAttributeElement *psAttributeElement)
{
	printf("\npcAttributeSetId:");
	if (psAttributeElement->pcAttributeSetId != NULL)
		printf("%s ", psAttributeElement->pcAttributeSetId);
	else
		printf("None ");


	printf("attype:%ld ", psAttributeElement->ulAttributeType);
	print_att_value(psAttributeElement->sAttributeValue);
}



int print_att_value(DbvAttributeValue sAttributeValue)
{
	switch (sAttributeValue.eAttributeValueType) {
	case AVT_Numeric:
		printf("attval:%ld   ", sAttributeValue.uAttributeValue.ulNumeric);
		break;
	}
}



int print_att_term(DbvTerm sTerm)
{
	/* Only general catered for !! */
	switch (sTerm.eTermType) {
	case TT_General:
		printf("\npsGeneral: ");
		print_octet_string(sTerm.uTerm.psGeneral);
		break;
	}

}



int print_octet_string(DbvOctetString *octet_string)
{
        char *temp = NULL;
        char *string = NULL;
        unsigned long length = 0;
 
 
        if (octet_string != NULL) {
                if (octet_string->pcValue != NULL) {
 
                        string = octet_string->pcValue;
                        length = octet_string->ulLength;
 
                        temp = (char *) DbvAlloc (length + 1);
                        if (temp != NULL) {
                                memcpy(temp, string, length);
                                printf("%s\n", temp);
                                DbvFree(temp);
                        } else
				printf("NOT ENOUGH MEMORY FOR PRINT OPERATION!\n");
                } else
                        printf("None\n");
 
        } else
                printf("None\n");
}
 

